2018-12-22  Tatsuya Kinoshita  <tats@debian.org>

	* scripts/w3mman/w3mman.1.in, scripts/w3mman/w3mman.in:
	Fix square brackets.

2018-12-21  Nemo Inis  <nemoinis@hotmail.com>

	* scripts/w3mman/w3mman.1.in, scripts/w3mman/w3mman.in:
	* scripts/w3mman/w3mman2html.cgi.in:
	w3mman support for section number during keyword search.
	Origin: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=916968#5

2018-10-26  Ben Wong  <bugs.debian.org@wongs.net>

	* buffer.c, display.c:
	Fix that the MarkAllPages option works as originally intended.
	Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=911929

2018-10-26  Tatsuya Kinoshita  <tats@debian.org>

	* istream.c, url.c: Indentation fix.

2018-10-24  Mark Wright  <gienah@gentoo.org>

	* istream.c, url.c: Do not use deprecated features with openssl-1.1.
	Bug-Gentoo: https://bugs.gentoo.org/592510
	Bug-Debian: https://github.com/tats/w3m/pull/103

2018-05-20  Andrew Santosa  <santosa_1999@yahoo.com>

	* po/Makefile.in.in: Added check for : command not producing .gmo file.
	Bug-Debian: https://github.com/tats/w3m/pull/99

2018-03-24  Tatsuya Kinoshita  <tats@debian.org>

	* table.c: Respect simple_preserve_space for table cells.
	Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=893902

2018-03-23  Mike  <barbeque@users.noreply.github.com>

	Update grammar & spelling in some English READMEs.
	Origin: https://github.com/tats/w3m/pull/97

	* doc/README.img: Update README.img.
	* doc/README.dict: Update README.dict.
	* doc/README.pre_form: Update README.pre_form.
	* doc/README.cookie: Update README.cookie.
	* doc/README.cookie: Update README.cookie.

2018-03-04  Jia Zhouyang  <jiazhouyang@nudt.edu.cn>

	Fix crashes when some external APIs fail.
	Origin: https://github.com/tats/w3m/pull/96

	* url.c: Add error handling code for fopen.
	Check the return code of fopen, and return when it fails.
	* file.c: Add error handling code for fopen.
	Check the return value of fopen, and add proper error handling code.
	* local.c: Add error handling for chdir.
	When chdir fails, print error message and exit.

2018-01-25  Tatsuya Kinoshita  <tats@debian.org>

	* ChangeLog, NEWS: Add CVE IDs.
	cf. https://security-tracker.debian.org/tracker/source-package/w3m

2018-01-21  Tatsuya Kinoshita  <tats@debian.org>

	* NEWS: Update NEWS.

	* scripts/Makefile.in: Do not remove w3mdict.cgi when "make distclean".

	* config.h.dist, config.h.in, configure, configure.ac, main.c, rc.c:
	Make temporary directory safely when ~/.w3m is unwritable.
	Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=888097
	[CVE-2018-6198]

	* rc.c: Suppress error messages when ~/.w3m is unwritable.
	Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=871425

2018-01-20  Tatsuya Kinoshita  <tats@debian.org>

	* config.guess, config.sub:
	Update config.* with autotools-dev 20171216.1.

	* table.c: Prevent negative indent value in feed_table_block_tag().
	Bug-Debian: https://github.com/tats/w3m/issues/88 [CVE-2018-6196]

2018-01-06  Tatsuya Kinoshita  <tats@debian.org>

	* doc-jp/README.SSL: Doc fix for ssl_forbid_method.

	* po/de.po, po/ja.po, po/w3m.pot, po/zh_CN.po, po/zh_TW.po, rc.c:
	* url.c: Fix multi-character character constant for ssl_forbid_method.

2018-01-06  se  <se@example.com>

	* po/de.po, po/ja.po, po/w3m.pot, po/zh_CN.po, po/zh_TW.po, rc.c:
	* url.c: Extend ssl_forbid_method to disable TLSv1.1.
	Origin: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=874218#5

2018-01-06  Tatsuya Kinoshita  <tats@debian.org>

	* w3mimg/fb/fb_w3mimg.c: Accept TERM=fbterm.
	cf. https://bushowhige.blogspot.jp/2015/01/fbterm-w3m-img.html
	Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=590668

2017-12-27  Tatsuya Kinoshita  <tats@debian.org>

	* form.c: Prevent invalid columnPos() call in formUpdateBuffer().
	Bug-Debian: https://github.com/tats/w3m/issues/89 [CVE-2018-6197]

	* main.c: Typo fix in fusage().
	Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=878106

	* doc-jp/README.tab, doc/README.tab, main.c: English fix.
	cf. [emacs-w3m:12706], http://emacs-w3m.namazu.org/ml/msg12598.html

2017-12-24  HIGUCHI Daisuke (VDR dai)  <dai@debian.org>

	* scripts/w3mman/w3mman.1.in, terms.c: Fix spelling error.

2017-08-27  Kyle J. McKay  <mackyle@gmail.com>

	Correct <base ...> parsing and do not turn a form's GET into POST.
	Bug-Debian: https://github.com/tats/w3m/pull/93

	* form.c:
	form.c: do not gratuitously turn GET into POST.
	When encountering a <form ...> tag that contains these values:
	    method="get" enctype="multipart/form-data"
	Do not transform the method into POST to accomodate enctype.
	Instead behave in the compatible way that all other browsers
	behave in this instance and ignore the enctype parameter
	(treating it as the default application/x-www-form-urlencoded)
	and perform a "GET" just as the method parameter requests.
	This behavior produces far more compatible results than
	gratuitously changing the "get" into a "post" which can
	result in unexpected "405 Method Not Allowed" errors.
	Signed-off-by: Kyle J. McKay <mackyle@gmail.com>

	* file.c:
	file.c: compute correct base URL when not absolute.
	When a server makes use of the PATH_INFO feature in a CGI,
	the returned pages may often have a <base href="..." /> tag
	specifying the URL of the CGI itself as the base.
	However, to avoid hard-coding the scheme and host into such
	a base href, the href value will often omit the scheme, host
	and port.
	Make sure that when parsing any such base href value that
	any omitted components are taken from the current URL rather
	than taken as being from a bare, absolute file:/// URL.
	Signed-off-by: Kyle J. McKay <mackyle@gmail.com>

2017-01-02  Tatsuya Kinoshita  <tats@debian.org>

	* NEWS: Update NEWS.

2016-12-24  Tatsuya Kinoshita  <tats@debian.org>

	* libwc/wtf.c:
	Prevent overflow beyond the end of string in wtf_parse1().
	Bug-Debian: https://github.com/tats/w3m/issues/68

	* libwc/wtf.c:
	Revert "Prevent overflow beyond the end of string in wtf_parse1()".
	This reverts commit 998b6f91d4b02e8bf90b7744dfabc8cccdf9d4f9.
	Bug-Debian: https://github.com/tats/w3m/issues/86
	cf. http://emacs-w3m.namazu.org/ml/msg12505.html

	* form.c:
	Preserve one byte for end of string character in form_update_line().
	Bug-Debian: https://github.com/tats/w3m/issues/68#issuecomment-266214643

	* form.c:
	Prevent invalid form_update_line() call in formUpdateBuffer().
	Bug-Debian: https://github.com/tats/w3m/issues/82

2016-12-20  Tatsuya Kinoshita  <tats@debian.org>

	* form.c:
	Revert "Preserve one byte for end of string character in form_update_line()".
	This reverts commit a4152aaaea5cb51c9018880a1295e498c38889bf.

2016-12-18  Tatsuya Kinoshita  <tats@debian.org>

	* file.c: Prevent heap-use-after-free read in HTMLlineproc0().
	Bug-Debian: https://github.com/tats/w3m/issues/81

	* file.c: Prevent infinite loop in feed_textarea().
	Bug-Debian: https://github.com/tats/w3m/issues/85

	* form.c:
	Revert "Prevent overflow beyond the end of string in form_update_line()".
	This reverts commit 9ccaa1dd0dac6f9b35a649ae9901c225421500f6.

	* form.c:
	Revert "Prevent overflow beyond the end of string in form_update_line()".
	This reverts commit e0efc127ff20cbeb931847af1c9b353056340fbd.

2016-12-15  Tatsuya Kinoshita  <tats@debian.org>

	* libwc/wtf.c:
	Prevent overflow beyond the end of string for wtf to wcs macros.
	Bug-Debian: https://github.com/tats/w3m/issues/77

	* libwc/wtf.c:
	Revert "Prevent overflow beyond the end of string for wtf to wcs macros".
	This reverts commit b4d27ba5ccffaa38e968c2bf3a8eeb9cd43928ff.

	* file.c, libwc/wtf.c, libwc/wtf.h:
	Prevent overflow beyond the end of string in caller of get_mclen().
	Bug-Debian: https://github.com/tats/w3m/issues/59
	Bug-Debian: https://github.com/tats/w3m/issues/73
	Bug-Debian: https://github.com/tats/w3m/issues/74
	Bug-Debian: https://github.com/tats/w3m/issues/75
	Bug-Debian: https://github.com/tats/w3m/issues/76
	Bug-Debian: https://github.com/tats/w3m/issues/78
	Bug-Debian: https://github.com/tats/w3m/issues/79
	Bug-Debian: https://github.com/tats/w3m/issues/80
	Bug-Debian: https://github.com/tats/w3m/issues/83
	Bug-Debian: https://github.com/tats/w3m/issues/84

	* file.c:
	Revert "Prevent overflow beyond the end of string in proc_mchar()".
	This reverts commit 512ed467d12615f5ef40d0d28272e5662d8438ea.

	* table.c:
	Revert "Prevent overflow beyond the end of string in visible_length()".
	This reverts commit a932f78a6d8c105036ffeedf01215c1f6a0e0b71.

	* table.c:
	Revert "Prevent overflow beyond the end of string in skip_space()".
	This reverts commit e757b43bcf8c439c167f62b6d3317ee9518cabbf.

	* table.c:
	Revert "Prevent overflow beyond the end of string in visible_length_plain()".
	This reverts commit f763b8ebf5441cb44d2c0234565fadd5eb1c87a5.

	* form.c:
	Revert "Prevent overflow beyond the end of string in textfieldrep()".
	This reverts commit 77d8d8d6576d8afc0f6b2e09bb88c7ca9dba58bb.

	* file.c:
	Revert "Prevent overflow beyond the end of string in proc_mchar()".
	This reverts commit e79d0ec2a00369a6af24007a1f2bb5e876e2c847.

2016-12-13  Tatsuya Kinoshita  <tats@debian.org>

	* file.c: Prevent overflow beyond the end of string in proc_mchar().
	Bug-Debian: https://github.com/tats/w3m/issues/80
	cf. https://github.com/tats/w3m/issues/59

	* form.c: Prevent overflow beyond the end of string in textfieldrep().
	Bug-Debian: https://github.com/tats/w3m/issues/79

	* form.c:
	Preserve one byte for end of string character in form_update_line().
	Bug-Debian: https://github.com/tats/w3m/issues/82
	cf. https://github.com/tats/w3m/issues/68#issuecomment-266214643

2016-12-10  Tatsuya Kinoshita  <tats@debian.org>

	* libwc/wtf.c: Prevent overflow beyond the end of string in wtf_len().
	cf. https://github.com/tats/w3m/issues/57

	* etc.c: Prevent negative array index for realColumn in calcPosition().
	Bug-Debian: https://github.com/tats/w3m/issues/69

	* libwc/wtf.c:
	Prevent overflow beyond the end of string in wtf_parse1().
	Bug-Debian: https://github.com/tats/w3m/issues/68

	* Str.c: Prevent heap-buffer-overflow in Strnew_size().
	Bug-Debian: https://github.com/tats/w3m/issues/72

	* table.c:
	Prevent overflow beyond the end of string in visible_length_plain().
	Bug-Debian: https://github.com/tats/w3m/issues/76

	* libwc/wtf.c:
	Prevent overflow beyond the end of string for wtf to wcs macros.
	Bug-Debian: https://github.com/tats/w3m/issues/77

	* form.c:
	Prevent overflow beyond the end of string in form_update_line().
	Bug-Debian: https://github.com/tats/w3m/issues/78

2016-12-08  Tatsuya Kinoshita  <tats@debian.org>

	* form.c:
	Prevent overflow beyond the end of string in form_update_line().
	Bug-Debian: https://github.com/tats/w3m/issues/75

	* table.c: Prevent overflow beyond the end of string in skip_space().
	Bug-Debian: https://github.com/tats/w3m/issues/74

	* table.c:
	Prevent overflow beyond the end of string in visible_length().
	Bug-Debian: https://github.com/tats/w3m/issues/73

	* libwc/wtf.c:
	Prevent overflow beyond the end of string in wtf_strwidth().
	Bug-Debian: https://github.com/tats/w3m/issues/57

	* libwc/wtf.c:
	Revert "Prevent overflow beyond the end of string in wtf_strwidth()".
	This reverts commit d345c0950dfdef065b7377ecad0e4bc1d2601bf8.

2016-12-07  Tatsuya Kinoshita  <tats@debian.org>

	* file.c: Prevent heap-use-after-free in HTMLlineproc0().
	Bug-Debian: https://github.com/tats/w3m/issues/65

	* file.c: Prevent negative values for offset and pos in push_link().
	Bug-Debian: https://github.com/tats/w3m/issues/64

	* file.c: Prevent overflow beyond the end of string in proc_mchar().
	Bug-Debian: https://github.com/tats/w3m/issues/59

	* libwc/wtf.c:
	Prevent overflow beyond the end of string in wtf_strwidth().
	Bug-Debian: https://github.com/tats/w3m/issues/57

2016-12-05  Yixun Lan  <dlan@gentoo.org>

	* html.h: Explictily include <time.h> to avoid build err.
	While disable ssl, we will got a undefine time_t err.
	Bug-Gentoo: https://bugs.gentoo.org/show_bug.cgi?id=601498
	Origin: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8ee43ba4e036db70fff258f3edb2f0335385e93f

2016-12-05  Tatsuya Kinoshita  <tats@debian.org>

	* table.c:
	Prevent array index out of bounds for tridvalue in feed_table_tag().
	Bug-Debian: https://github.com/tats/w3m/issues/71

	* table.c: Prevent negative array index in set_integered_width().
	Bug-Debian: https://github.com/tats/w3m/issues/70

	* table.c:
	Prevent array index out of bounds for tabattr in feed_table_tag().
	Bug-Debian: https://github.com/tats/w3m/issues/60

	* file.c: Prevent negative array index in process_textarea().
	Bug-Debian: https://github.com/tats/w3m/issues/58

	* file.c:
	Prevent negative array index for marks in HTMLlineproc2body().
	Bug-Debian: https://github.com/tats/w3m/issues/61

	* file.c:
	Prevent negative value of row for pushTable() in HTMLlineproc0().
	Bug-Debian: https://github.com/tats/w3m/issues/67

	* file.c: Prevent negative array index in getMetaRefreshParam().
	Bug-Debian: https://github.com/tats/w3m/issues/63

	* anchor.c:
	Prevent negative array index for marks in shiftAnchorPosition().
	Bug-Debian: https://github.com/tats/w3m/issues/62

2016-11-27  Kuang-che Wu  <kcwu@google.com>

	* file.c: Fix uninitialized variable in process_img(). fix #44.
	Bug-Debian: https://github.com/tats/w3m/issues/44
	Origin: https://github.com/tats/w3m/pull/50/commits/41a607b06e4475101de59e5c623b9e5f76594a21

	* menu.c: Fix menu buffer-overflow.
	Origin: https://github.com/tats/w3m/pull/49/commits/7e1c05dd90cf42a308e854881ea3813aed000d2e

2016-11-27  Tatsuya Kinoshita  <tats@debian.org>

	* ChangeLog, NEWS: Add CVE IDs.
	cf. https://security-tracker.debian.org/tracker/source-package/w3m
	    http://www.openwall.com/lists/oss-security/2016/11/24/1

2016-11-20  Tatsuya Kinoshita  <tats@debian.org>

	* NEWS: Update NEWS.

2016-11-19  Tatsuya Kinoshita  <tats@debian.org>

	* NEWS: Update NEWS.

2016-11-18  Tatsuya Kinoshita  <tats@debian.org>

	* ChangeLog, NEWS: Add CVE IDs.
	cf. https://security-tracker.debian.org/tracker/source-package/w3m
	    http://www.openwall.com/lists/oss-security/2016/11/18/3

	* libwc/ucs.map: Fix type mismatch for pcsw_ucs_map_size.
	cf. https://github.com/tats/w3m/issues/43

	* libwc/ucs.c, libwc/ucs.map:
	Prevent global-buffer-overflow in wc_any_to_ucs().
	Bug-Debian: https://github.com/tats/w3m/issues/43 [CVE-2016-9632]

2016-11-17  Tatsuya Kinoshita  <tats@debian.org>

	* url.c: Prevent global-buffer-overflow in parseURL().
	Bug-Debian: https://github.com/tats/w3m/issues/41 [CVE-2016-9630]

	* file.c: Prevent deref null pointer in HTMLlineproc0().
	Bug-Debian: https://github.com/tats/w3m/issues/42 [CVE-2016-9631]

2016-11-15  Tatsuya Kinoshita  <tats@debian.org>

	* table.c: Prevent deref null pointer in renderCoTable().
	Bug-Debian: https://github.com/tats/w3m/issues/20#issuecomment-260649537

	* file.c, proto.h, table.c:
	Prevent infinite recursion with nested table and textarea.
	Bug-Debian: https://github.com/tats/w3m/issues/20#issuecomment-260590257
	[CVE-2016-9439]

	* table.c:
	Revert "Prevent infinite recursion with nested table and textarea".
	This reverts commit f393faf55975a94217df479e1bd06ee4403c6958.

	* anchor.c: Prevent deref null pointer in shiftAnchorPosition().
	Bug-Debian: https://github.com/tats/w3m/issues/40 [CVE-2016-9629]

2016-11-14  Tatsuya Kinoshita  <tats@debian.org>

	* file.c: Prevent null pointer deref due to bad form id.
	Bug-Debian: https://github.com/tats/w3m/issues/39 [CVE-2016-9628]

	* display.c, file.c, fm.h, symbol.c:
	Prevent array index out of bounds for symbol.
	Bug-Debian: https://github.com/tats/w3m/issues/38 [CVE-2016-9627]

2016-11-13  Tatsuya Kinoshita  <tats@debian.org>

	* file.c:
	Prevent null pointer dereference in HTMLlineproc2body for textarea_int.
	Bug-Debian: https://github.com/tats/w3m/issues/32#issuecomment-260170163

2016-11-12  Tatsuya Kinoshita  <tats@debian.org>

	* NEWS: Update NEWS.

	* table.c: Prevent infinite recursion with nested table and textarea.
	Bug-Debian: https://github.com/tats/w3m/issues/20

2016-11-09  Tatsuya Kinoshita  <tats@debian.org>

	* table.c: Check indent_level to prevent infinite recursion.
	Bug-Debian: https://github.com/tats/w3m/issues/37 [CVE-2016-9626]

2016-11-07  Tatsuya Kinoshita  <tats@debian.org>

	* file.c: Prevent infinite recursion in HTMLlineproc0.
	Bug-Debian: https://github.com/tats/w3m/issues/36 [CVE-2016-9625]

	* NEWS, w3m-doc/install.html.in:
	Update documents for included w3mdict.cgi.

2016-11-07  ITOH Yasufumi  <itohy@NetBSD.org>

	* main.c: Fix suspend (^Z) behavior.
	Suspend the job w3m belongs to, not w3m only.
	Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
	Bug-Debian: https://github.com/tats/w3m/pull/34
	Origin: http://cvsweb.netbsd.org/bsdweb.cgi/pkgsrc/www/w3m/patches/patch-ab?rev=1.4&content-type=text/x-cvsweb-markup

2016-11-07  Tatsuya Kinoshita  <tats@debian.org>

	* form.c: Prevent dereference near-null pointer in formUpdateBuffer.
	Bug-Debian: https://github.com/tats/w3m/issues/35 [CVE-2016-9624]

	* file.c: Prevent crash after allocate string of negative size.
	Bug-Debian: https://github.com/tats/w3m/issues/33 [CVE-2016-9623]

	* file.c: Prevent memory exhausted due to repeat appending "</table>".
	Bug-Debian: https://github.com/tats/w3m/issues/23 [CVE-2016-9633]

	* file.c: Prevent null pointer dereference in HTMLlineproc2body.
	Bug-Debian: https://github.com/tats/w3m/issues/32 [CVE-2016-9622]

2016-10-31  Tatsuya Kinoshita  <tats@debian.org>

	* table.c, table.h, textlist.h:
	Revert "Treat table height as int instead of short".
	This reverts commit 0c9aebb26a16ad3acc69b2e87ffd216d43879cb6.
	Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=842623

2016-10-30  Tatsuya Kinoshita  <tats@debian.org>

	* NEWS: Update NEWS.

	* fm.h: Set use_dictcommand to 1 by default.

	* scripts/Makefile.in: Add w3mdict.cgi to LIB_TARGETS.

	* config.h.dist: Typo fix for USE_DICT.

2016-10-30  Boruch Baum  <boruch-baum@gmx.com>

	* scripts/w3mdict.cgi: Add w3mdict.cgi to use a dictd dictionary query.
	Bug-Debian: https://github.com/tats/w3m/issues/30

2016-10-09  Tatsuya Kinoshita  <tats@debian.org>

	* form.c:
	Fix incorrect dereference in formUpdateBuffer when MENU_SELECT.
	cf. https://github.com/tats/w3m/commit/ec9eb22e008a69ea9dc21fdca4b9b836679965ee
	    https://github.com/tats/w3m/issues/28

2016-10-08  Tatsuya Kinoshita  <tats@debian.org>

	* table.c, table.h, textlist.h:
	Treat table height as int instead of short.
	Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=838952

	* form.c: Prevent global-buffer-overflow write in formUpdateBuffer.
	Bug-Debian: https://github.com/tats/w3m/issues/29 [CVE-2016-9429] [CVE-2016-9621]

	* form.c: Fix null pointer dereference in formUpdateBuffer.
	Bug-Debian: https://github.com/tats/w3m/issues/28 [CVE-2016-9443]

2016-08-30  Kuang-che Wu  <kcwu@google.com>

	* Str.c: Fix potential heap buffer corruption due to Strgrow.
	Origin: https://github.com/tats/w3m/pull/27 [CVE-2016-9442]

2016-08-29  Tatsuya Kinoshita  <tats@debian.org>

	* anchor.c:
	Prevent segfault due to buffer overflows in addMultirowsForm.
	Bug-Debian: https://github.com/tats/w3m/issues/21 [CVE-2016-9425]
	Bug-Debian: https://github.com/tats/w3m/issues/26 [CVE-2016-9428]

	* form.c: Prevent segfault for formUpdateBuffer.
	Bug-Debian: https://github.com/tats/w3m/issues/13#issuecomment-242981906

2016-08-24  Tatsuya Kinoshita  <tats@debian.org>

	* table.c: Prevent segfault with malformed table_alt.
	Bug-Debian: https://github.com/tats/w3m/issues/24 [CVE-2016-9441]

	* form.c: Prevent segfault for formUpdateBuffer.
	Bug-Debian: https://github.com/tats/w3m/issues/22 [CVE-2016-9440]

	* table.c: Truncate max_width for renderTable.
	Bug-Debian: https://github.com/tats/w3m/issues/25 [CVE-2016-9426]

2016-08-20  Tatsuya Kinoshita  <tats@debian.org>

	* file.c, parsetagx.c: Fix uninitialised values for <i> and <dd>.
	Bug-Debian: https://github.com/tats/w3m/issues/16
	[CVE-2016-9435] [CVE-2016-9436]

	* file.c, parsetagx.c:
	Revert "Fix uninitialised values for <i> and <dd>".
	This reverts commit 0fba2f1a6eb6861206ad120a02af2643938082cd.
	cf. https://github.com/tats/w3m/commit/0fba2f1a6eb6861206ad120a02af2643938082cd#commitcomment-18703355

2016-08-19  Tatsuya Kinoshita  <tats@debian.org>

	* file.c, parsetagx.c: Fix uninitialised values for <i> and <dd>.
	Bug-Debian: https://github.com/tats/w3m/issues/16

2016-08-18  Kuang-che Wu  <kcwu@google.com>

	* table.c: Fix table rowspan and colspan.
	Origin: https://github.com/tats/w3m/pull/19
	Bug-Debian: https://github.com/tats/w3m/issues/8 [CVE-2016-9422]

2016-08-18  Tatsuya Kinoshita  <tats@debian.org>

	* file.c: Prevent segfault with malformed input_alt.
	Bug-Debian: https://github.com/tats/w3m/issues/18 [CVE-2016-9438]

	* file.c: Prevent segfault with incorrect button type.
	Bug-Debian: https://github.com/tats/w3m/issues/17 [CVE-2016-9437]

2016-08-17  Tatsuya Kinoshita  <tats@debian.org>

	* file.c: Prevent segfault with incorrect form_int fid.
	Bug-Debian: https://github.com/tats/w3m/issues/15 [CVE-2016-9434]

	* libwc/iso2022.c: Prevent segfault when iso2022 parsing.
	Bug-Debian: https://github.com/tats/w3m/issues/14 [CVE-2016-9433]

	* form.c: Prevent segfault for formUpdateBuffer.
	Bug-Debian: https://github.com/tats/w3m/issues/13 [CVE-2016-9432]

	* file.c, form.c:
	Prevent negative array index for selectnumber and textareanumber.
	Bug-Debian: https://github.com/tats/w3m/issues/12 [CVE-2016-9424]

2016-08-16  Tatsuya Kinoshita  <tats@debian.org>

	* file.c: Truncate large values of table attributes.
	Bug-Debian: https://github.com/tats/w3m/issues/11

2016-08-15  Tatsuya Kinoshita  <tats@debian.org>

	* form.c: Prevent segfault for formUpdateBuffer.
	Bug-Debian: https://github.com/tats/w3m/issues/9 [CVE-2016-9423]
	Bug-Debian: https://github.com/tats/w3m/issues/10 [CVE-2016-9431]

2016-08-09  Tatsuya Kinoshita  <tats@debian.org>

	* file.c: Prevent segfault with malformed input type.
	Bug-Debian: https://github.com/tats/w3m/issues/7 [CVE-2016-9430]

2016-08-08  Tatsuya Kinoshita  <tats@debian.org>

	* Makefile.in, configure, configure.ac, scripts/w3mman/Makefile.in:
	Install German manpages.

2016-08-08  Markus Hiereth  <post@hiereth.de>

	* doc-de/MANUAL.html, doc/MANUAL.html:
	Update MANUAL.html in English and German.
	Origin: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=772341#90

	* doc-de/FAQ.html, doc/FAQ.html: Update FAQ.html in English and German.
	Origin: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=772341#85

	* scripts/w3mman/w3mman.1.in, scripts/w3mman/w3mman.de.1.in:
	Update manpage for w3mman in English and German.
	Origin: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=772341#80

	* doc-de/w3m.1, doc/w3m.1:
	Update manpage for w3m in English and German.
	Origin: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=772341#75

2016-07-18  Tatsuya Kinoshita  <tats@debian.org>

	* NEWS: Update NEWS.

	* fm.h: Set default_url to 1 by default.

2016-06-20  Tatsuya Kinoshita  <tats@debian.org>

	* doc-de/README.func, scripts/w3mhelp-funcdesc.de.pl.in:
	Trim trailing spaces.

2016-06-20  Markus Hiereth  <post@hiereth.de>

	* doc-de/README.func, scripts/w3mhelp-funcdesc.de.pl.in:
	Update German help messages.
	Origin: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=765682#47

2016-06-19  Tatsuya Kinoshita  <tats@debian.org>

	* doc-de/README.func, scripts/w3mhelp-funcdesc.de.pl.in:
	Convert German help messages to UTF-8.

	* main.c: Update description of SOURCE and VIEW.

2016-06-19  Markus Hiereth  <post@hiereth.de>

	* doc-de/README.func, doc/README.func:
	Update description of SOURCE and VIEW.
	Origin: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=765682#37

2016-06-19  Tatsuya Kinoshita  <tats@debian.org>

	* NEWS: Update NEWS.

	* doc-de/README.func: Update German messages.

	* doc/README.func, main.c, menu.c: Update English messages.

	* doc-jp/README.func, scripts/w3mhelp-funcdesc.ja.pl.in:
	Update Japanese help messages.

2016-06-19  Markus Hiereth  <post@hiereth.de>

	* doc-de/README.func, scripts/w3mhelp-funcdesc.de.pl.in:
	Update German help messages.
	Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=765682

	* doc/README.func, scripts/w3mhelp-funcdesc.en.pl.in:
	* scripts/w3mhelp.cgi.in: Update English help messages.

2016-05-11  Tatsuya Kinoshita  <tats@debian.org>

	* config.guess, config.sub:
	Update config.* with autotools-dev 20160430.1.

2016-04-14  Tatsuya Kinoshita  <tats@debian.org>

	* doc-de/README.func, doc-jp/README.func, doc/README.func:
	* w3m-doc/sample/keymap.cgi: Cleanup obsolete INIT_MAILCAP.
	Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=820902

	* NEWS: Update NEWS.

2016-04-08  Tatsuya Kinoshita  <tats@debian.org>

	* libwc/johab.c: Fix segfault on bogus text for wc_N_to_johab1.
	Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=820373

2016-04-07  Tatsuya Kinoshita  <tats@debian.org>

	* libwc/map/big5_ucs.map, libwc/map/cns11643_ucs.map:
	* libwc/map/gb12345_ucs.map, libwc/map/gb2312_ucs.map:
	* libwc/map/gbk_ucs.map, libwc/map/hkscs_ucs.map:
	* libwc/map/jisx0208x0212x0213_ucs.map, libwc/map/ksx1001_ucs.map:
	* libwc/map/sjis_ext_ucs.map, libwc/map/uhc_ucs.map, libwc/ucs.c:
	* libwc/ucs.map: Fix segfault on bogus text for wc_any_to_ucs.
	Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=820162

2016-04-03  Tatsuya Kinoshita  <tats@debian.org>

	* doc/FAQ.html, doc/MANUAL.html: Update English documents.

2016-04-03  Markus Hiereth  <markus.hiereth@freenet.de>

	* doc/FAQ.html, doc/MANUAL.html: Update English documents.
	Origin: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=772341#25

2016-04-02  Tatsuya Kinoshita  <tats@debian.org>

	* configure, configure.ac, doc-de/README.func, scripts/Makefile.in:
	* scripts/w3mhelp-funcdesc.de.pl.in, scripts/w3mhelp.cgi.in:
	Support German translated help messages (translation is in progress).
	Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=765682

	* doc-jp/w3m.1, doc/w3m.1: Update manpage footers to w3m 0.5.3.

	* doc-jp/MANUAL.html, doc-jp/w3m.1, w3m-doc/outline.html.in:
	* w3mhelp-lynx_ja.html.in, w3mhelp-w3m_ja.html.in:
	Update Japanese documents for extbrowser4..9.

2016-04-02  Justin B Rye  <justin.byam.rye@gmail.com>

	* doc/FAQ.html, doc/MANUAL.html, doc/README.func, doc/menu.submenu:
	* main.c, menu.c, scripts/w3mhelp-funcdesc.ja.pl.in:
	* scripts/w3mhelp.cgi.in, w3mhelp-lynx_en.html.in:
	* w3mhelp-w3m_en.html.in: English fixes.
	cf. https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=772341#15
	Origin: https://lists.debian.org/debian-l10n-english/2014/12/msg00002.html
	Origin: https://lists.debian.org/debian-l10n-english/2014/12/msg00030.html
	Origin: https://lists.debian.org/debian-l10n-english/2015/02/msg00011.html

2016-03-30  Leo Famulari  <leo@famulari.name>

	* url.c: Disable RC4.
	Origin: http://git.savannah.gnu.org/cgit/guix.git/commit/?id=62339e2d493bf87a3aabe12e45458581e9705d83

2016-03-29  Tatsuya Kinoshita  <tats@debian.org>

	* url.c: Fix variable is reassigned a value before the old one has
	been used.

	* regex.c: Fix printf format specifier mismatch when REGEX_DEBUG.

	* w3mimg/fb/fb.c: Fix invalid braces when not Linux or FreeBSD.

	* local.c: Fix uninitialized variable when not HAVE_PUTENV.

	* w3mimgdisplay.c: Fix realloc mistake for DrawImage.

	* file.c: Fix mistake of unescape spaces for _doFileCopy.
	cf. [w3m-dev-en 00751], [w3m-dev-en 00752] on 2002-06-09

	* url.c: Fix style of array index is used before limits check.
	Bug: https://sourceforge.net/p/w3m/feature-requests/25/

2016-03-22  Tatsuya Kinoshita  <tats@debian.org>

	* menu.c, proto.h: Fix build failure when not USE_MOUSE for sgrmouse.
	cf. https://twitter.com/naota344/status/711541592167854081

2016-03-20  Tatsuya Kinoshita  <tats@debian.org>

	* rc.c: Fix reverse ordered config parameters.

2016-03-19  Tatsuya Kinoshita  <tats@debian.org>

	* doc/FAQ.html: Update FAQ for extbrowser.

2016-03-14  Tatsuya Kinoshita  <tats@debian.org>

	* po/de.po, po/ja.po, po/w3m.pot, po/zh_CN.po, po/zh_TW.po, rc.c:
	Update PO strings for extbrowser2..9.

2016-03-13  Tatsuya Kinoshita  <tats@debian.org>

	* acinclude.m4, configure:
	Set firefox instead of mozilla to default browser.

	* po/Makefile.in.in, po/de.po, po/ja.po, po/w3m.pot, po/zh_CN.po:
	* po/zh_TW.po: Update PO strings for extbrowser4..9.

	* doc-jp/MANUAL.html, doc/MANUAL.html, fm.h, main.c, rc.c:
	Add extbrowser4, extbrowser5, ..., and extbrowser9.
	e.g.
	- extbrowser8 url=%s && printf %s "$url" | xsel && printf %s "$url" | xsel -b &
	- extbrowser9 mpv %s &
	cf. https://github.com/spcmd/w3m

2016-02-28  Tatsuya Kinoshita  <tats@debian.org>

	* menu.c: Fix SIGFPE for ACCESSKEY.
	Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=779092

	* doc/README.func, main.c: Typo fix for ACCESSKEY.
	cf. https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=779092#5

2015-12-20  Franz Thoma  <franz.thoma@tngtech.com>

	* w3mimg/x11/x11_w3mimg.c: Fix semi-transparent artifacts in w3m-img
	when used with 32-bit color (e.g. urxvt).
	imlib_render_image_on_drawable_at_size() tended to leave nasty
	semi-transparent artifacts in 32-bit mode.  Apparently, resizing an
	image in 32-bit mode affects the alpha channel even if there is no
	transparency in the image.  With this patch, resizing is done in
	24-bit mode (or whatever depth the original image has) before
	converting the image to 32-bit and rendering it on the display.
	Origin: https://gist.github.com/fmthoma/f76a1b44e00d5ca972bb
	cf. https://github.com/hut/ranger/issues/86#issuecomment-166027119

2015-12-17  Tatsuya Kinoshita  <tats@debian.org>

	* w3mimg/x11/x11_w3mimg.c:
	Wrap render_pixbuf_to_pixmap_32() in USE_GTK2.

2015-12-17  Araki Ken  <arakiken@users.sf.net>

	* w3mimg/x11/x11_w3mimg.c:
	w3mimgdisplay supports 32 bit depth screen. (e.g. gnome-terminal)
	Origin: https://bitbucket.org/arakiken/w3m/commits/f9c22db8cfd1aaba9bb7301ef9ba51ed88d8bb40

2015-12-17  Tatsuya Kinoshita  <tats@debian.org>

	* w3mimg/x11/x11_w3mimg.c:
	Revert "Fix handling visuals and colormaps incorrectly".
	This reverts commit e24b4064daf3e022e370788a8c7267db40c37dda.

2015-11-19  Tatsuya Kinoshita  <tats@debian.org>

	* fm.h: Accept cookies by default.

	* fm.h: Set argv_is_url to 1 by default.
	Bug-Arch: https://bugs.archlinux.org/task/47102

2015-11-18  Tatsuya Kinoshita  <tats@debian.org>

	* config.guess, config.sub:
	Update config.* with autotools-dev 20150820.1.

2015-11-11  Mingye Wang (Arthur2e5)  <arthur200126@gmail.com>

	* po/LINGUAS, po/zh_CN.po, po/zh_TW.po:
	Add zh_CN and zh_TW translations.
	Please note that the zh_TW translation is machine-converted using
	OpenCC from zh_CN, and needs to be further polished by actual zh_TW
	speakers.
	Origin: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=804732#10

2015-10-24  BwackNinja  <BwackNinja@gmail.com>

	* w3mimg/x11/x11_w3mimg.c:
	Fix handling visuals and colormaps incorrectly.
	cf. https://github.com/hut/ranger/issues/86
	Origin: https://gist.github.com/BwackNinja/60a344730170f9ce2163
	Bug-Arch: https://bugs.archlinux.org/task/46836
	Bug: https://sourceforge.net/p/w3m/patches/72/

2015-10-10  Tatsuya Kinoshita  <tats@debian.org>

	* cookie.c: Remove incomplete special_domain tests.
	Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=385702

2015-10-04  Gaetan Bisson  <bisson@archlinux.org>

	* scripts/w3mhelp.cgi.in: Do not use defined(%hash).
	Origin: https://projects.archlinux.org/svntogit/packages.git/commit/trunk?h=packages/w3m&id=d9e0a4f0b461c9e2177cd9e64a10581386650503
	Bug-Arch: https://bugs.archlinux.org/task/45608

2015-09-06  Tatsuya Kinoshita  <tats@debian.org>

	* file.c: Do not use C99-style comments.

2015-09-06  David Crosby  <dave@dafyddcrosby.com>

	* file.c: Mitigate issue #16 found by @kcwu.
	* table.c: Fix stack overflow found by @kcwu.
	Origin: https://github.com/dafyddcrosby/sw3m
	Bug-sw3m: https://github.com/dafyddcrosby/sw3m/issues/16

2015-08-21  Tatsuya Kinoshita  <tats@debian.org>

	* doc-jp/keymap.lynx, doc/keymap.lynx: Fix unknown key.
	Bug-Ubuntu: https://bugs.launchpad.net/ubuntu/+source/w3m/+bug/265144
	Bug: https://sourceforge.net/p/w3m/bugs/48/

2015-08-11  David Crosby  <dave@dafyddcrosby.com>

	Fix resource leaks, dead assignments, divide-by-zero, and so on.
	Origin: https://github.com/dafyddcrosby/sw3m

	* buffer.c: Check for presence of prevl before using.

	* html.h: Adjust UFclose to remove false positive of CWE-481.

	* ftp.c: Move sockent for splint.

	* cookie.c: Use unsigned int for max_count.

	* libwc/iso2022.c: Add missing comparision that made if always true.

	* Str.c: Use fgetc in while loops, use int instead of char.

	* mailcap.c: Adjust len to size_t.

	* history.c: Check return value of rename.

	* main.c: Adjust while loop.

	* news.c: Check dup call for errors.

	* file.c: Remove unused value.

	* ftp.c: dup can give a negative value.

	* main.c: Use int for c.

	* table.c: Initialize new_tabwidth at declaration.

	* local.c: Remove overflow on readlink.

	* anchor.c, file.c, istream.c, main.c, menu.c, rc.c, table.c, terms.c:
	* url.c: Remove dead assignments flagged by Clang static analysis.

	* w3mbookmark.c:
	Move fclose to fix dereference after null check (Coverity).

	* file.c: Fix resource leak in AuthDigestCred.

	* buffer.c: Fix resource leak in readBufferCache.

	* cookie.c: Fix resource leak in load_cookies.

	* frame.c: Fix resource leak.

	* w3mhelperpanel.c: Fix resource leak.

	* w3mbookmark.c: Fix resource leak and a null return value dereference.

	* linein.c: Fix a divide-by-zero.

	* cookie.c: Change total_dot_number to unsigned int.

	* cookie.c: Free tmp.

	* local.c: Remove unreachable return.

2015-08-10  Alan Grow  <alangrow@gmail.com>

	* url.c (HTTPrequest):
	- Use Content-Type instead of Content-type.
	- Use Content-Length instead of Content-length.
	Origin: https://github.com/acg/w3m/commit/5946c2784d4eae46ec06e52390e43a874b3395fc

2015-08-09  Egmont Koblinger  <egmont@users.sourceforge.net>

	* terms.c: Support sgrmouse for skip_escseq.
	* menu.c: Adjust comments for keymaps.
	Origin: https://sourceforge.net/p/w3m/patches/65/#e2aa

2015-08-09  Tatsuya Kinoshita  <tats@debian.org>

	* keybind_lynx.c: Support sgrmouse for Lynx-like key binding.
	cf. https://sourceforge.net/p/w3m/patches/65/

2015-08-09  IWAMOTO Kouichi  <sue@iwmt.org>

	* menu.c: Support SGR style mouse handler for menu.
	cf. https://github.com/tats/w3m/issues/5
	Origin: https://gist.github.com/ttdoda/83fbcf676a21da28432b
	Bug: https://sourceforge.net/p/w3m/patches/65/

2015-08-06  Richard Quirk  <richard@quirk.es>

	Fix problems reported by cppcheck, clang --analyze and gcc warnings.
	Origin: https://github.com/tats/w3m/pull/6

	* Str.c, Str.h: Strnew_charp and co do not modify the char* input.

	* local.c: Close temp file if pipe open fails.

	* rc.c: Avoid passing null to strlen.

	* file.c: Initialise hidden_input to NULL.
	This prevents a possible use of garbage value on line 3017.

	* file.c: Use pclose for pipe.

2015-08-05  IWAMOTO Kouichi  <sue@iwmt.org>

	* main.c: Fix that SGR style mouse handler has off-by-one problem.
	cf. https://github.com/tats/w3m/issues/5
	Origin: https://gist.github.com/ttdoda/30c189a63d483beeb207
	Bug-Ubuntu: https://bugs.launchpad.net/ubuntu/+source/w3m/+bug/1390768
	Bug: https://sourceforge.net/p/w3m/patches/65/

2015-07-31  yshl  <yshl@takechiyo.net>

	* Bonus/goodict.cgi:
	- Use Encode.pm instead of NKF.
	- Update to the current URL.
	- Enable to select search mode.
	Origin: https://github.com/tats/w3m/pull/4

2015-07-20  Tatsuya Kinoshita  <tats@debian.org>

	* README: Add short description.

	* doc-jp/FAQ.html, doc/FAQ.html: Mention GOPHER_PROXY and FTP_PROXY.

2015-07-05  Tatsuya Kinoshita  <tats@debian.org>

	* doc-jp/FAQ.html, doc/FAQ.html: Mention HTTPS_PROXY.
	Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=791425

2015-06-27  yshl  <yshl@takechiyo.net>

	* doc-jp/README.SSL: Modify certdata2pem.rb to assume the encoding
	of the certdata.txt to be UTF-8.
	Origin: https://github.com/tats/w3m/pull/3

2015-06-23  Daniel Schepler  <dschepler@gmail.com>

	* terms.c: Wrap the functions used by image.c in USE_IMAGE.
	Origin: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=789539

2015-05-09  Tatsuya Kinoshita  <tats@debian.org>

	* doc-jp/README.siteconf, doc/README.siteconf:
	Update examples of siteconf for twitter.com.

2015-05-03  Tatsuya Kinoshita  <tats@debian.org>

	* main.c: Correct GC version confirmation.

2015-05-02  yshl  <yshl@takechiyo.net>

	* main.c: Correct GC version confirmation.
	Origin: https://github.com/tats/w3m/pull/2

2015-04-29  Markus Hiereth  <post@hiereth.de>

	* po/de.po: Update German translation.
	Origin: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=783383

2015-04-29  Tatsuya Kinoshita  <tats@debian.org>

	* po/Makevars, po/de.po, po/ja.po, po/w3m.pot, rc.c:
	Update PO strings for display_borders.

2015-04-26  yshl  <yshl@takechiyo.net>

	* main.c: Use GC_oom_fn instead of GC_set_oom_fn for gc-7.1.
	Origin: https://github.com/tats/w3m/pull/1

2015-02-03  Tatsuya Kinoshita  <tats@debian.org>

	* po/de.po, po/ja.po, po/w3m.pot: Update PO.

2015-02-02  Tatsuya Kinoshita  <tats@debian.org>

	* file.c, fm.h, rc.c:
	New option "display_borders" to display 0 pixel table borders.
	cf. http://d.hatena.ne.jp/rubikitch/20101120

2015-01-24  Tatsuya Kinoshita  <tats@debian.org>

	* acinclude.m4, configure, version.c.in:
	Update to 0.5.3+gitYYYYMMDD (generate from ChangeLog).

2015-01-15  Tatsuya Kinoshita  <tats@debian.org>

	* alloc.h, main.c: Drop C99 features.

2015-01-15  Scarlett  <scarlett@xavin.net>

	Add overflow detection.
	Origin: http://marc.info/?l=openbsd-ports&m=142090828929750&w=2
	* main.c: Call exit(1) when out of memory to avoid dereferencing null
	pointers when gc's malloc fails.
	* alloc.h: Replacements for w3m's allocation macros which add
	overflow detection and concentrate the macros in one file.
	* indep.h, libwc/charset.c, libwc/status.c, matrix.c: Use the
	overflow-detecting allocation macros from alloc.h.

2015-01-15  Tatsuya Kinoshita  <tats@debian.org>

	* Str.c, cookie.c, map.c:
	Do not use C99 printf format specifiers and asprintf.

2015-01-15  Scarlett  <scarlett@xavin.net>

	Correct printf arguments and use asprintf.
	Origin: http://marc.info/?l=openbsd-ports&m=142090828929750&w=2
	* Str.c: Use asprintf() instead of rolling our own printf string
	length detection.
	* cookie.c: Pass the char pointer in the string struct to printf %s
	instead of the string struct itself.
	Print time_t using %lld instead of %ld to allow for 64-bit time_t.
	* main.c: Print a long int using the correct format specifier.
	* map.c: Print size_t using the correct format specifier.

2014-12-06  Araki Ken  <arakiken@users.sf.net>

	Support OSC 5379 remote imaging and sixel graphics.
	Origin: https://bitbucket.org/arakiken/w3m/branch/remoteimg (2014-11-16)

	* doc/README.sixel, terms.c: Add README.sixel.  W3M_IMG2SIXEL
	environmental variable enables to specify options of img2sixel.

	* image.c, terms.c:
	Add n_terminal_image argument to put_image_{sixel|osc5379}().
	Use struct winsize to calculate ppc and ppl.

	* terms.c: If SCREEN_VARIANT=sixel on GNU screen, exec img2sixel
	without -P option.

	* terms.c: ttymode_set() -> ttymode_reset().

	* terms.c: Fix.

	* terms.c: Support GNU screen.

	* terms.c: Show GIF (except animation GIF) correctly.

	* main.c, terms.c: img2sixel exits by Ctrl+C. Enable GIF Animation if
	'I' is pressed to show it.

	* image.c: Add declaration of get_pixel_per_cell().

	* terms.c: Show the first frame of animation gif files.

	* terms.c: system() -> fork()&execvp()

	* display.c: Draw underline on anchor which contains cboth text and
	images.

	* etc.c: Remove close_tty() from setup_child() because close_tty()
	sometimes interrupts loadGeneralFile() in loadImage() and corrupt
	image data can be cached in ~/.w3m.

	* image.c: Minor fix.

	* image.c: Cache image files if at all possible and convert them to
	sixel when -sixel option is specified.

	* image.c: Init pixel_per_{char|line}_i if get_pixel_per_cell() fails.

	* display.c, file.c, fm.h, image.c, main.c, terms.c:
	Add -sixel option which supports image processing by img2sixel.

	* image.c: Don't download image files whose size is specified in
	<img> tag.

	* image.c: Minor fixes of parseImageHeader().

	* image.c: Determine the format of an image file by its header data
	not by its file name suffix.

	* image.c: Read width and height from jpeg, png and gif files directly
	instead of executing w3mimgdisplay -size.

	* display.c: display.c: Draw underline on anchor text which is not
	overlapped with any image.

	* terms.c: Clear fd_set by FD_ZERO() before select().

	* file.c: nw and ni are rounded up instead of rounded off to show
	every corner of images.

	* terms.c: Change time to wait for the response of "\x1b[14t\x1b[18t"
	from 0.1 sec to 0.5 sec.

	* image.c:
	- clearImage() works.
	- Use cached image files created by w3m in getImage().

	* file.c: Hack for alignment.

	* fm.h, image.c, terms.c:
	- Adjust the image size to the terminal cell size.
	- If the image size is specified in html source, skip to load the image.

	* display.c, fm.h, image.c, main.c, terms.c, w3mimg/x11/x11_w3mimg.c:
	Support remote image by OSC 5379 show_picture sequence.

2014-12-06  Olaf Hering  <olh@suse.de>

	* parsetagx.c: Fix crash in parse_tag() during every start.
	Origin: https://build.opensuse.org/package/view_file/openSUSE:Factory/w3m/w3m-parsetagx-crash.patch?expand=1

	* fm.h: Change the default to alt_entity=0.
	Change the default for the option "Use ASCII equivalents to
	display entities" from YES to NO.
	Origin: https://build.opensuse.org/package/view_file/openSUSE:Factory/w3m/w3m-0.5.1-no-ASCII-equivalents-by-default.patch?expand=1
	Bug-Novell: https://bugzilla.novell.com/show_bug.cgi?id=247397

	* anchor.c, libwc/gb18030.c, libwc/ucs.c, regex.c:
	Fix a few harmless uninitialized variables.
	Origin: https://build.opensuse.org/package/view_file/openSUSE:Factory/w3m/w3m-uninitialized.patch?expand=1

2014-12-06  Peter Poeml  <poeml@suse.de>

	* terms.c: Prevent segfault when editing a textarea field with vi.
	Add fix for segfault that can occur when editing a textarea field
	with vi, and returning to w3m (it seems to happen if the terminal
	is not writable, as when using w3m after 'su - some_user')
	Origin: https://build.opensuse.org/package/view_file/openSUSE:Factory/w3m/w3m-0.4.1-textarea-segfault.dif?expand=1

2014-12-04  Tatsuya Kinoshita  <tats@debian.org>

	* acinclude.m4: Follow updated configure.

2014-12-03  Yusuke Baba  <babayaga1@y8.dion.ne.jp>

	* configure, w3mimg/fb/fb.c, w3mimg/fb/fb.h, w3mimg/fb/fb_w3mimg.c:
	Support FreeBSD framebuffer.
	Origin: http://www.ac.auone-net.jp/~baba/w3m-img/index.html
	Bug-FreeBSD: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=122673

2014-12-02  Naohiro Aota  <naota@gentoo.org>

	* acinclude.m4, configure, w3mimg/fb/fb_gdkpixbuf.c:
	* w3mimg/x11/x11_w3mimg.c:
	Depend on gdk-pixbuf instead of gtk when gtk2.
	Origin: http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/www-client/w3m/files/w3m-0.5.3-gdk-pixbuf.patch?revision=1.1

2014-12-02  Jeroen Roovers  <jer@gentoo.org>

	* acinclude.m4, configure: Add tinfo to with_termlib.
	Fix building against sys-libs/ncurses[tinfo].
	Origin: https://504588.bugs.gentoo.org/attachment.cgi?id=372650
	Bug-Gentoo: https://bugs.gentoo.org/show_bug.cgi?id=504588

2014-12-01  OBATA Akio  <obache@netbsd.org>

	* acinclude.m4, configure:
	Assume defined PKG_CONFIG points right location when gtk2.
	Origin: http://cvsweb.netbsd.org/bsdweb.cgi/pkgsrc/www/w3m/patches/patch-aa?rev=1.13&content-type=text/x-cvsweb-markup
	Origin: http://cvsweb.netbsd.org/bsdweb.cgi/pkgsrc/www/w3m/patches/patch-ak?rev=1.1&content-type=text/x-cvsweb-markup

2014-12-01  Vsevolod Stakhov  <vsevolod@FreeBSD.org>

	* config.h.in: Disable USE_EGD for LibreSSL.
	Disable use of RAND_egd as it is absent in FreeBSD.
	This also fixes build error with LibreSSL.
	Origin: https://bz-attachments.freebsd.org/attachment.cgi?id=144635
	Bug-FreeBSD: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=191852
	Bug-FreeBSD: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=191956

2014-12-01  zimous  <zimous@matfyz.cz>

	* po/ja.po: Set Language tag properly for Japanese translation.
	Origin: https://512722.bugs.gentoo.org/attachment.cgi?id=378452
	Bug-Gentoo: https://bugs.gentoo.org/show_bug.cgi?id=512722

2014-11-30  Tatsuya Kinoshita  <tats@debian.org>

	* doc/w3m.1: Typo fix.

2014-11-30  Markus Hiereth  <post@hiereth.de>

	* doc/w3m.1: Miscellaneous changes to improve English manpage.
	Origin: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=766550#30

2014-11-29  Markus Hiereth  <post@hiereth.de>

	* doc/w3m.1: Improve FILES.
	Origin: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=766550#30
	Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=403634

	* doc/w3m.1: Improve EXAMPLES.
	Origin: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=766550#30
	Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=380560

	* doc/w3m.1: Improve explanation about option -N.
	Origin: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=766550#30
	Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=345084
	Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=530468

	* doc/w3m.1: Note that -cols only affects when HTML is rendered.
	Origin: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=766550#30
	Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=285251

	* doc/w3m.1: Add more info on configuration.
	Origin: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=766550#30
	Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=268211

2014-11-29  Justin B Rye  <justin.byam.rye@gmail.com>

	* scripts/w3mman/w3mman.1.in: Tweak for W3MMAN_W3M.
	Origin: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=771003#5

	* scripts/w3mman/w3mman.1.in: English fixes.
	Origin: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=766550#25

2014-11-29  Tatsuya Kinoshita  <tats@debian.org>

	* version.c.in: Update to 0.5.3+debian-19+.

2014-11-29  Justin B Rye  <justin.byam.rye@gmail.com>

	* scripts/w3mman/w3mman2html.cgi.in: Fix Perl warnings.
	Origin: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=771004

2014-10-21  Tatsuya Kinoshita  <tats@debian.org>

	* version.c.in: Update to 0.5.3+debian-19

	* po/LINGUAS: Correct LINGUAS to a whitespace separated list

2014-10-21  Markus Hiereth  <markus.hiereth@freenet.de>

	* po/LINGUAS, po/de.po: Add German translation
	Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=763964

2014-10-15  Tatsuya Kinoshita  <tats@debian.org>

	* version.c.in: Update to 0.5.3+debian-18

	* doc-jp/README.SSL: Update README.SSL to follow default values

	* config.sub: Update config.sub with autotools-dev 20140911.1

	* fm.h: Disable SSLv3 by default [CVE-2014-3566]
	cf. https://blog.mozilla.org/security/2014/10/14/the-poodle-attack-and-the-end-of-ssl-3-0/

2014-10-15  Ludwig Nussel  <ludwig.nussel@suse.de>

	* fm.h: Force ssl_verify_server on and disable SSLv2 support
	Origin: http://www.openwall.com/lists/oss-security/2010/06/14/4

2014-10-13  Tatsuya Kinoshita  <tats@debian.org>

	* version.c.in: Update to 0.5.3+debian-17+

2014-10-04  Tatsuya Kinoshita  <tats@debian.org>

	* libwc/ambwidth_map.awk, libwc/map/ucs_ambwidth.map:
	Fix incorrect generation of ucs_ambwidth_map

2014-08-22  Tatsuya Kinoshita  <tats@debian.org>

	* version.c.in: Update to 0.5.3+debian-17

	* config.guess:
	Update config.guess to 2014-03-23 with autotools-dev 20140510.1

	* config.sub:
	Update config.sub to 2014-05-01 with autotools-dev 20140510.1

2014-08-22  Micah Cowan  <micah@addictivecode.org>

	* main.c: Support Boehm GC 7.2.
	Replace Gentoo's patch to prevent segfaults due to infinite recursion.
	Origin: https://bugs.debian.org/cgi-bin/bugreport.cgi?msg=5;filename=080_gc72.patch;att=1;bug=758831
	Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=758831
	Bug-Fedora: https://bugzilla.redhat.com/show_bug.cgi?id=555467
	Bug: http://sourceforge.net/p/w3m/patches/63/
	Bug: http://sourceforge.net/p/w3m/patches/59/

2014-08-22  Tatsuya Kinoshita  <tats@debian.org>

	* main.c:
	Revert "Support Boehm GC 7.2" (w3m-0.5.2-gc72.patch from Gentoo)
	This reverts commit 4331db3e3e673ac4dbfe8e9f2b42a8e0478dc98a.

2014-06-23  Tatsuya Kinoshita  <tats@debian.org>

	* version.c.in: Update to 0.5.3+debian-16

	* url.c: Disable ciphers that use keys smaller than 128 bits
	Bug-Ubuntu: https://bugs.launchpad.net/ubuntu/+source/w3m/+bug/1325674

2014-01-04  Tatsuya Kinoshita  <tats@debian.org>

	* version.c.in: Update to 0.5.3+debian-15

2014-01-03  Tatsuya Kinoshita  <tats@debian.org>

	* version.c.in: Update to 0.5.3+debian-14

	* acinclude.m4, configure: Use pkg-config to build with imlib2 1.4.6

	* doc/HISTORY, doc/README.cookie, doc/README.m17n:
	Prefer US-ASCII rathar than Japanese encodings in English documents

2013-12-27  Tatsuya Kinoshita  <tats@debian.org>

	* doc-jp/MANUAL.html, doc/MANUAL.html:
	Cleanup unusable links in MANUAL.html
	Bug-Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=517315

	* version.c.in: Update to 0.5.3+debian-13+

2013-12-17  Tatsuya Kinoshita  <tats@debian.org>

	* version.c.in: Update to 0.5.3+debian-13

2013-12-14  Tatsuya Kinoshita  <tats@debian.org>

	* config.guess:
	Update config.guess to 2013-06-10 with autotools-dev 20130810.1

	* config.sub:
	Update config.sub to 2013-08-10 with autotools-dev 20130810.1

2013-12-07  Reinhard Max  <max@suse.de>

	* local.c: Fix a directory descriptor leak in loadLocalDir.
	Patch from openSUSE on 2009-09-07.
	Origin: https://build.opensuse.org/package/view_file/openSUSE:Factory/w3m/w3m-closedir.patch
	Bug-Novell: https://bugzilla.novell.com/show_bug.cgi?id=531675

2013-12-07  AIDA Shinra  <shinra@j10n.org>

	* main.c: Fix crash after SEARCH_NEXT.
	Patch from <http://www.j10n.org/files/w3m-cvs-1.1055-search-next.patch>,
	[w3m-dev:04473] on 2013-12-07.

2013-11-11  Paul Boekholt  <p.boekholt@gmail.com>

	* file.c: Add support for single quoted meta refresh URL
	Bug: https://sourceforge.net/p/w3m/patches/53/
	Bug-NetBSD: http://gnats.netbsd.org/42400

2013-11-07  Cristian Rodriguez  <crrodriguez@opensuse.org>

	* url.c: Use SSL_OP_NO_COMPRESSION if available.
	Due to the "CRIME attack" (CVE-2012-4929) HTTPS clients that
	negotiate TLS-level compression can be abused for MITM attacks.
	* url.c: Use SSL_MODE_RELEASE_BUFFERS if available.
	Patch from openSUSE on 2012-11-12:
	https://build.opensuse.org/request/show/141054

2013-10-15  Tatsuya Kinoshita  <tats@debian.org>

	* Makefile.in:
	Depend on funcname.tab to fix parallel make issue of scripts
	Bug: https://sourceforge.net/p/w3m/patches/64/
	Bug-Gentoo: https://bugs.gentoo.org/show_bug.cgi?id=362249

	* w3mimg/Makefile.in:
	Avoid prerequisite $(IMGOBJS) to fix parallel make issue of w3mimg
	Bug-Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=726188

	* acinclude.m4, configure:
	Explicitly add -lX11 to IMGX11LDFLAGS only when gtk2
	Bug: https://sourceforge.net/p/w3m/patches/57/

	* w3mimg/Makefile.in: Revert "Fix parallel make issue"
	This reverts commit aa6f871c6dcc108118142bcc786e4a6ac3d46867.

	* Makefile.in:
	Revert "Explicitly link w3mimgdisplay with -lX11 to build with gcc 4.5"
	This reverts commit 7410954066d68ac2ad6aea638801714447321fec.

2013-10-14  AIDA Shinra  <shinra@j10n.org>

	* url.c: Define schemeNumToName() to fix scheme bug.
	Patch from <http://www.j10n.org/files/w3m-cvs-1.1055-schemebug.patch>,
	[w3m-dev:04470] on 2013-10-14.
	Bug: https://sourceforge.net/p/w3m/patches/60/

	* config.h.in, file.c, fm.h, html.h, image.c, indep.c, indep.h:
	* istream.c, istream.h, local.c, main.c, mimehead.c, proto.h:
	Workaround of GC crash on Cygwin64.
	Patch from <http://www.j10n.org/files/w3m-cvs-1.1055-win64gc.patch>,
	[w3m-dev:04469] on 2013-10-14.

2013-10-14  Tatsuya Kinoshita  <tats@debian.org>

	* version.c.in: Update to 0.5.3+debian-12+

2013-10-14  Jarek Czekalski  <jarekczek@poczta.onet.pl>

	* terms.c: Fix paren in check_cygwin_console()
	Bug: https://sourceforge.net/p/w3m/patches/66/

2013-10-13  Tatsuya Kinoshita  <tats@debian.org>

	* version.c.in: Update to 0.5.3+debian-12

	* doc-jp/MANUAL.html, doc-jp/w3m.1, doc/MANUAL.html, doc/w3m.1:
	Update document for the -s option change
	Bug-Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=75527

	* terms.c: Do not fail when LANG is not set.
	Check whether the value of LC_ALL, LC_CTYPE or LANG is not NULL in
	check_cygwin_console().
	Bug: https://sourceforge.net/p/w3m/patches/66/

2013-10-12  Tatsuya Kinoshita  <tats@debian.org>

	* table.h: Bump MAXCOL to 256
	Bug: https://sourceforge.net/p/w3m/feature-requests/24/

2013-10-12  Laurence Richert  <laurencerichert@yahoo.de>

	* main.c, proto.h: vim/-perator like handling
	- half page scrolling
	- jumping to elements numbered by getLinkNumberStr() from Karsten
	  Schoelzel
	Bug-Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=724028

2013-10-12  Tatsuya Kinoshita  <tats@debian.org>

	* doc-jp/README, doc/README:
	Mention project page rather than unavailable mailing lists

2013-10-09  Rafael Laboissiere  <rafael@laboissiere.net>

	* doc/README.img: Fix typo
	Bug-Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=725892

2013-08-12  Tatsuya Kinoshita  <tats@debian.org>

	* version.c.in: Update to 0.5.3+debian-11+

	* ChangeLog: Update ChangeLog to use contributor's name

2013-08-08  Tatsuya Kinoshita  <tats@debian.org>

	* version.c.in: Update to 0.5.3+debian-11

2013-08-04  Tatsuya Kinoshita  <tats@debian.org>

	* Str.c: Check length for Strchop()

	* main.c: Fix potentially segfault of execdict()

	* version.c.in: Update to 0.5.3+debian-10+

	* file.c: Fix segfault of loadGeneralFile()
	Bug-Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=718612

2013-08-02  Tatsuya Kinoshita  <tats@debian.org>

	* version.c.in: Update to 0.5.3+debian-10

2013-08-02  Piotr P. Karwasz <piotr.p@karwasz.org>

	* scripts/w3mman/w3mman2html.cgi.in:
	Correct underline processing and more UTF-8 support for w3mman2html.cgi.
	Patch from <https://bugs.launchpad.net/ubuntu/+source/w3m/+bug/680202>
	on 2010-11-23.

2013-08-01  Hilko Bengen  <bengen@debian.org>

	* entity.c: Ignore SOFT HYPHEN to prevent drawing hyphens everywhere.
	Patch from <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=441934>
	on 2011-03-01.

2013-08-01  Tatsuya Kinoshita  <tats@debian.org>

	* doc-jp/README, doc/README: Update contact list in README
	Bug-Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=696209

2013-07-30  Tatsuya Kinoshita  <tats@debian.org>

	* config.guess, config.sub:
	Update config.guess and config.sub to supprot aarch64.
	Updated with Debian autotools-dev version 20130515.1.

2013-07-30  Conrad J.C. Hughes  <debbugs@xrad.org>

	* main.c: Sort anchors by sequence number in -dump.
	Patch from <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=657666>
	on 2012-01-27.

2013-07-30  Tatsuya Kinoshita  <tats@debian.org>

	* version.c.in: Update to 0.5.3+debian-9+

2013-07-29  Tatsuya Kinoshita  <tats@debian.org>

	* version.c.in: Update version to w3m/0.5.3+debian-9

	* version.c.in: Set CURRENT_VERSION to debian version

2013-07-28  Tatsuya Kinoshita  <tats@debian.org>

	* file.c: Fix segfault of process_button()

2013-04-08  AIDA Shinra  <shinra@j10n.org>

	* file.c: One more patch for siteconf from [w3m-dev 04464]

	* anchor.c, config.h.in, display.c, doc-jp/README.siteconf:
	* doc/README.siteconf, file.c, fm.h, form.c, frame.c, func.c:
	* history.c, indep.c, indep.h, linein.c, main.c, map.c, menu.c:
	* po/ja.po, proto.h, rc.c, url.c: Support the siteconf feature.
	Patch to support the siteconf feature, from [w3m-dev 04463]
	on 2012-06-27.

2013-04-08  Hayaki Saito  <user@zuse.jp>

	* keybind.c, main.c, proto.h, terms.c:
	Support SGR 1006 mouse reporting.
	cf. [w3m-dev 04466] on 2012-07-15
	Origin: https://gist.github.com/3114255
	Bug: https://sourceforge.net/p/w3m/patches/65/

2012-05-19  Hilko Bengen  <bengen@debian.org>

	* form.c: Assume "text" if an input type is unknown.
	Patch from <http://bugs.debian.org/615843> on 2011-03-01.

2012-05-19  Simon Ruderich  <simon@ruderich.org>

	* Makefile.in: Use $(CPPFLAGS) with $(CPP).
	Patch from <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=665491>
	on 2012-03-24.

2012-05-03  Miroslav Šulc  <fordfrog@gentoo.org>

	* w3mimg/Makefile.in: Fix parallel make issue.
	Patch from Gentoo
	<http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/www-client/w3m/files/w3m-0.5.3-parallel-make.patch?revision=1.1&view=markup>
	<https://bugs.gentoo.org/show_bug.cgi?id=353390> on 2011-02-01.

2012-05-03  MATSUU Takuto  <matsuu@gentoo.org>

	* main.c: Support Boehm GC 7.2.
	Patch from Gentoo
	<http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/www-client/w3m/files/w3m-0.5.2-gc72.patch?revision=1.1&view=markup>
	on 2009-12-13.

2012-05-02  Reinhard Tartler  <siretart@tauware.de>

	* istream.c, istream.h:
	Fix that struct file_handle conflicts with glibc 2.14.
	Patch from <https://bugs.launchpad.net/ubuntu/+source/w3m/+bug/935540>
	on 2012-02-19.

2011-10-30  Colin Watson  <cjwatson@ubuntu.com>

	* acinclude.m4, configure, w3mbookmark.c:
	Appease gcc -Werror=format-security.
	Patch from 0.5.3-3ubuntu1 on 2011-10-23.
	Bug-Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=646321

2011-06-19  Martin Pitt  <martin.pitt@ubuntu.com>

	* Makefile.in:
	Explicitly link w3mimgdisplay with -lX11 to build with gcc 4.5.
	Patch from 0.5.2-10ubuntu1 on 2010-12-03.
	Bug-Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=605761

2011-06-19  Fumitoshi UKAI  <ukai@debian.or.jp>

	* main.c: Change the -s option to "squeeze multiple blank lines".
	Change the -s option from "display charset Shift_JIS" to "squeeze
	multiple blank lines" to work as /usr/bin/pager.  In addition, the
	options -j and -e are disabled.  To specify the display charset,
	use -O{s|j|e} instead.
	Patch from [w3m-dev 01275] on 2000-10-26.
	Bug-Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=75527

2011-06-19  Hiroyuki Ito  <ZXB01226@nifty.com>

	* file.c, fm.h, html.c, html.h, proto.h, table.c, tagtable.tab:
	Support the button element as defined in HTML 4.01.
	Patch from upstream, [w3m-dev 04411] on 2010-09-17, to support the
	button element.  It is discussed upstream and incomplete, but enough
	to login Launchpad.
	Bug-Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=136810
	Bug-Ubuntu: https://bugs.launchpad.net/ubuntu/+source/w3m/+bug/628755

2012-05-22  Tatsuya Kinoshita <tats@vega.ocn.ne.jp>

	* [w3m-dev 04451] w3m/entity.h should be removed when `make clean'
	* Makefile.in: add entity.h to "make clean" target.

2012-05-22  Tatsuya Kinoshita <tats@vega.ocn.ne.jp>

	* [w3m-dev 04452] Re: w3m on macosx 10.6.6
	* doc/w3m.1, doc/STORY.html, doc-jp/STORY.html: 
	  delete words about formerly included Boehm GC library.

2012-05-22  Enu <theme.of.n@gmail.com>

	* file.c, HTML.c: parse META CHARSET.

2011-01-17  Dai Sato <satodai@w3m.jp>

	* correction: ChangeLog of 2011-01-15 (0.5.2 -> 0.5.3)

2011-01-15  Dai Sato <satodai@w3m.jp>

	* w3m 0.5.3
	* version.c.in: update
	* doc/README: version 0.5.3, release date, maintainer
	* doc-jp/README: ditto
	* po/w3m.pot, ja.po: ditto
	* NEWS: update
	* configure.ac: version 0.5.3
	* configure: regenerated

2011-01-05  SAKAI Kiyotaka <kiyotaka.sakai@ntt-at.co.jp>

	* [w3m-dev 04445] Re: Update documents (README.cookie)
	* doc-jp/README.cookie: refer to RFC 2109.
	* doc/README.cookie: diito.

2011-01-05  SAKAI Kiyotaka <kiyotaka.sakai@ntt-at.co.jp>

	* [w3m-dev 04444] Re: error when 'make install'
	* w3mimg/win/.cvsignore: added.

2011-01-04  SAKAI Kiyotaka <kiyotaka.sakai@ntt-at.co.jp>

	* [w3m-dev 04441] error when 'make install'
	* update followig files. ABOUT-NLS Makefile.in acinclude.m4
	aclocal.m4 config.rpath configure configure.ac entity.h install-sh
	po/ChangeLog po/Makefile.in.in po/Rules-quot po/boldquot.sed
	po/en@boldquot.header po/en@quot.header po/insert-header.sin
	po/quot.sed po/remove-potcdate.sin

2010-12-28  Ito Hiroyuki  <ZXB01226@nifty.com>

	* [w3m-dev 04440] Update documents (README.cookie)
	* doc/README.cookie: added.
	* doc-jp/README.cookie: add document about cookie_avoid_wrong_number_of_dots.

2010-12-24  Ito Hiroyuki  <ZXB01226@nifty.com>

	* [w3m-dev 04439] Update documents (README.m17n)
	* doc-jp/README.m17n: add documents for options "east_asian_width", "gb18030_as_ucs" and "simple_preserve_space".
	* doc/README.m17n: ditto.

2010-12-24  AIDA Shinra <shinra@j10n.org>

	* [w3m-dev 04437] Re: Windows版w3mimg、他
	* w3mimg/win/win_w3mimg.cpp: remove unused ifdefs.
	(load, animate): support "-anim" option.
	(show): support "image_scale".

2010-12-20  AIDA Shinra <shinra@j10n.org>

	* [w3m-dev 04425] Re: Windows版w3mimg、他
	* w3mimgdisplay: supports Windows console (http://www.j10n.org/files/w3m-cvs-1.1040-misc.patch).
	* image.c: ditto.
	* configure.ac: ditto.
	* config.h.in: ditto.
	* acinclude.m4: ditto.
	* Makefile.in: ditto.
	* w3mimg/w3mimg.h: ditto.
	* w3mimg/w3mimg.c: ditto.
	* w3mimg/Makefile.in: ditto.
	* doc/README.img: ditto.
	* doc-jp/README.img: ditto.
	* w3mimgdisplay.c (main): call "w_op->close(w_op)" before exit.
	* w3mimg/win/win_w3mimg.cpp: added.
	* w3mimg/win/Makefile.in: added.

2010-12-20  Ito Hiroyuki  <ZXB01226@nifty.com>

	* doc/README.img: add documents about some options.
	* doc-jp/README.img: ditto.

2010-12-15  AIDA Shinra <shinra@j10n.org>

	* [w3m-dev 04424] Windows版w3mimg、他
	* scripts/w3mman/Makefile.in (DESTDIR): removed.
	* scripts/multipart/Makefile.in (DESTDIR): removed.
	* scripts/Makefile.in (DESTDIR): removed.
	* url.c (add_index_file): can specify multiple files as an index file for directories.
	* mktable.c (defhashfunc): fi indent of output.
	* ftp.c (ftp_login): support IPv6.
	* file.c (is_text_type): check if the type is "application/xhtml".
	* Makefile.in (DESTDIR): removed.
	(GC_LIBS): added.
	(EXT_LIBS): use "GC_LIBS".
	(entity.h): depend on entity.tab and mktable$(EXT).
	(indep.o): depend on entity.h
	(mktable$(EXT)): depend on Str.o, hash.o and myctype.o instead of $(ALIB).

2010-12-15  Kazuhiko <kazuhiko@fdiary.net>

	* [w3m-dev 04419] AC_W3M_EXTLIBS does not check /lib64
	* acinclude.m4 (AC_W3M_EXTLIBS): search /lib64 and /usr/lib64.

2010-12-11  theme.of.n@gmail.com

	* [w3m-dev 04421] Patch to prevent sending `Referer: ' header from HTTPS to HTTP
	* url.c (otherinfo): Don't send Referer: if https:// -> http://

2010-10-11  d+w3m@vdr.jp

	* [w3m-dev 04414] Re: "normal" bugs from bugs.debian.org
	* doc/w3m.1: add documents about some options.
	* doc/FAQ.html: fix typo.

2010-08-24   Karsten Schoelzel <kuser@gmx.de>

	* [w3m-dev 04393] [patch] locale-related character management
	* http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=313365
	* libwc/map/ucs_isalpha.map: added
	* libwc/map/ucs_islower.map: added
	* libwc/map/ucs_isupper.map: added
	* libwc/map/mk_ucs_case_map.pl: added
	* libwc/map/ucs_case.map: added
	* libwc/map/mk_ucs_isdigit_map.pl: added
	* libwc/map/ucs_isdigit.map: added
	* libwc/ucs.c (wc_any_to_ucs): ceck if cc.ccs == WC_CCS_US_ASCII
	(wc_is_ucs_alpha, wc_is_ucs_digit, wc_is_ucs_alnum)
	(wc_is_ucs_lower, wc_is_ucs_upper, wc_ucs_toupper)
	(wc_ucs_tolower, wc_ucs_totitle): added
	* regex.c (match_longchar, match_range_longchar): use wc_any_to_ucs(), wc_ucs_tolower(), wc_ucs_toupper() and wc_ucs_totitle()
	* main.c (nextChar, prevChar, getChar, is_wordchar): added
	(movLW): use prevChar() and is_wordchar()
	(movRW): use nextChar() and is_wordchar()
	(getCurWord): remove 4th parameter
	(getCurWord): use prevChar(), nextChar() and is_wordchar()

2010-08-20  Karsten Schoelzel <kuser@gmx.de>

	* [w3m-dev 04401] Re: mailto with options handling
	* rc.c: Introduce option mailto_options
	* main.c (handleMailto): added
	(followA, cmd_loadURL): use handleMailto()
	* fm.h (MAILTO_OPTIONS_USE_W3MMAILER, MAILTO_OPTIONS_IGNORE)
	(MAILTO_OPTIONS_USE_MAILTO_URL): added

2010-08-20  Ito Hiroyuki  <ZXB01226@nifty.com>

	* [w3m-dev 04402] Re: "normal" bugs from bugs.debian.org
	* terms.c (reset_exit_with_value, reset_error_exit): added
	(reset_exit): use reset_exit_with_value()
	(ttymode_set, ttymode_reset, set_cc, getTCstr)
	(sleep_till_anykey): use reset_error_exit() instead of reset_exit()

2010-08-14  "Adam C. Emerson" <azure@azureprime.com>

	* [w3m-dev 04390]
	* http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=573789
	* html.c: All elements have the id attribute.

2010-08-12  Peter J. R. Moulder

	* [w3m-dev 04384]
	* http://sourceforge.net/tracker/index.php?func=detail&aid=2987194&group_id=39518&atid=425441
	* html.c: some tags have ALST_NOP attribute
	* tagtable.tab: add <span> and </span>
	* html.h (HTML_SPAN, HTML_N_SPAN): added

2010-08-11  SAKAI Kiyotaka <kiyotaka.sakai@ntt-at.co.jp>

	* [w3m-dev 04381] Re: check socklen_t
	* ftp.c: fix condition (#ifndef HAVE_SOCKLEN_T)

2010-08-10  Ito Hiroyuki  <ZXB01226@nifty.com>

	* [w3m-dev 04379] check socklen_t
	* configure.ac: check socklen_t
	* ftp.c (ftp_login, ftp_pasv): use socklen_t instead of int

2010-08-09  Ito Hiroyuki  <ZXB01226@nifty.com>

	* [w3m-dev 04374] Re: "important" bugs from bugs.debian.org
	* table.c (feed_table_tag): don't show message when rowspan is greater than ATTR_ROWSPAN_MAX
	* [w3m-dev 04376] Re: "important" bugs from bugs.debian.org
	* table.c (feed_table_tag): fix indent

2010-08-08  Steven Harms <ZXB01226@nifty.com>

	* [w3m-dev 04371] Re: "important" bugs from bugs.debian.org
	* https://bugs.launchpad.net/ubuntu/+source/w3m/+bug/131993
	* table.c (ATTR_ROWSPAN_MAX): added
	(feed_table_tag): maximum value of rowspan is ATTR_ROWSPAN_MAX

2010-08-08  d+w3m@vdr.jp

	* [w3m-dev 04360] Re: "important" bugs from bugs.debian.org
	* main.c (main): use DEFAULT_COLS
	(main): the maximum value of the -cols option is MAXIMUM_COLS
	* backend.c (backend): use DEFAULT_COLS
	* fm.h (MAXIMUM_COLS, DEFAULT_COLS): added

2010-08-04  Ito Hiroyuki  <ZXB01226@nifty.com>

	* [w3m-dev 04369] Re: w3m's bugs from bugs.debian.org
	* terms.c (graph_ok): fix condition (UseGraphicChar != GRAPHIC_CHAR_DEC)
	* symbol.c (get_symbol): fix condition (UseGraphicChar != GRAPHIC_CHAR_ASCII)
	* rc.c (params1): type of graphic_char option is PI_SEL_C
	* main.c (main): use GRAPHIC_CHAR_ASCII and GRAPHIC_CHAR_DEC instead of FALSE and TRUE
	* fm.h (GRAPHIC_CHAR_ASCII, GRAPHIC_CHAR_DEC, GRAPHIC_CHAR_CHARSET): added

2010-08-03  d+w3m@vdr.jp

	* [w3m-dev 04363] Re: w3m's bugs from bugs.debian.org
	* doc/w3m.1: revert option -S
	* doc-jp/w3m.1: revert option -S, -e, -j and -s
	* main.c: remove codes for Debian

2010-08-03  Ito Hiroyuki  <ZXB01226@nifty.com>

	* [w3m-dev 04343]
	* file.c (loadGeneralFile): register user name and password for proxy authentication.
	* url.c (HTTPrequest): unused variable seen_proxy_auth was removed
	* fm.h: global variables proxy_auth_cookie and pauth are removed
	* main.c (main): remove option -pauth
	* doc/MANUAL.html: ditto
	* doc-jp/MANUAL.html: ditto
	* doc-jp/w3m.1: ditto
	* doc/w3m.1: ditto
	* doc/README.passwd: added
	* doc-jp/README.passwd: added

2010-07-31  Tatsuya Kinoshita  <tats@vega.ocn.ne.jp>

	* [w3m-dev 04350] Re: w3m's bugs from bugs.debian.org
	* file.c (process_img): Revert the change of using ATTR_TITLE if ATTR_ALT is empty.

2010-07-30  Ito Hiroyuki  <ZXB01226@nifty.com>

	* [w3m-dev 04348] Re: "important" bugs from bugs.debian.org
	* file.c (TEXTAREA_ATTR_COL_MAX, TEXTAREA_ATTR_ROWS_MAX): added.
	(process_textarea): check cur_textarea_size > TEXTAREA_ATTR_COL_MAX and cur_textarea_rows > TEXTAREA_ATTR_ROWS_MAX

2010-07-30  Ito Hiroyuki  <ZXB01226@nifty.com>

	* [w3m-dev 04345] Re: "important" bugs from bugs.debian.org
	* file.c (HR_ATTR_WIDTH_MAX): added.
	(process_hr): check w > HR_ATTR_WIDTH_MAX

2010-07-26  d+w3m@vdr.jp

	* [w3m-dev 04237] [patch] cookie avoid [wrong number of dots]
	* rc.c: Introduce option cookie_avoid_wrong_number_of_dots.
	* fm.h: add global variables cookie_avoid_wrong_number_of_dots and Cookie_avoid_wrong_number_of_dots_domains.
	* cookie.c (check_avoid_wrong_number_of_dots_domain): added.
	(add_cookie): use check_avoid_wrong_number_of_dots_domain().

2010-07-26  Ito Hiroyuki  <ZXB01226@nifty.com>

	* acinclude.m4: define AC_W3M_SSL_DIGEST_AUTH

2010-07-25  AIDA Shinra <shinra@j10n.org>

	* [w3m-dev 04049] Ctrl-C safe resolver
	* fm.h (GRAPHIC_CHAR_ASCII, GRAPHIC_CHAR_CHARSET, GRAPHIC_CHAR_ALL): removed.
	* fm.h: UseGraphicChar is initialized as FALSE.
	* main.c (sig_chld): use TRUE and FALSE instead of GRAPHIC_CHAR_ALL and GRAPHIC_CHAR_ASCII.
	* merge ambiguous width patch ( http://www.j10n.org/files/w3m-cvs-1.914-ambwidth.patch ).

2010-07-24  Ito Hiroyuki  <ZXB01226@nifty.com>

	* [w3m-dev 04326] suppress compile warnings
	* file.c (digest_hex): type of the parameter s is "unsigned char *".
	(AuthDigestCred): use unsigned char.
	(ex_efct): type of the function is "static int".

2010-07-20  Sascha Silbe <sascha-debian-bugs-w3m-1@silbe.org>

	* http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=523159#5
	* url.c (openSSLHandle): add support for TLS SNI (Server Name Indication)

2010-07-19  Karsten Schoelzel <kuser@gmx.de>

	* http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=329862#20
	* table.c (feed_table_tag): check displayLinkNumber.
	* proto.h: add getLinkNumberStr().
	* main.c (do_dump): check displayLinkNumber.
	* fm.h: add global variable displayLinkNumber.
	* file.c (getLinkNumberStr): added.
	(process_input, process_select, HTMLtagproc1): check displayLinkNumber.

2010-07-19  Karsten Schoelzel <kuser@gmx.de>

	* http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=329863#8
	* rc.c: Introduce option pseudo_inlines.
	* fm.h: add global variable pseudoInlines.
	* file.c (process_img): check q.

2010-07-19  "Trent W. Buck" <twb@cybersource.com.au>

	* http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=537706#10
	* rc.c (interpret_rc): check line->length before call Strchop().

2010-07-19  Karsten Schoelzel <kuser@gmx.de>

	* http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=366284#5
	* rc.c (init_rc): check config_file is NULL or not.
	(panel_set_option): check config_file instead of no_rc_dir.

2010-07-19  Karsten Schoelzel <kuser@gmx.de>

	* http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=261174#10
	* terms.c (graph_ok): check UseGraphicChar is GRAPHIC_CHAR_ALL or not.
	* symbol.c (get_symbol): check UseGraphicChar.
	* rc.c (graphic_char_str): added.
	* main.c (sig_chld): use GRAPHIC_CHAR_ASCII and GRAPHIC_CHAR_ALL.
	* fm.h (GRAPHIC_CHAR_ASCII, GRAPHIC_CHAR_CHARSET, GRAPHIC_CHAR_ALL): added.
	* fm.h: UseGraphicChar is initialized as GRAPHIC_CHAR_ASCII.

2010-07-19  Karsten Schoelzel <kuser@gmx.de>

	* http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=185006#22
	* main.c (sig_chld): save exit code to d->err.
	(addDownloadList): initialize d->running and d->err.
	(DownloadListBuffer): check d->err.

	* fm.h (_DownloadList): add running and err.

	* file.c (save2tmp): check returned value of Strfputs().
	(doFileSave): exit code is depend on the returned value of save2tmp().

2010-07-19  d+w3m@vdr.jp

	* [w3m-dev 04238] [patch] simple preserve space
	* rc.c: Introduce option simple_preserve_space.
	* fm.h: add global variable SimplePreserveSpace.
	* file.c (HTMLlineproc0): check SimplePreserveSpace.

2010-07-18 Karsten Schoelzel <kuser@gmx.de>

	http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=242599#21
	* file.c (is_html_type): added.
	(examineFile, loadGeneralFile, _saveBuffer)
	(openGeneralPagerBuffer, reloadBuffer): use is_html_type() instead
	of strcasecmp().
	(loadGeneralFile): set f.guess_tupe
	* display.c (displayBuffer): use is_html_type() instead of strcasecmp().
	* buffer.c (reshapeBuffer): use is_html_type() instead of strcasecmp().
	* backend.c (internal_get): use is_html_type() instead of strcasecmp().
	* main.c (vwSrc, reload, dispI, stopI): use is_html_type() instead of strcasecmp().
	* proto.h: add is_html_type()
	* url.c: add "xhtml" to DefaultGuess.

2010-07-18 Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 04286] Re: break textform when buffer back
	* form.c (form_update_line): set line->size

2010-07-18 d+w3m@vdr.jp

	* [w3m-dev 04319] Re: w3m's bugs from bugs.debian.org
	* doc/w3m.1: fix typo.
	* doc-jp/w3m.1: update

2010-07-18 Petr Salinger <Petr.Salinger@seznam.cz>
	* http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=493486
	* terms.c: fix version check logic for FreeBSD

2010-07-18 Colin Watson <cjwatson@ubuntu.com>
	* http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=325699
	* scripts/w3mman/w3mman2html.cgi.in (Content-Type): "MAN_KEEP_FORMATTING=1"

2010-07-18  Ludwig Nussel <ludwig.nussel@...e.de>
	* http://www.openwall.com/lists/oss-security/2010/06/14/4
	* istream.c (ssl_check_cert_ident): replace \0 to make full string
	visible to user (CVE-2010-2074).

2007-06-07  Hironori Sakamoto <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 04279] charset
	* libwc/ces.h, libwc/charset.c: set charset to Shift_JIS, when locale 
	  is japanese, jp_JP.PCK, ja_JP.IBM-932, ja_JP.IBM-943, or windows-31j.

2007-06-07  Hironori Sakamoto <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 04278] Re: segfault on CentOS4.5/libgc6.8
	* term.c: add handling xterm-incompatible terminals without gpm.

2007-06-04  Hironori Sakamoto <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 04271] vi_prec_num
	* main.c: make number prefixes working when vi_prec_num=0.

2007-05-31  Dai Sato <satodai@w3m.jp>

	* w3m 0.5.2
	* version.c.in: update
	* doc/README: version 0.5.2, release date, maintainer
	* doc-jp/README: ditto
	* po/w3m.pot, ja.po: ditto
	* NEWS: update
	* configure.ac: version 0.5.2
	* configure: regenerated

2007-05-31  Tsutomu OKADA

	* [20070530101431@w3mbbs] Re: road to 0.5.2
	* ftp.c: fix typo.
	* main.c, mktable.c, w3mbookmark.c, w3mhelperpanel.c: add GC_INIT().

2007-05-30  Hironori Sakamoto <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 04266] Bug fix when tab browsing
	* fm.h, main.c: fix for tab browsing.

2007-05-30  Hironori Sakamoto <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 04265] compile error when #undef USE_BG_COLOR
	* terms.c: add #ifdef __CYGWIN__.

2007-05-30  Hironori Sakamoto <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 04264] Re: road to 0.5.2
	* po/makefile.in.in, scripts/*/Makefile.in: add datarootdir.

2007-05-29  Hironori Sakamoto <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 04262] FreeBSD sysmouse (Re: road to 0.5.2)
	* configure.ac: unbreak sysmouse support, pointed out by 
	  Travis Poppe <tlp@lickwid.net>.
	* configure: regenerated.

2007-05-29  Hironori Sakamoto <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 04260] Warning (Re: road to 0.5.2)
	* main.c, display.c: delete unused macros, change void to static void.

2007-05-29  Hironori Sakamoto <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 04259] long long (Re: road to 0.5.2)
	* Makefile.in, aclocal.m4: move 'gc' from $LIBS to $LIBGC.
	* configure: regenerated.

2007-05-29  Hironori Sakamoto <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 04256] Re: road to 0.5.2
	* scripts/Makefile.in, scripts/w3mhelp.cgi.in: add datarootdir.

2007-05-28  Hideyuki SHIRAI <shirai@meadowy.org>

	* [w3m-dev 04251] Re: road to 0.5.2
	* po/w3m.pot: pot-update.

2007-05-27  Hiroyuki Ito <ZXB01226@nifty.com>

	* [w3m-dev 04252] Re: road to 0.5.2
	* Makefile.in: add datarootdir for Autoconf 2.60 and later.

2007-05-23  NOKUBI Takatsugu <knok@daionet.gr.jp>

	* [w3m-dev 04155] w3m mingw patch
	* config.h, configure.ac, etc.c, file.c, ftp.c, indep.c, istream.c, 
	  local.c, main.c, rc.c, terms.c, url.c: fix for minpw, except for
	    deleting nsl and dl from configure.ac.
	* configure: regenerated.

2007-05-23  Hiroyuki Ito <ZXB01226@nifty.com>

	* [w3m-dev 04233], [w3m-dev 04236] Re: <del>, <s>, <ins>, and so on
	* file.c, fm.h, po/ja.po, po/w3m.pot, rc.c, table.c:
	    expand display_ins_del to select a type of fontify.

2007-05-23  Hiroyuki Ito <ZXB01226@nifty.com>

	* [w3m-dev 04242] Re: Compile error when --without-ssl
	* aclocal.m4, configure.ac: add checking ssl before digest_auth.
	* configure: regenerated.

2007-05-23  Hironori Sakamoto <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 04240] nl_langinfo() requires setlocale()
	* fm.h, main.c, menu.c, rc.c: add "#ifdef"s.
	* libwc/charset.c: add setlocale() for nl_langinfo().

2007-05-23  Hironori Sakamoto <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03923] <pre> in <table>
	* file.c, table.c: avoid extra blanks in pre in table.

2007-05-23  tamo

	* [20070121110209@w3mbbs] unnecessary decoding in linein.c
	* linein.c: decoding URLs in correct condition.

2007-05-23  Tsutomu OKADA

	* [20061228000713@w3mbbs] avoid warning for file.c
	* html.h: change char to unsigned char for HTML_DL_COMPACT(133).

2007-05-23  Hironori Sakamoto <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 04213] update Unicode characters' width
	* libwc/ucs.c, libwc/ucs.h, libwc/map/ucs_wide.map: 
	  catch-up to EastAsianWidth-5.0.0.txt.

2007-04-19  Hironori Sakamoto <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 04212] quote URL of local dir
	* local.c: quote URLs with non-ASCII local directory names.

2007-04-19  Hironori Sakamoto <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 04211] input type=image
	* file.c, html.[ch]: avoid conflicts between input_alt and img_alt.
	  fix calculation of labeled line numbers when fold_line=1.

2007-04-19  Hiroyuki Ito  <ZXB01226@nifty.com>

	* [w3m-dev 04197] Re: italic text
	* fm.h: display <em> and <i> elements with underline.

2006-12-27  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [SECURITY] fix format string vulnerability
	* file.c (inputAnswer) fix format string bug

2006-12-07  Hiroyuki Ito  <ZXB01226@nifty.com>

	* [w3m-dev 04185] Re: italic text
	* file.c, fm.h, html.c, html.h, tagtable.tab:
	  display <em> and <i> elements with bold letters.

2006-12-07  Hideyuki SHIRAI  <shirai@meadowy.org>

	* [w3m-dev 04184] automatic uncompression in downloading
	* rc.c: Add `AutoUncompress'.
	  (params3): Ditto.
	* fm.h: Add `AutoUncompress'.
	* file.c (loadGeneralFile): Check `AutoUncompress' when uncompress
	  data.
	  (HTMLlineproc2body): Ditto.
	* po/w3m.pot: Add new message for `AutoUncompress'.
	* po/ja.po: ditto.

2006-12-10  Hiroyuki Ito <ZXB01226@nifty.com>

	* [w3m-dev 04159] Re: Is this mailing list still alive?
	* cookie.c: accept invalid "set-cookies" headers
	  when "domainName == .hostName".

2006-12-10  noz

	* [20051124052846@w3mbbs] LiveHTTPHeaders
	* file.c, fm.h, main.c, url.c: add -reqlog option which makes
	  ~/.w3m/request.log like LiveHTTPHeaders of FireFox.

2006-08-07  Fumitoshi UKAI  <ukai@debian.or.jp>

	* mailcap.c (acceptableMimeTypes): change default accept: line
	    w3m should prefer text/html to other text/*.
	    reported as Debian Bug#374296

2006-06-12  Dai Sato  <satodai@w3m.jp>

	* another fix for [w3m-dev-en 01067] Some more patches
	* file.c (loadBuffer): avoid decoding when dump_extra option is specified.

2006-06-10  Dai Sato  <satodai@w3m.jp>

	* fix for [w3m-dev-en 01067] Some more patches
	* file.c (loadGeneralFile): avoid decoding when dump_extra option is specified.

2006-06-10  Dai Sato  <satodai@w3m.jp>

	* [w3m-dev 03992] Change to display progress status when dump_extra option is specified
	* file.c (loadHTMLstream): Show progress status when dump_extra option is specified.

2006-06-07  Dai Sato  <satodai@w3m.jp>

	* [w3m-dev 04129] handling newlines in form values 
	* parsetagx.c: don't delete newlines in hidden values.

2006-05-29  Dai Sato  <satodai@w3m.jp>

	* [w3m-dev-en 01067] Some more patches
	* file.c, html.h, url.c: decode content-encoding in all situations.

2006-05-29  Dai Sato  <satodai@w3m.jp>

	* [w3m-dev-en 01067] Some more patches
	* main.c: delete calls to GC from wrap_GC_warn_proc to avoid deadlocks.

2006-05-29  Dai Sato  <satodai@w3m.jp>

	* [w3m-dev-en 01067] Some more patches
	* main.c: fix unsafe usages of SIGWINCH handler.

2006-05-29  Dai Sato  <satodai@w3m.jp>

	* [w3m-dev-en 01067] Some more patches
	* keybind(_lynx).c, doc(-jp)/keymap.default: add SHIFT-TAB as a default binding for PREV_LINK.

2006-04-08  Dai Sato  <satodai@w3m.jp>

	* [w3m-dev 04154] Unclosed textarea in table
	* table.c: close textarea when table related tags found.

2006-04-08  Dai Sato  <satodai@w3m.jp>

	* [w3m-dev 04153] NEXT_LINK error
	* anchor.c, filc.c, fm.h: check A tag in HTMLlineproc2body().

2006-04-08  Dai Sato  <satodai@w3m.jp>

	* [w3m-dev 04152] [PATCH] Add more explanation for the usage of the option setting panel.
	* doc(-jp)/FAQ.html, doc-jp/MANUAL.html: add explanations for .w3m/config and -o option.

2006-04-08  Dai Sato  <satodai@w3m.jp>

	* [w3m-dev 04150] vi-prec_num
	* main.c: fix vi_prec_num switching.

2006-04-08  Dai Sato  <satodai@w3m.jp>

	* [w3m-dev 04146] disable HAVE_LANGINFO_CODESET on cygwin
	* configure.ac: avoid AM_LANGINFO_CODESET check for Cygwin.

2006-04-07  Dai Sato  <satodai@w3m.jp>

	* [w3m-dev-en 01060] Some patches
	* file.c, fm.h, rc.c: Introduce option show_cookie and set it TRUE by default. If set to FALSE received cookies will not be shown.
	* This fixes Debian bug #253547: w3m: Too slow receiving cookies.

2006-04-07  Dai Sato  <satodai@w3m.jp>

	* [w3m-dev-en 01060] Some patches
	* parsetagx.c: Replace '\n' (newline) with ' ' (space) in attributes of html tags instead of ignoring them.
	* Fixes Debian bug #326167: w3m: new lines in hidden form fields are stripped

2006-04-07  Dai Sato  <satodai@w3m.jp>

	* [w3m-dev-en 01060] Some patches
	* scripts/w3mman/w3mman*.in: Add w3mman -l <file> command line argument for viewing of local man files.
	* Fixes Debian bug #138805: w3mman -l doesn't work.

2006-04-07  Dai Sato  <satodai@w3m.jp>

	* [w3m-dev-en 01060] Some patches
	* libwc/detect.c: Use the hint instead of US_ASCII in wc_auto_detect.
	* Fixes Debian bug #291735: w3m shouldn't "simplify" page's charset

2006-04-07  Dai Sato  <satodai@w3m.jp>

	* [w3m-dev-en 01060] Some patches
	* Str.h, table.c: Use Strnew_charp() instead of the wrong Strnew().
	* Fixes SF bug #895351 Strnew called with argument in table.c.

2006-02-10  Dai Sato  <satodai@w3m.jp>

	* http://dog.w3m.jp/bbs/spool/until200602.html#20060210153135@keijiwan
	* url.c: replace pclose passed to localcgi_post/get() with fclose in openURL()

2006-02-09  Dai Sato  <satodai@w3m.jp>

	* http://vimrc.hp.infoseek.co.jp/w3m-pclose.html
	* file.c: replace pclose with fclose in the end of uncompress_stream()

2005-02-27  Fumitoshi UKAI  <ukai@debian.or.jp>

	* configure.ac: rename from configure.in. this is for autoconf2.50

2005-02-27  NOMIYA Masaru <nomiya@ttmy.ne.jp>

	* [w3m-dev 04143] Patch for OS/2
	* config.h.in: ifdef HAVE_SETPGRP
	* configure.in: define USE_BINMODE_STREAM for *os2-emx*
	* islang.c: ULONG -> unsigned long
	* main.c: ULONG -> unsigned long

2005-02-15  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev-en 01045] From newbie: problem with w3m-0.5.1 installation
	* acinclude.m4 (AC_W3M_SSL): define USE_SSL after ssl library found

2005-01-19  Kiyokazu SUTO <suto@ks-and-ks.ne.jp>

	* [w3m-dev 04133] mouse_end() should preced reset_tty()?
	* terms.c (reset_exit): mouse_end() should precede reset_tty()

2005-01-05  Kiyokazu SUTO <suto@ks-and-ks.ne.jp>

	* [w3m-dev 04130] [w3m-dev 04131] [w3m-dev 04132] Multiple challeges in *-Authenticate header
	* file.c (skip_auth_token): added
		(extract_auth_val): ',' is end of token
		(extract_auth_param): use skip_auth_token
		(AuthDigestCred): parse qop and calc cnonce correctly
		(findAuthentication): use skip_auth_token

2004-11-09  Fumitoshi UKAI  <ukai@debian.or.jp>

	* w3mimg/fb/fb_gdkpixbuf.c (fb_image_load):
	  fix unused variable `i'
	* w3mimg/x11/x11_w3mimg.c (x11_load_image):
	  ditto

2004-11-09  Hiroyuki Ito <ZXB01226@nifty.com>

	* [w3m-dev 04128] Re: w3mimgdisplay
	* acinclude.m4 (AC_W3M_IMAGE): check not yes
	* aclocal.m4, configure: regen
	* w3mimg/fb/fb_gdkpixbuf.c (fb_image_load): 
	   fb_image_fill in case GDK_PIXBUF_FRAME_DISPOSE
	* w3mimg/x11/x11_w3mimg.c (get_animation_size):
	   return n
	  (x11_load_image): 
	   fill in case GDK_PIXBUF_FRAME_DISPOSE

2004-11-05  Hiroyuki Ito <ZXB01226@nifty.com>

	* [w3m-dev 04117] Re: start attribute and value attribute on ordered lists
	* file.c (HTMLtagproc1): allow negative value for start attr

2004-10-14  Fumitoshi UKAI  <ukai@debian.or.jp>

	* Bug#276246: w3m's locale parsing should at least see '@euro' modifier
	* config.h (HAVE_LANGINFO_CODESET): added
	* configure.in (AM_LANGINFO_CODESET): added
	* libwc/charset.c: #include <langinfo.h>
	       (wc_charset_to_ces): use nl_langinfo(CODESET)

2004-09-30  Hiroyuki Ito <ZXB01226@nifty.com>

	* [w3m-dev 04108] PIPE_BUF
	* main.c (pipeBuf): set buf->currentURL.file to prevent
		segfault by "PIPE_BUF cat;VIEW SOURCE;"

2004-08-31  SAKAI Kiyotaka <ksakai@kso.netwk.ntt-at.co.jp>

	* [w3m-dev 04104] w3mmail.cgi
	* scripts/w3mmail.cgi.in: strip ^M

2004-08-17  Hiroyuki Ito <ZXB01226@nifty.com>

	* [w3m-dev 04099] Re: w3m-img gtk2
	* w3mimg/fb/fb_gdkpixbuf.c (fb_image_load): fix resize bug

2004-08-06  Hiroyuki Ito <ZXB01226@nifty.com>

	* [w3m-dev 04097] Re: w3m-img gtk2
	* w3mimg/fb/fb_gdkpixbuf.c (draw): no need bg
		(get_animation_size): use GTimeVal
		(fb_image_load): use GTimeVal
				fix for animation
	* w3mimg/x11/x11_w3mimg.c (get_animation_size): use GTimeVal
		(x11_load_image): use GTimeVal
				fix for animation

2004-08-05  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 04096] w3m-img gtk2
	* acinclude.m4 (AC_W3M_IMAGE): add USE_GTK2
		add --with-imagelib=gtk2
	* aclocal.m4 config.guess config.sub configure: regen
	* config.h.in: add USE_GTK2
	* w3mimg/fb/fb_gdkpixbuf.c: support USE_GTK2
	* w3mimg/fb/fb_img.h: add fb_image_init()
	* w3mimg/fb/fb_imlib2.h: fb_image_init() stub
	* w3mimg/fb/fb_w3mimg.c: call fb_image_init()
	* w3mimg/x11/x11_w3mimg.c: support USE_GTK2

2004-08-03  WATANABE Katsuyuki <knabe@sannet.ne.jp>

	* [w3m-dev 04095] build fix when configure with --enable-messagel10n
	* main.c (main): locale and textdomain initialization if ENABLE_NLS
	* menu.c (initMenu): use _() instead of gettext()
	* rc.c (show_params): use _() instead of gettext()

2004-07-18  WATANABE Katsuyuki <knabe@sannet.ne.jp>

	* [w3m-dev 04094] Re: option panel: gettextize select list
	* rc.c (load_option_panel): don't gettext&wc_conv colorstr 
					several times

2004-07-16  WATANABE Katsuyuki <knabe@sannet.ne.jp>

	* [w3m-dev 04093] bookmark charset
	* add global variable: BookmarkCharset.
	* main.c:adBmark(): remove condition LANG = JA.
	* main.c: buffername encode by BookmarkCharset when add bookmark.
	* main.c: BookmarkCharset pass to w3mbookmark.
	* w3mbookmark.c: ditto.

2004-07-16  WATANABE Katsuyuki <knabe@sannet.ne.jp>

	* [w3m-dev 04092] remove __CYGWIN__ && LANG == JA
	* remove condition LANG == JA && __CYGWIN__
	* cygwin_mouse_btn_swapped enabled when before 1.5.x 

2004-07-16  WATANABE Katsuyuki <knabe@sannet.ne.jp>

	* [w3m-dev 04091] option panel: gettextize select list
	* rc.c: gettextize option select list.
	* rc.c: add gettextize message.
	* po/w3m.pot: ditto.
	* po/ja.po: ditto.

2004-07-14  Fumitoshi UKAI  <ukai@debian.or.jp>

	* Debian Bug#259053
	* doc/FAQ.html, doc-jp/FAQ.html: ~/.mailcap -> ~/.w3m/mailcap

2004-05-11  Fumitoshi UKAI  <ukai@debian.or.jp>

	* based on [w3m-dev 04079]
	  SAKAI Kiyotaka <ksakai@kso.netwk.ntt-at.co.jp>
	* Makefile.in: (libwc/libwc.a): always make in libwc subdir
		(w3mimg/w3mimg.a): always make in w3mimg subdir

2004-05-03  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev-en 01007]
	* libwc/Makefile.in (CFLAGS): need @CPPFLAGS@

2004-05-03  Fumitoshi UKAI  <ukai@debian.or.jp>

	* version.c.in: cvs version

2004-04-29  Fumitoshi UKAI  <ukai@debian.or.jp>

	* w3m 0.5.1
	* version.c.in: update
	* doc/README: version 0.5, release date, maintainer
	* doc-jp/README: ditto
	* NEWS: update
	* configure.in: version 0.5.1
	* po/w3m.pot, ja.po: update-po

2004-04-27  SAKAI Kiyotaka <ksakai@kso.netwk.ntt-at.co.jp>

	* [w3m-dev 04068] install-sh problem
	 [w3m-dev 04069] install-sh problem 2
	* Makefile.in (MAKE_ARGS): delete INSTALL
	* install-sh: replace with X Consortium install-sh (from automake)

2004-04-27  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 04073] Re: run configure in another directory
	* Makefile.in (CFLAGS): include dir here
		(DEFS): delete include dirs
		(libwc/libwc.a): pass OPTS only
		(w3mimg/w3mimg.a): pass OPTS only
	* libwc/Makefile.in (CFLAGS): fixed
	* w3mimg/Makefile.in (CFLAGS): added
		(fb x11): pass OPTS only
	* w3mimg/fb/Makefile.in (CFLAGS): added
	* w3mimg/x11/Makefile.in (CFLAGS): added

2004-04-23  SAKAI Kiyotaka <ksakai@kso.netwk.ntt-at.co.jp>

	* [w3m-dev 04066] --disable-color
	* rc.c (load_option_panel): #ifdef USE_COLOR

2004-04-22  Masao Uebayashi <uebayasi@pultek.co.jp>

	* fix build error for --enable-m17n --disable-unicode
	* libwc/detect.c (wc_create_detect_map): #ifdef USE_UNICODE

2004-04-17  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 04064] authentication
	 closes: Bug#:244029: w3m: HTTP basic authentication annoyance
	* fm.h (auth_cookie): deleted
	* proto.h (find_auth_cookie): deleted
		(add_auth_cookie): deleted
		(add_auth_user_passwd): added
		(invalidate_auth_user_passwd): added
	* etc.c (auth_pass): add bad flag
			delete file
		(dir_under): deleted
		(add_auth_pass_entry): add override flag
			no need to check file
		(find_auth_pass_entry): delete file
			check bad flag
			check uname
		(find_auth_user_passwd): find by pu->user
		(add_auth_user_passwd): added
		(invalidate_auth_user_passwd): added
		(parsePasswd): add no override
			ignore file
		(find_auth): deleted
		(find_auth_cookie): deleted
		(dump_auth_cookie): deleted
		(add_auth_cookie): deleted
	* file.c (getAuthCookie): add *uname, *pwd
			rewrite
		(loadGeneralFile): delete ss, add uname, pwd
			use add_auth_user_passwd instead of add_auth_cookie
	* url.c (HTTPrequest): don't authorization here
			it should be done in getAuthCookie in loadGeneralFile
			through extra_header
	* ftp.c (openFTPStream): add uname
			use find_auth_user_passwd instead of find_auth_cookie
			use add_auth_user_passwd instead of add_auth_cookie

2004-04-10  SAKAI Kiyotaka <ksakai@kso.netwk.ntt-at.co.jp>

	* [w3m-dev 04063] about Makefile
	* Makefile.in (DEFS): use CGIBIN_DIR instead of LIB_DIR
		(MAKE_ARGS): ditto
		(distclean): rm -f
	* config.h.dist: use CGIBIN_DIR instead of LIB_DIR
	* indep.c (w3m_lib_dir): ditto
	* scripts/Makefile.in: ditto
	* scripts/multipart/Makefile.in: ditto
	* w3mimg/Makefile.in (clearn): remove w3mimg.a

2004-04-05  AIDA Shinra <shinra@j10n.org>

	* [w3m-dev 04049] w3m-cvs-1.914-misc.patch
	* Makefile.in (funcname.tab): dont modify when target is unchanged.
		(CFLAGS): need $(CPPFLAGS)?
	* config.h.in: add HAVE_STDINT_H, HAVE_INTTYPES_H
	* configure.in: s/AC_CANONICAL_SYSTEM/AC_CANONICAL_HOST/
		don't use AC_CYGWIN
		don't use $CYGWIN, use $host_os *cygwin*
		AC_DEFINE in AC_CHECK_HEADER (float.h, sys/select.h)
		add stdint.h, inttypes.h
	* etc.c (find_auth_pass_entry): host is case insensitive
	* libwc/wc_types.h: use stdint.h or inttypes.h
	* main.c (MAIN); need GC_init()
	
2004-04-01  Fumitoshi UKAI  <ukai@debian.or.jp>

	Debian Bug#241192 w3m ipv6 FQDN resolution failure
	* etc.c (FQDN): need to set ai_flags AI_CANONNAME, since we need
		ai_canonname here. 

2004-03-31  AIDA Shinra <shinra@j10n.org>

	* [w3m-dev 04050] SSL verify
	* url.c (openSSLHandle): don't load verify locations if 
		both ssl_ca_file and ssl_ca_path is NULL.

2004-03-24  Fumitoshi UKAI  <ukai@debian.or.jp>

	* fix search problem on different charset page than display charset
	* proto.h (conv_search_string): added
	* search.c (migemostr): use conv_search_string
		(conv_search_string): added
	* main.c (srchcore): use conv_search_string
		(reMark): ditto
	* menu.c (menu_search_forward): ditto
		(menu_search_backward): ditto
		(menu_search_next_previous): ditto

2004-03-23  Fumitoshi UKAI  <ukai@debian.or.jp>

	* rc.c: cleanup LANG == JA

2004-03-23  Fumitoshi UKAI  <ukai@debian.or.jp>

	* main.c (main): DisplayCharset also follow locale

2004-03-23  Fumitoshi UKAI  <ukai@debian.or.jp>

	* scripts/w3mhelp.cgi.in: use charset parramter
	* scripts/w3mhelp-funcdesc.en.pl.in: add charset
	* scripts/w3mhelp-funcdesc.ja.pl.in: ditto

2004-03-22  Fumitoshi UKAI  <ukai@debian.or.jp>

	* main.c (main): don't use SystemCharset for default of
		DisplayChaset, DocumentCharset

2004-03-22  Fumitoshi UKAI  <ukai@debian.or.jp>

	* w3m 0.5
	* version.c.in: update
	* doc/README: version 0.5, release date, maintainer
	* doc-jp/README: ditto
	* NEWS: update

2004-03-22  Fumitoshi UKAI  <ukai@debian.or.jp>

	* main.c (main): DisplayCharset and DocumentCharset also follow 
	    locale configuration
	* Makefile.in (distclean): distclean libwc
	* libwc/Makefile.in: add distclean
	* scripts/multipart/Makefile.in: add distclean
	* scripts/w3mman/Makefile.in: add distclean
	* scripts/Makefile.in: add distclean

2004-03-22  Fumitoshi UKAI  <ukai@debian.or.jp>

	* w3mimg/Makefile.in (distclean): rm -f w3mimg.a

2004-03-22  Akihiro Sagawa <sagawa@sohgoh.net>

	* [w3m-dev 04046]
	* configure.in (AC_W3M_IPv6): should check it after ext libs

2004-03-22  Akihiro Sagawa <sagawa@sohgoh.net>

	* [w3m-dev 04045]
	* Makefile.in (DEFUNS): need $(top_srcdir)

2004-03-21  Fumitoshi UKAI  <ukai@debian.or.jp>

	* Makefile.in (install-po): fix for broken sh.
	  reported in [w3m-dev 04043] Re: w3m 0.5

2004-03-13  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 04041] spell-miss in configure
	* acinclude.m4 (AC_W3M_M17N): fix help-string
		suggested by sakane@d4.bsd.nes.nec.co.jp (Yoshinobu Sakane)

2004-02-06  MANTANI Nobutaka <nobutaka@nobutaka.com>

	* [w3m-dev 04038] --disable-m17n problem in form.c
	* form.c (form_update_line): fix for disable-m17n

2004-01-10  ABE Yuji <cbo46560@pop12.odn.ne.jp>

	* [w3m-dev 04030] PUSH_TAG macro
	* table.c (PUSH_TAG): fixed problem in --disable-m17n

2003-12-09  WATANABE Katsuyuki <knabe@sannet.ne.jp>

	* [w3m-dev 04025] mismatch message in ja.po
	* po/ja.po: fix wrong messages

2003-12-09  WATANABE Katsuyuki <knabe@sannet.ne.jp>

	* [w3m-dev 04024] fix: drive letter
	* url.c (parseURL2): fix for SUPPORT_DOS_DRIVE_PREFIX

2003-12-09  YONETANI Tomokazu <qhwt@myrealbox.com>

	* [w3m-dev 04022] $^
	* Makefile.in (DEFUNS): added
		funcname.tab: don't use $^
	* w3mimg/Makefile.in (w3mimg.a): don't use $^

2003-12-09  Kiyokazu SUTO <suto@ks-and-ks.ne.jp>

	* [w3m-dev 04021] Deeply nested table
	* file.c (completeHTMLstream): check obuf->table_level

2003-10-26  Fumitoshi UKAI  <ukai@debian.or.jp>

	* Bug#217509: segfaults if TERM is not set
	* terms.c (check_cygwin_console): check TERM==NULL
		(set_tty): check TERM==NULL

2003-10-23  ABE Yuji <cbo46560@pop12.odn.ne.jp>

	* [w3m-dev 04011] accessing to an `https' URI with a fragment via a proxy
	* url.c (HTTPrequestURI): drop fragment
		(openURL): don't clear pu->label

2003-10-23  ABE Yuji <cbo46560@pop12.odn.ne.jp>

	* [w3m-dev 04010] support for deprecated __ss_family
	* acinclude.m4 (AC_W3M_IPv6): check __ss_family
	* config.h.in: add HAVE_OLD_SS_FAMILY
	* ftp.c (ftp_pasv): ifdef HAVE_OLD_SS_FAMILY

2003-10-23  ABE Yuji <cbo46560@pop12.odn.ne.jp>

	* [w3m-dev 04009] ./configure --disable-image problem
	* file.c (loadHTMLstream): if defined(USE_M17N)

2003-10-22  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 04006] checking GC_version for libgc
	 reported by SAKAI Kiyotaka <ksakai@kso.netwk.ntt-at.co.jp>
	* acinclude.m4 (AC_W3M_GC): check GC_init instead of GC_version

2003-10-21  SAKAI Kiyotaka <ksakai@kso.netwk.ntt-at.co.jp>

	* [w3m-dev 03996] HELP_DIR and funcname.tab
	* configure.in (HELP_DIR): don't eval 
	* scripts/w3mhelp.cgi: subst @prefix@ for $helpdir

2003-10-21  Fumitoshi UKAI  <ukai@debian.or.jp>

	* #include <openssl/...>
	 suggested by ABE Yuji <cbo46560@pop12.odn.ne.jp>
	 [w3m-dev 03998] problem about pkg-config check for OpenSSL
	* html.h: #include <openssl/...>
	* istream.c: ditto
	* istream.h: ditto
	* url.c: ditto

2003-10-20  ABE Yuji <cbo46560@pop12.odn.ne.jp>

	* [w3m-dev 04002] Re: function and w3m-control
	* url.c (getURLScheme): accept numeric in scheme

2003-10-18  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03996] HELP_DIR and funcname.tab
	  reported by SAKAI Kiyotaka <ksakai@kso.netwk.ntt-at.co.jp>
	* configure.in: don't use posix shell syntax $(..)
	* funcname.tab: deleted

2003-10-11  Fumitoshi UKAI  <ukai@debian.or.jp>

	* scripts/Makefile.in (w3mhelp-funcname.pl): depends ../funcname.tab
	* Makefile.in (IMGOBJS): deleted
		(indep.o): depends on fm.h funcname1.h
		(IMGDISPLAY): depends on w3mimg/w3mimg.a
		(w3mimg/w3mimg.a): renamed from w3mimg
	* acinclude.m4 (AC_W3M_IMAGE): modify IMBOBJS 
	* w3mimg/Makefile.in (AR): added
			(RANLIB): added
			(IMGOBJS): added
			(w3mimg.a): added

2003-10-11  qhwt@myrealbox.com

	* [w3m-dev 03990] Re: post-m17n merge problem?
	* Makefile.in (MAN1): need $(top_srcdir)
			(MAN1_JA): ditto
			(LOBJS): depends on fm.h funcname1.h
			(INFLATE): depends on $(ALIB)
			(libwc/libwc.a): renamed from libwc
			(IMGDISPLAY): depends on $(IMGOBJS) instead of w3mimg
				  depends on $(ALIB)
			(w3mimgdisplay.o): depends on w3mimg/w3mimg.h
	* acinclude.m4 (AC_W3M_M17N): WCTARGET is libwc/libwc.a
	* configure.in (HELP_DIR): expand ${prefix}

2003-10-08  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03985] Re: support for 307 Temporary Redirect
	* file.c (loadGeneralFile): support 307 Temporary Redirect

2003-10-06  Fumitoshi UKAI  <ukai@debian.or.jp>

	* fix build error --disbable-m17n
	* config.h.in: undef USE_M17N, USE_UNICODE
	* etc.c (url_unquote_conv): USE_M17N
	* file.c (convertLine): USE_M17N
		(loadHTMLStream): fix ifdef USE_IMAGE->USE_M17N
		(loadBuffer): fix USE_M17N
		(getNextPage): fix USE_M17N
	* fm.h (USE_M17N): don't define USE_M17N in case LANG == JA
			(this should be done by configure)
		(wc_ces): dummy typedef
		(wc_Str_conv): fix non-m17n macro args
		(wc_Str_conv_strict): ditto
	* ftp.c (loadFTPDir): fix undefined USE_M17N
	* mimehead.c (decodeWord): ditto
		(decodeMIME): ditto
	* news.c (loadNewsgroup): ditto
	* proto.h (convertLine): ditto
		(loadGopherDir): ditto
		(loadFTPDir): ditto
		(loadNewsgroup): ditto
		(decodeWord): ditto
		(decodeMIME): ditto
		(url_unquote_conv): ditto
	* terms.c (SETCH): ditto

2003-10-06  Fumitoshi UKAI  <ukai@debian.or.jp>

	* --with-imagelib request on [w3m-dev 03981]
	 from Mamoru KOMACHI <usata@sodan.ecc.u-tokyo.ac.jp>
	* acinclude.m4 (AC_W3M_IMAGE): add --with-imagelib

2003-10-06  Fumitoshi UKAI  <ukai@debian.or.jp>

	* fix problem reported on [w3m-dev 03981]
	  from Mamoru KOMACHI <usata@sodan.ecc.u-tokyo.ac.jp>
	* configure.in: add AC_SUBST(HELP_DIR)
	* Makefile.in (HELP_DIR): use AC_SUBT(HELP_DIR)
	* scripts/Makefile.in: add PACKAGE, VERSION, DOMAIN
			use PACKAGE instead of package: 
			 CGIBIN_DIR,AUXBIN_DIR,CONF_DIR
			add HELP_DIR
			add SUBDIRS
			(install unstall): do $(SUBDIRS)
	* scripts/multipart/Makefile.in: add PACKAGE,VERSION,DOMAIN
			use PACKAGE instead of package: 
			 CGIBIN_DIR,AUXBIN_DIR,CONF_DIR
			add HELP_DIR
	* scripts/w3mman/Makefile.in: add PACKAGE,VERSION,DOMAIN
			use PACKAGE instead of package: 
			 CGIBIN_DIR,AUXBIN_DIR,CONF_DIR
			add HELP_DIR
			add BIN_DIR, MAN1_DIR
			LIB_TARGETS->CGIBIN_TARGETS
			fix INSTALL_MAN
	* scripts/w3mman/w3mman.1.in: 
			change @LIB_DIR@ to @libexecdir@/@PACKAGE@/cgi-bin/

2003-10-01  Akira TAGOH <at@gclab.org>

	* acinclude.m4 (AC_W3M_SSL): use PKG_CHECK_MODULES

2003-09-29  Fumitoshi UKAI  <ukai@debian.or.jp>

	* Makefile.in (distclean): remove posubst
	* Makefile.in (functable.c): fix cannot open file `b' for reading

2003-09-27  Fumitoshi UKAI  <ukai@debian.or.jp>

	* funcname.tab: generated from DEFUN
	* main.c menu.c: use DEFUN
	* conv.c ucs_eucjp.h ucs_latin1.h: deleted

2003-09-26  Fumitoshi UKAI  <ukai@debian.or.jp>

	* add posubst,  compile-time message l10n
	* Makefile.in: @POSUBST@
	* acinclude.m4(AC_W3M_M17N): add POSUBST, POLANG
		--enable-messagel10n
	* configure.in (W3M_LANG): subst
		(AM_GET_GNUTEXT): if messagel10n enabled, don't use NLS
		(AC_OUTOUT): add posubst, chmod +x
	* menu.c: remove if LANG == JA messages
	* rc.c: ditto

2003-09-26  Fumitoshi UKAI  <ukai@debian.or.jp>

	* remove ./intl
	* configure.in: external fo AM_GNU_GETTEXT
	* Makefile.in: remove intl, INTLTARGET

2003-09-25  Fumitoshi UKAI  <ukai@debian.or.jp>

	* fix [w3m-dev 03975] Re: gettextize
	* Makefile.in: add INTLTARGET, NLSTARGET
		cleanup
	* configure.in: INTLTARGET=intl,NLSTARGET=po if USE_NLS

2003-09-25  Fumitoshi UKAI  <ukai@debian.or.jp>

	* gettextize
	* Makefile.in: updated
	* menu.c: gettextize
	* rc.c: gettextize
	* intl/.cvsignore: added
	* po/.cvsignore: added
	* po/Makevars: added
	* po/Makevars.template: removed
	* po/POTFILES.in: updated
	* po/w3m.pot: created
	* po/ja.po: created

2003-09-24  Fumitoshi UKAI  <ukai@debian.or.jp>

	* based on [w3m-dev 03970]
	  SAKAI Kiyotaka <ksakai@kso.netwk.ntt-at.co.jp>
	* acinclude.m4 (AC_W3M_IMAGE): add IMGTARGETS
	* w3mimg/Makefile.in (all): use @IMGTARGETS@

2003-09-24  Fumitoshi UKAI  <ukai@debian.or.jp>

	* gettextize initial modifications
	* configure.in Makefile.in aclocal.m4 config.h.in: 
		update to support NLS
	* ABOUT-NLS: added
	* config.rpath: added
	* mkinstalldirs: added
	* intl/: added
	* po/: added
	* fm.h: NLS support
	* main.c (main): add gettext trigger

2003-09-23  Fumitoshi UKAI  <ukai@debian.or.jp>

	* more autoconfisicate

2003-09-23  Fumitoshi UKAI  <ukai@debian.or.jp>

	* merge m17n patch (w3m-0.4.1-m17n-20030308.patch.gz)
	* add libwc

2003-09-23  Fumitoshi UKAI  <ukai@debian.or.jp>

	* version.c.in: cvs version

2003-09-23  Fumitoshi UKAI  <ukai@debian.or.jp>

	* w3m 0.4.2
	* version.c.in: update
	* doc/README: version 0.4.2, release date
	* doc-jp/README: ditto
	* NEWS: update

2003-09-23  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03967] Re: IPv4/IPv6 only option patch
	* NEWS: options: -4, -6
	* fm.h (DNS_ORDER_INET_ONLY): added
		(DNS_ORDER_INET6_ONLY): added
		(ai_family_order_table): [3]->[7]
	* main.c (fusage): add -4/-6
		(main): -4/-6 mapped to dns_order=4/dns_order=6
	* rc.c (dnsorders): add DNS_ORDER_INET_ONLY, DNS_ORDER_INET6_ONLY
	* url.c (dnsorders): add 3-6

2003-09-16  Hiroyuki Ito <hito@crl.go.jp>

	* [w3m-dev 03960] 
	* acinclude.m4 (AC_W3M_CHECK_VER): fix version check logic

2003-08-30  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03958] w3mimgdisplay on jfbterm
	* w3mimg/fb/fb_w3mimg.c (w3mimg_fbopen): check TERM=jfbterm

2003-08-29  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03957] Location: from local-CGI
	* file.c (loadGeneralFile): don't parse header for local file
		redirected by Location: from local-CGI

2003-08-12  TSUCHIYA Masatoshi <tsuchiya@pine.kuee.kyoto-u.ac.jp>

	* [w3m-dev 03950] rel attribute of anchor tag
	* html.c (ALST_A): add ATTR_REL
		(MAXA_A): +1

2003-07-27  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03945] Re: application/xhtml+xml support
	* Makefile.in (ETC_DIR): added
		(CONF_DIR): added
		(DEFS): add CONF_DIR
		(MAKE_ARGS): add CONF_DIR
	* config.h.in (SYS_MAILCAP): use CONF_DIR
		(SYS_URIMETHODMAP): use CONF_DIR
	* func.c (sys_current_keymap_file): added
		(interpret_keymap): added
		(initKeymap): use interpret_keymap
		(interpret_mouse_action): added
		(initMouseAction): use interpret_mouse_action
	* indep.c (w3m_conf_dir): added
	* indep.h (w3m_conf_dir): added
	* menu.c (interpret_menu): added
		(initMenu): use interpret_menu
	* proto.h (confFile): added
	* rc.c (init_rc): read config file by interpret_rc
		(confFile): added

2003-07-23  Takahashi Youichirou <nikuq@hk.airnet.ne.jp>

	* [w3m-dev 03942] Save history
	* history.c (saveHistory): check tmpfile write error

2003-07-23  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03941] fix character encoding for 'v'
	* main.c (vwSrc): use document_code as DisplayCode

2003-07-23  Yoshinobu Sakane <sakane@d4.bsd.nes.nec.co.jp>

	* [w3m-dev 03939] next/prev visited link
	* funcname.tab (NEXT_VISITED): added
		(PREV_VISITED): added
	* main.c (_nextA): added
		(_prevA): added
		(nextVA): added
		(prevVA): added
	* proto.h (nextVA): added
		(prevVA): added
	* doc/README.func (NEXT_VISITED): added
		(PREV_VISITED): added
	* doc-jp/README.func (NEXT_VISITED): added
		(PREV_VISITED): added
	* NEWS: func: NEXT_VISITED, PREV_VISITED
	

2003-07-14  Hiroyuki Ito <hito@crl.go.jp>

	* [w3m-dev 03938] clear region margin
	* w3mimgdisplay.c (clearMargin): added
		(GetOption): add -margin
		(ClearImage): clear margin
	* w3mi,g/w3mimg.h (w3mimg_op): clear_margin
	* w3mimg/fb/fb.c (fb_clear): x,y must be >= 0
	* w3mimg/x11/x11_w3mimg.c (x11_clear): x,y must be >= 0

2003-07-14  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03937] <center> in <table>
	* table.c (feed_table_tag): fix <center>,</center>,<div>,</div>,
				<p>,<br>,<nobr>,</nobr>,<wbr>
			check_rowcol() for <img>

2003-07-10  Fumitoshi UKAI  <ukai@debian.or.jp>

	* w3mimg/fb/fb_img.h (get_image_size): add missing prototypes
	* w3mimg/fb/fb.c (fb_clear): unused variable `j'

2003-07-09  Hiroyuki Ito <hito@crl.go.jp>

	* [w3m-dev 03935] Re: clear image
	* w3mimg/fb/fb.c (fb_get_packed_color): added
		(fb_image_pset): use fb_get_packed_color
		(fb_image_fill): use fb_get_packed_color
		(fb_clear): use tmp to store pixels

2003-07-09  ABE Yuji <cbo46560@pop12.odn.ne.jp>

	* [w3m-dev 03934] Re: clear image
	* w3mimg/x11/x11_w3mimg.c (x11_clear): s/FALSE/False/

2003-07-09  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03931] Re: clear image
	* w3mimgdisplay.c (ClearImage): offset
	* w3mimg/fb/fb.c (fb_clear): memcpy by pixel_size

2003-07-08  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03929] clear image
	* image.c (syncImage): added
		(drawImage): rewrite using syncImage()
		(clearImage): use clear image command (6)
	* w3mimgdisplay.c: change protocol
		2 => terminate drawing
		6 => clear image
		(main): '2' calls TermImage()
			'6' calls ClearImage()
			TermImage() when exit
		(TermImage): renamed from ClearImage
		(ClearImage): rewritten to call w_op->clear()
	* w3mimg.h/w3mimg.h (w3mimg_op): add clear()
	* w3mimg/fb/fb.c (fb_clear): added
	* w3mimg/fb/fb.h (fb_clear): added
	* w3mimg/fb/fb_img.c (fb_image_clear): added
	* w3mimg/fb/fb_w3mimg.c (w3mfb_clear): added
		(w3mimg_fbopen): initialize wop->clear
	* w3mimg/x11/x11_w3mimg.c (x11_clear): added
		(w3mimg_x11open): initialize wop->clear

2003-07-08  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03927] deflate
	* file.c (compression_decoder): .deflate for application/x-deflate's
				extension

2003-06-19  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03916] Re: charset attribute of anchor tag
	 requested by TSUCHIYA Masatoshi <tsuchiya@pine.kuee.kyoto-u.ac.jp>
	 for emacs-w3m
	* html.c (ALST_A): add ATTR_CHARSET
		(MAXA_A): +1

2003-06-18  ABE Yuji <cbo46560@pop12.odn.ne.jp>

	* [w3m-dev 03914] a fragment in the Referer URI
	* url.c (otherinfo): strip URI fragment

2003-06-13  Hiroyuki Ito <hito@crl.go.jp>

	* [w3m-dev 03913] fix gif animation support
	* w3mimg/fb/fb_gdkpixbuf.c (fb_image_load): fix gif animation
	* w3mimg/x11/x11_w3mimg.c (x11_load_image): ditto

2003-05-15  Akinori Ito <aito@fw.ipsj.or.jp>

	* [w3m-dev 03902] Re: table rendering
	* table.c (check_relative_width): check n_leftcell
				check w <= r

2003-05-14  ABE Yuji <cbo46560@pop12.odn.ne.jp>

	* [w3m-dev 03901] body with status-code 401
	* file.c (loadGeneralFile): show page when 401, 407

2003-05-14  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03900] Re: table rendering
	* table.c (check_relative_width): j loop starts from 0

2003-05-14  SAKAI Kiyotaka <ksakai@kso.netwk.ntt-at.co.jp>

	* [w3m-dev 03899] minor fixes
	* acinclude.m4: fix s/SSLCFLAGS/SSL_CFLAGS/
	* doc/README: update, fix typo
	* doc-jp/FAQ.html: update, fix URL
	* doc-jp/README: update
	* doc-jp/README.SSL: update
	* doc-jp/README.cookie: update
	* doc-jp/README.img: update URL
	* doc-jp/README.migemo: update
	* doc-jp/STORY.html: fix URL

2003-05-14  Akinori Ito <aito@fw.ipsj.or.jp>

	* [w3m-dev 03898] Re: table rendering
	* table.c (check_relative_width): added
		(set_table_matrix): use check_relative_width

2003-05-13  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03896] html_quote in textarea in frame
	* frame.c (createFrameFile): fix html_quote in textarea in frame

2003-05-13  Hironori SAKAMOTO <h-saka@lsi.nec.co.jp>

	* [w3m-dev 03895] type=image support of pre_form
	* form.c (loadPreFOrm): add image
		(preFormUpdateBuffer): add FORM_INPUT_IMAGE
	* doc/README.pre_form: update
	* doc-jp/README.pre_form: ditto

2003-05-11  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03891] Re: urimethodmap and relative URL
	* url.c (parseURL2): copy scheme part into pu->file when SCM_UNKNOWN

2003-05-07  Hiroyuki Ito <hito@crl.go.jp>

	* [w3m-dev 03889] Progress bar in Download List Panel
	* main.c (DownloadListBuffer): calculation in double

2003-05-07  SAKAI Kiyotaka <ksakai@kso.netwk.ntt-at.co.jp>

	* [w3m-dev 03888] autodetect ssl
	* acinclude.m4 (AC_W3M_SSL): use SSL_*
	* configure.in: move AC_W3M_SSL after AC_W3M_EXTLIBS

2003-05-03  Hiroyuki Ito <hito@crl.go.jp>

	* [w3m-dev 03887] Re: I-search problem
	* main.c (dispincsrch): don't move cursor if not found.

2003-04-27  qhwt@myrealbox.com

	* [w3m-dev 03886] Re: POSTing patch (Re: User-Agent for Bonus/2ch.cgi)
	* Bonus/2ch.cgi: posting

2003-04-20  qhwt@myrealbox.com

	* [w3m-dev 03883] User-Agent for Bonus/2ch.cgi
	* Bonus/2ch.cgi: User-Agent

2003-04-19  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03882] Re: Bug#189460: w3m: <q> tag is not recognized
	* file.c (HTMLtagproc1): add HTML_Q, HTML_N_Q
	* html.c (TagMAP): add "q", "/q"
	* html.h (HTML_Q): added
		(HTML_N_Q): added
	* tagtable.tab: add q, /q

2003-04-15  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03880] Re: convert \ -> / in URL
	* Bonus/backslash_to_slash.cgi: added

2003-04-15  Masanori Kobayasi <zap03216@nifty.ne.jp>

	* [w3m-dev 03878] I-search problem
	* linein.c (inputLineHistSearch): don't call incrfunc twice
	* main.c (dispincsrch): fix search loop problem

2003-04-14  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03875] Re: SSL & compressed stream
	* file.c (loadGeneralFile): check t_buf != NULL
	* url.c (openURL): don't initialize URLFile here
		(init_stream): 0 clear URLFile

2003-04-14  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03873] SSL & compressed stream
	* file.c (loadGeneralFile): always update ssl_certificate 
	* url.c (openURL): initialize URLFile

2003-04-12  NAKAJIMA Mikio <minakaji@osaka.email.ne.jp>

	* [w3m-dev 03872] goodict.cgi
	* Bonus/goodict.cgi: adapt new goo dict web page

2003-04-11  Fumitoshi UKAI  <ukai@debian.or.jp>

	* configure.in (AUXBIN_TARGETS): don't reset, move to head

2003-04-10  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03870] Re: configure --help
	* acinclude.m4 (AC_W3M_IMAGE): fix help message
			(AC_W3M_SSL): fix typo

2003-04-09  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03865] Re: configure --help
	* acinclude.m4 (AC_W3M_ANSI_COLOR): depends USE_COLOR
		(AC_W3M_BG_COLOR): depends USE_COLOR
		(AC_W3M_W3MMAILER): depends external_uri_loader
	* fm.h: undef USE_BG_COLOR ifndef USE_COLOR

2003-04-09  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03864] doc/README
	* doc/README doc-jp/README: update

2003-04-09  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m] local cookie string is too easy to guess.
	* fm.h (Local_cookie): deleted
	* local.c (Local_cookie): static
		(writeLocalCookie): localCookie()
		(setLocalCookie): deleted
		(localCookie): added
	* main.c (main): delete srand48(), setLocalCookie()
		(adBmark): s/Local_cookie/localCookie()/
	* proto.h (setLocalCookie): deleted
		(localCookie): added
	* rc.c (load_option_panel): s/Local_cookie/localCookie()/

2003-04-08  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03858] configure cleanup
	* acinclude.m4 configure.in: update

2003-04-08  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03856] <gc.h> 
	* backend.c entity.c fm.h hash.c indep.c indep.h matrix.c
	  textlist.c: s/"gc.h"/<gc.h>/

2003-04-08  ABE Yuji <cbo46560@pop12.odn.ne.jp>

	* [w3m-dev 03849] fix no INET6
	* ftp.c: no need ifdef INET6

2003-04-08  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03846] fix use_history
	* main.c (main): move loadHistory

2003-04-08  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03844] w3mhelp.cgi update
	* scripts/w3mhelp-funcdesc.en.pl.in: add %menu_funcdesc
	* scripts/w3mhelp-funcdesc.ja.pl.in: add %menu_funcdesc
				update %title
	* scripts/w3mhelp-funcname.pl.in: add %menu_funcname
				add %menu_keyfunc
	* scripts/w3mhelp.cgi.in: modified for menu
				link to keymap

2003-04-07  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03843] cleanup macros
	* config.h.dist config.h.in etc.c file.c fm.h ftp.c linein.c 
	   main.c rc.c:
	   delete EMACS_LIKE_LINEEDIT, VI_PREC_NUM, LABEL_TOPLINE, 
		NEXTPAGE_TOPLINE, FTPPASS_HOSTNAMEGEN
	   use_mark default FALSE
	   emacs_like_lineedit default FALSE
	   vi_prec_num default FALSE
	   add UseHistory, use_history
	* NEWS: rc: use_history

2003-04-05  ABE Yuji <cbo46560@pop12.odn.ne.jp>

	* [w3m-dev 03838] W3M_LIBS splitted from LIBS
	* Makefile.in (W3M_LIBS): added
	* acinclude.m4 (AC_W3M_TERMLIB): use W3M_LIB
		(AC_W3M_SSL): ditto
	* configure.in (W3M_LIBS): added

2003-04-04  Hiroyuki Ito <hito@crl.go.jp>

	* [w3m-dev 03837] Re: gif animation with no delay_time
	* w3mimg/fb/fb_gdkpixbuf.c (get_animation_size): add delay
				check delay_time
		(get_image_size): no need delay time
		(fb_image_load): check delay 
		(draw): no bg
	* w3mimg/fb/fb_w3mimg.c (w3mfb_show_image): delete delay skip loop
	* w3mimg/x11/x11_w3mimg.c (get_animation_size): add delay
				check delay_time
		(x11_load_image): check delay
		(x11_get_image_size): no need delay time

2003-03-28  Dai Sato <satodai@dog.intcul.tohoku.ac.jp>

	* doc(-jp)/keymap.default: ';' is quoted

2003-03-28  Dai Sato <satodai@dog.intcul.tohoku.ac.jp>

	* Makefile.in: distclean removes core

2003-03-28  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03836] CFLAGS for SSL in configure
	* acinclude.m4 (AC_W3M_SSL): add -I$dir/include to CFLAGS

2003-03-28  ABE Yuji <cbo46560@pop12.odn.ne.jp>

	* [w3m-dev 03834] Re: gif animation with no delay_time
	* w3mimg/x11/x11_w3mimg.c (x11_load_image): fix delay check

2003-03-27  ABE Yuji <cbo46560@pop12.odn.ne.jp>

	* [w3m-dev 03833] gif animation with no delay_time
	* w3mimg/fb/fb_w3mimg.c (w3mfb_show_image): skip delay<=0
	* w3mimg/x11/x11_w3mimg.c (x11_image): add delay
		(x11_img_new): initialize delay
		(x11_load_image): initialize delay
		(x11_show_image): jump to last image if delay<=0

2003-03-27  WATANABE Katsuyuki <knabe@sannet.ne.jp>

	* [w3m-dev 03831] fix typo
	* acinclude.m4 (AC_W3M_LANG): SYSTEM_CODE
	* configure.in: fix typo CYGIN

2003-03-27  Hiroyuki Ito <hito@crl.go.jp>

	* [w3m-dev 03830] Image size of gif animation
	* w3mimg/fb/fb_gdkpixbuf.c (get_animation_size): added
		(get_image_size): use get_animation_size()
		(fb_image_load): ditto
	* w3mimg/x11/x11_w3mimg.c (get_animation_size): added
		(x11_load_image): use get_animation_size()
		(x11_get_image_size): ditto

2003-03-25  Hiroyuki Ito <hito@crl.go.jp>

	* [w3m-dev 03829] w3mimgdisplay -anim
	* w3mimgdisplay.c (maxAnim): added, default 100
		(main): add --anim option, w_op->max_anim
	* w3mimg/w3mimg.h (w3mimg_op): add max_anim
	* w3mimg/fb/fb_gdkpixbuf.c (fb_image_load): add max_anim
	* w3mimg/fb/fb_img.h (fb_image_load): add max_anim args
	* w3mimg/fb/fb_imlib2.c (fb_image_load): add max_anim args
	* w3mimg/fb/fb_w3mimg.c (w3mfb_load_image): pass max_anim
	* w3mimg/x11/x11_w3mimg.c (x11_load_image): max_anim

2003-03-24  Daiki Ueno <ueno@unixuser.org>

	* [w3m-dev 03828] possible typo in nextA
	* main.c (nextA): fix typo?

2003-03-22  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03827] Re: checking for GC_version... no
	* configure.in: add dl for extlibs

2003-03-20  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03825] re-anchor for fold line
	* anchor.c (reAnchorPos): fix for fold line

2003-03-20  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev-en 00910] Re: autoconf: env MAKE not respected
	* Makefile.in (SET_MAKE): added
		(SHELL): added

2003-03-19  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev-en 00908] Re: autoconf: --without-migemo is a nop
	* acinclude.m4 (AC_W3M_MIGEMO): dont define USE_MIGEMO 
				when with_migemo=no

2003-03-14  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03823] Re: etc.c: treatment for "%7E" is added to  expandName()
	* url.c (parseURL2): file unquote
	* etc.c (expandName): revert previous changes

2003-03-14  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03822] Re: etc.c: treatment for "%7E" is added to  expandName()
	* etc.c (expandName): rewrite with strncasecmp

2003-03-14  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03821] fix for pmake
	* Makefile.in: use $(srcdir)/... instead of $<

2003-03-13  Dai Sato <satodai@dog.intcul.tohoku.ac.jp>

	* etc.c: treatment for "%7E" is added to  expandName()

2003-03-13  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03819] support cd build && ../configure
	* Makefile.in: add VPATH
			add MV
			use $(top_srcdir), $<, $@
	* acinclude.m4 (AC_W3M_VERSION): use $srcdir
	* configure.in (AC_W3M_VERSION): move
	* mktable.c (main): basename

2003-03-13  Fumitoshi UKAI  <ukai@debian.or.jp>

	* Makefile.in (distclean): added

2003-03-13  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03818] fix autoconf
	* Makefile.in (CGIBIN_DIR): added
		(AUXBIN_DIR): added
		(HELP_DIR): added
		(RC_DIR): added
		(MAKE_ARGS): added
		(TARGET): use $(package)
		(MAN1_TARGET): ditto
		(install): use $(*_DIR)
	* acinclude.m4 (AC_W3M_TERMLIB): added
		(AC_W3M_GC): default search prefix /usr /usr/local $HOME
			fix searches
		(AC_W3M_SSL): fix bugs
	* config.h (RC_DIR): remove tailing /
		(SYS_MAILCAP): use ETC_DIR
		(SYS_MIMETYPES): ditto
		(USER_MIMETYPES): homedir
	* configure.in: quote
		(AC_W3M_TERMLIB): use
	* Bonus/oldconfigure.sh: rewrite

2003-03-12  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03816] --enable-lynx => --enable-keymap=lynx 
	* acinclude.m4 (AC_W3M_KEYMAP): --enable-lynx => --enable-keymap=lynx
	* Bonus/oldconfigure.sh: ditto

2003-03-12  Yuji Abe <cbo46560@pop12.odn.ne.jp>

	* [w3m-dev 03814] fix autoconf
	* acinclude.m4: quote variables
	* Bonus/oldconfigure.sh: configure using old config.param

2003-03-12  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03812] fix autoconf
	* acinclude.m4 (AC_W3M_IMAGE): default is autodetect x11,fb

2003-03-12  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03810] fix autoconf
	* acinclude.m4 (AC_W3M_EXTLIBS): use $dir
			(AC_W3M_GC): PREFIX is optional
			(AC_W3M_SSL): PREFIX is optional
				with_ssl=yes, check usual dirs
				use $dir
			(AC_W3M_IPv6): use $dir

2003-03-12  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03809] fix autoconf
	* acinclude.m4 (AC_W3M_CHECK_VER): accept version like "1.9.13-2"

2003-03-12  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>
	
	* [w3m-dev 03808] fix autoconf
	* acinclude.m4 (AC_W3M_GC): --with-gc takes PREFIX
				check include first
		(AC_W3M_CHECK_VER): show checking message
		(AC_W3M_IMAGE): if gdkpixbuf found, don't check imlib*

2003-03-11  Fumitoshi UKAI  <ukai@debian.or.jp>

	* Makefile.in (MODEL): delete @W3M_TARGET@
	* configure.in: AC_SUBST(W3M_TARGET)

2003-03-11  Fumitoshi UKAI  <ukai@debian.or.jp>	
	
	* which: deleted
	* makeallmomdel: deleted

2003-03-11  Fumitoshi UKAI  <ukai@debian.or.jp>	

	* [w3m-dev 03804] fix autoconf
	* acinclude.m4 (AC_W3M_MENU): default enabled
			(AC_W3M_MOUSE): default enabled
			(AC_W3M_COOKIE): default enabled
			(AC_W3M_LANG): can't detect locale here.
				autoconf set LANG=C
			(AC_W3M_DIGEST_AUTH): default enabled
			(AC_W3M_SSL): default enabled
	* configure.in (AC_W3M_DIGEST_AUTH): added

2003-03-11  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03804] fix autoconf
	* config.h.in (EAMCS_LIKE_LINEEDIT): define
		(VI_PREC_NUM): define
		(USE_MARK): define
		(LABEL_TOPLINE): define
		(NEXTPAGE_TOPLINE): define
		(FTPPASS_HOSTNAMEGEN): define
		(SHOW_PARAMS): define
		(VIEW_UNSEENOBJECTS): define
		(ID_EXT): define

2003-03-11  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03804] fix autoconf
	* acinclude.m4 (AC_W3M_MODEL): deleted
		(AC_W3M_COLOR): default enable
		(AC_W3M_ANSI_COLOR): default enable
		(AC_W3M_BG_COLOR): default enable
		(AC_W3M_SHOW_PARAMS): deleted
		(AC_W3M_DICT): default enable
		(AC_W3M_HISTORY): default enable
		(AC_W3M_VIEW_UNSEENOBJECTS): deleted
		(AC_W3M_FORMAT_NICE): deleted
		(AC_W3M_ID_EXT): deleted
		(AC_W3M_FTPPASS_HOSTNAMEGEN): deleted
		(AC_W3M_NNTP): default enabled
		(AC_W3M_LANG): autodetect whether japanese is enabled
		(AC_W3M_KANJI_SYMBOLS): default enabled
		(AC_W3M_EMACS_LIKE_LINEEDIT): deleted
		(AC_W3M_VI_PREC_NUM): deleted
		(AC_W3M_MARK): deleted
		(AC_W3M_LABEL_TOPLINE): deleted
		(AC_W3M_NEXTPAGE_TOPLINE): deleted
		(AC_W3M_SSL): fix without ssl
		(AC_W3M_IMAGE): default enabled
		(AC_W3M_XFACE): check uncompface
		(AC_W3M_IPv6): enable_ipv6 if inet6 lib found
	* configure.in (AC_PROG_CPP): added

2003-03-11  Yuji Abe <cbo46560@pop12.odn.ne.jp>

	* [w3m-dev 03803] fix autoconf
	* acinclude.m4 (AC_W3M_MIGEMO): add missing test
					needs quote
		(AC_W3M_SSL): delete x

2003-03-11  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03802] fix autoconf
	* acinclude.m4 (AC_W3M_CHECK_VER): warn only

2003-03-11  Yuji Abe <cbo46560@pop12.odn.ne.jp>

	* [w3m-dev 03801] fix autoconf
	* acinclude.m4 (AC_W3M_BG_COLOR): fix typo
		(AC_W3M_KANJI_SYMBOLS): check enable_japanese != 'no'
		(AC_W3M_KEYMAP): needs {}
		(AC_W3M_EXTLIBS): don't modify libdir, use extlibdir
		(AC_W3M_SSL): missing x
		(AC_W3M_IMAGE): add AC_DEFINE(USE_IMAGE)
	* config.h.in: s/USE_KANJI_SYMBOLS/KANJI_SYMBOLS/
		add SIZEOF_LONG_LONG
		don't use //, use /* */
	* configure.in: add AC_CHECK_SIZEOF(long long, 0)

2003-03-10  Fumitoshi UKAI  <ukai@debian.or.jp>

	* autoconfiscate
	* Makefile.in: added
	* acinclude.m4: added
	* aclocal.m4: added (generated from acinclude.m4 by aclocal)
	* configure.in: added
	* config.h.in: added
	* config.guess: added
	* config.sub: added
	* .cvsignore: add Makefile config.cache config.log config.status
	* configure: generated by autoconf
	* gc/: deleted
	* XMakefile: deleted
	* XXMakefile: deleted
	* NEWS: autoconficate

2003-03-10  Fumitoshi UKAI  <ukai@debian.or.jp>

	* version.c.in: cvs version

2003-03-07  Fumitoshi UKAI  <ukai@debian.or.jp>

	* w3m 0.4.1
	* version.c.in: update
	* doc/README: version 0.4.1, release date
	* doc-jp/README: ditto
	* NEWS: update

2003-03-06  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03794] displayBuffer() when CurrentTab == NULL.
	* display.c (displayBuffer): check buf
	* linein.c (inputLineHistSearch): check CurrentTab
		(next_dcompl): check CurrentTab
		(_editor): check CurrentTab
	* main.c (resize_screen): check CurrentTab

2003-03-06  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03793] incremental search fix
	* main.c (dispincsrch): revert sbuf.pos fix
			start from next position in next forward search
		(srch): start from next position in forward saerch
			if not found, restore original position
		(srch_nxtprv): start from next position in next forward search
	* search.c (forwardSearch): search from current position

2003-03-06  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03792] URL match string
			incremental search fix
	* main.c (chkURLBuffer): allow - at end of URL string
		(dispincsrch): start from current position in case of
				incremental search
	* search.c (forwardSearch): found if same position
		(backwardSearch): ditto

2003-03-03  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03788] UFhalfclose
	* file.c (UFhalfclose): closeNews() for SCM_NEWS,NNTP

2003-02-28  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03783] pipe to "command1 | command2"
	* Bonus/utf8.cgi: added

2003-02-27  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03784] ftp directory support
	* ftp.c (AbortLoading): added
		(KeyAbort): added
		(openFTPStream): remove '~' in realpathname?
		(loadFTPDir): remove '~' in realpathname?
			keyabort
			new ex_ftpdir_name_size_date()
			add symlink information to flist
		(XD_CTOD): deleted
		(EX_COUNT_DIGIT): added
		(ex_ftpdir_name_size_date): add **link
			accept device file
			loose date check for localized server

2003-02-27  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03783] pipe to "command1 | command2"
	* etc.c (myExtCommand): redirect to subshell
	* main.c (pipeBuf): conv_to_system(cmd)
			shell_quote()
			set buf->filename, buf->buffername

2003-02-26  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03782] real linenumber for EDIT and EDIT_SCREEN
	* main.c (cur_real_linenumber): added
		(editBf): use cur_real_linenumber instead of CUR_LINENUMBER
		(editScr): ditto

2003-02-26  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03781] Debian Bug report logs - #181897: w3m submits query urls with "extra"
	* main.c (_followForm): remove tailling '?'

2003-02-25  Hironori SAKAMOTO <h-saka@lsi.nec.co.jp>

	* [w3m-dev-en 00891] Re: w3m 0.4 has been released!
	* image.c (getCharSize): set W3M_TTY here, before Imgdisplay invoke
		(openImgdisplay): no need setting W3M_TTY here

2003-02-25  Fumitoshi UKAI  <ukai@debian.or.jp>

	* version.c.in: cvs version

2003-02-24  Fumitoshi UKAI  <ukai@debian.or.jp>

	* w3m 0.4
	* version.c.in: update
	* doc/README: version 0.4, release date
	* doc-jp/README: ditto
	* NEWS: update

2003-02-24  patakuti@t3.rim.or.jp

	* [w3m-dev 03772] Compilation error on Cygwin B20.1
	* terms.c (term_title): use Sprintf() instead of snprintf()
	* doc-jp/README.cygwin doc/README.cygwin: add note about B20.1

2003-02-21  WATANABE Katsuyuki <knabe@sannet.ne.jp>

	* [w3m-dev 03765] Re: README.cygwin
	* doc/README.cygwin: translated

2003-02-21  Fumitoshi UKAI  <ukai@debian.or.jp>

	* doc/README: update

2003-02-21  Dai Sato <satodai@dog.intcul.tohoku.ac.jp>

	* [w3m-dev 03762] Re: README.cygwin
	* doc/README.cygwin: translated

2003-02-21  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03761] eliminate compiler warnings
	* ftp.c (ftp_login): Str tmp
	* table.c (feed_table_tag): p is used ifdef ID_EXT 

2003-02-21  WATANABE Katsuyuki <knabe@sannet.ne.jp>

	* [w3m-dev 03760] Re: README.cygwin
	* doc-jp/README: update

2003-02-19  Fumitoshi UKAI  <ukai@debian.or.jp>

	* 0.4 release candidate 3
	* version.c.in: update

2003-02-19  Atsushi YOKOYAMA <yoko-a@cmh.fuchu.toshiba.co.jp>

	* [w3m-dev 03758] Re: SVR4 signal behavior
	* etc.c (reset_signals): use mySignal()
		(setup_child): ditto
		(myExec): ditto
		(mySignal): added, use sigaction if available
	* fm.h (TRAP_ON): use mySignal
		(TRAP_OFF): ditto
	* istream.c (ISclose): ditto
	* main.c (sig_chld): ditto
		(main): ditto
		(do_dump): ditto
		(resize_hook): ditto
		(resize_handler): ditto
		(srchcore): ditto
		(readsh): ditto
		(SigAlarm): ditto
	* proto.h (mySignal): added
	* terms.c (error_dump): use mySignal()
		(set_int): ditto
		(mouse_init): ditto

2003-02-19  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03753] Fixed multipart.cgi
	* scripts/multipart/multipart.cgi.in: remove w3m-control
			use input hidden
			add form_encode

2003-02-18  WATANABE Katsuyuki <knabe@sannet.ne.jp>

	* [w3m-dev 03749] README.cygwin
	* doc-jp/README.cygwin: added
	* doc/README: updated

2003-02-17  Fumitoshi UKAI  <ukai@debian.or.jp>

	* 0.4 release candidate 2
	* version.c.in: update

2003-02-13  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03742] Re: Bug##180814: w3m: Missing w3mimgdisplay message at startup
	* image.c (getCharSize): stderr redirect to omit /bin/sh error message

2003-02-13  Fumitoshi UKAI  <ukai@debian.or.jp>

	* XMakefile (install-core): fix for broken non-POSIX /bin/sh

2003-02-11  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev-en 00868] fix mark_all_pages
	* anchor.c (reAnchorAny): next_line process for MarkAllPages

2003-02-11  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev-en 00867] fix installation problem
	* XMakefile (install-core): test AUXBIN_TARGETS

2003-02-11  Fumitoshi UKAI  <ukai@debian.or.jp>

	* version.c.in: cvs version

2003-02-11  Fumitoshi UKAI  <ukai@debian.or.jp>

	* 0.4 release candidate 1
        * version.c.in: update

2003-02-09  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03737] local-CGI POST
	* local.c (localcgi_post): use tmp file

2003-02-08  Hiroyuki Ito <hito@crl.go.jp>

	* [w3m-dev 03736] dirlist sort
	* scripts/dirlist.cgi.in (right_dir): use cmp for filename comparison

2003-02-07  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03735] Re: make error of checkType arg
	* etc.c (checkType): delete USE_ANSI_COLOR
	* file.c (addnewline): macro for USE_ANSI_COLOR
		(readHeader): rewrite of USE_ANSI_COLOR
		(HTMLlineproc2body): ditto
		(addnewline2): ditto
		(addnewline): ditto
		(loadBuffer): ditto
		(getNextPage): ditto
	* proto.h (checkType): macro for USE_ANSI_COLOR

2003-02-07  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03733] Re: display decoded URL
	* display.c (make_lastline_link): buf->document_code

2003-02-07  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03732] Re: scroll() is slow ?
	* configure (use_raw_scroll): added
		(config.h) use_raw_scroll
	* config.h.dist (USE_RAW_SCROLL): added
	* display.c (displayBuffer): ifdef USE_RAW_SCROLL
	* proto.h (scroll): ifdef USE_RAW_SCROLL
		(rscroll): ditto
		(need_clrtoeol): if 0
		(terms.c): if 0 need_clrtoeol
		(scroll_raw): ifdef USE_RAW_SCROLL

2003-02-06  Fumitoshi UKAI  <ukai@debian.or.jp>

	* NEWS: rc: decode_url

2003-02-06  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03730] display decoded URL
	* anchor.c (link_list_panel): support DecodeURL
	* display.c (make_lastline_link): support DecodeURL
	* etc.c (url_unquote_conv): added
	* fm.h (DecodeURL): added
	* history.c (historyBuffer): support DecodeURL
	* indep.c (QUOTE_MAP): added
		(HTML_QUOTE_MAP): added
		(html_quote_char): deleted
		(url_quote): use is_url_quote
		(file_quote): use is_file_quote
		(is_url_safe): deleted
		(Str_form_quote): use is_url_unsafe
		(Str_url_unquote): add safe args
		(is_shell_safe): delete
		(shell_quote): use is_shell_unsafe
	* indep.h (QUOTE_MAP): added
		(HTML_QUOTE_MAP): added
		(HTML_QUOTE_MASK): added
		(SHELL_UNSAFE_MASK): added
		(URL_QUOTE_MASK): added
		(FILE_QUOTE_MASK): added
		(URL_UNSAFE_MASK): added
		(GET_QUOTE_TYPE): added
		(is_html_quote): added
		(is_shell_unsafe): added
		(is_url_quote): added
		(is_file_quote): added
		(is_url_unsafe): added
		(html_quote_char): added
		(html_quote_char): deleted
		(Str_url_unquote): added safe
		(form_unquote): Str_url_unquote changes
	* linein.c (_prev): support DecodeURL
		(_next): ditto
	* main.c (goURL0): support DecodeURL
		(_peekURL): ditto
		(curURL): ditto
	* map.c (follow_map_panel): support DecodeURL
		(append_map_info): ditto
		(append_link_info): ditto
		(append_frame_info): ditto
		(page_info_panel): ditto
	* menu.c (initSelectMenu): delete SCM_LOCAL_CGI
			support DecodeURL
		(initSelTabMenu): delete SCM_LOCAL_CGI
			support DecodeURL
		(link_menu): support DecodeURL
	* parsetagx.c (parse_tag): is_html_quote
	* proto.h (url_unquote_conv): added
	* rc.c (CMT_DECODE_URL): added
		(params1): add decode_url
	* url.c (openURL): Str_url_unquote non safe

2003-02-06  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03729] buf fix of reAnchorNewsheader()
	* anchor.c (reAnchorAny): check l->bpos
		 (reAnchorNewsheader): check l->bpos
					strlen(*q)
					lineBuf[l->size]

2003-02-06  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03728] IPv6 hostname
	* url.c (parseURL): rewrite IPv6 address parser

2003-02-04  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03724] Re: view source, edit source
	* buffer.c (reshapeBuffer): initialize buf->width first
	* display.c (displayBuffer): no need to check buf>sourcefile

2003-02-01  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03721] PATH_INFO support of local CGI
	* local.c (CGIFN_DROOT): deleted
		(CGIFN_LIBDIR): added
		(CGIFN_MODE): deleted
		(CGIFN_CONTAIN_SLASH): deleted
		(check_local_cgi): rewrite
		(cgi_filename): rewrite
		(localcgi_post): support PATH_INFO
	* url.c (openURL): rewrite
	* Bonus/smb.cgi: use PATH_INFO

2003-02-01  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03720] mark remains
	* main.c (srchcore): PREC_NUM

2003-01-31  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03719] Re: Too slow when loading big file with fold_line=1
	* file.c (addnewline): check i <l->len

2003-01-31  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03718] Too slow when loading big file with fold_line=1
	* etc.c (nextColumn): added
		(calcPosition): use New_N
				rewrite with nextColumn
		(columnLen): added
	* file.c (addnewline): rewrite with columnLen
	* proto.h (columnLen): added

2003-01-31  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03717] print newline before exec shell command.
	* main.c (execsh): print newline

2003-01-31  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03715] initial currentLine when pager mode.
	* file.c (getNextPage): fix cur

2003-01-31  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03714] -cols 1 -dump -o fold_line=1
	* file.c (addnewline): check i == 0, i == l->len
	* fm.h (_INIT_BUFFER_WIDTH): added
		(INIT_BUFFER_WIDTH): use _INIT_BUFFER_WIDTH

2003-01-31  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03713] search with "$"
	* search.c (forwardSearch): check l->next && l->next->bpos
		(backwardSearch): check l->size, l->next && l->next->bpos

2003-01-31  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03712] buf fix of LINE_INFO
	* main.c (curlno): rewrite

2003-01-30  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03709] Re: view source, edit source
	* display.c (displayBuffer): INIT_BUFFER_WIDTH
	* file.c (_saveBuffer): added
		(saveBuffer): use _saveBuffer
		(saveBufferBody): added
	* main.c (vmSrc): saveBufferBody
	* proto.h (saveBufferBody): added

2003-01-30  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev-en 00852] Re: Enhancement: content type detection of files
	* url.c (DefaultGuess): remove upppercases
		(guessContentTypeFromTable): rewrite, strcasecmp

2003-01-30  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03708] Re: Don't stop loading image when moving to next page.
	* config.h.dist (lstat): define ifndef HAVE_LSTAT
	* configure (config.h) ditto
	* display.c (fmTerm): new loadImage
		(save_current_buf): only ifdef USE_BUFINFO
		(displayBuffer): new loadImage
	* etc.c (setup_child): TrapSignal
	* file.c (loadGeneralFile): TRAP_OFF, TRAP_ON
		(loadHTMLstream): ditto
		(loadGopherDir): ditto
		(loadBuffer): ditto
		(loadImageBuffer): ditto
		(getNextPage): ditto
		(save2tmp): ditto
	* fm.h (TrapSignal): added
		(TRAP_ON): added
		(TRAP_OFF): added
	* form.c (HAVE_LSTAT): deleted
	* frame.c (createFrameFile): TRAP_OFF, TRAP_ON
	* image.c (image_buffer): added
		(deleteImage): new loadImage
		(getAllImage): initialize image_buffer
		(loadImage): rewrite
	* main.c (main): new loadImage
		(checkDownloadList): remove ifdef HAVE_LSTAT
	* news.c (loadNwesgroup): TRAP_ON, TRAP_OFF
	* proto.h (loadImage): add buf arg
	* url.c (openSocket): TRAP_ON, TRAP_OFF
		(check_no_proxy): TRAP_ON, TRAP_OFF

2003-01-29  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03707] Don't stop loading image when moving to next page.
	* display.c (save_current_buf): required when defined USE_IMAGE
		(displayBuffer): stop only buffer changed
	* image.c (loadImage): IMG_FLAG_START load from maxLoadImage

2003-01-29  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03706] X-Image-URL: support, bug fix of reshapeBuffer()
	* buffer.c (reshapeBuffer): rewrite
	* file.c (readHeader): rewrite

2003-01-29  NAKAJIMA Mikio <minakaji@osaka.email.ne.jp>

	* [w3m-dev 03705] goodict.cgi (was: Re: google.cgi (was: Re: keymap key SEARCH string))
	* Bonus/goodict.cgi: added

2003-01-29  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03700] Re: google.cgi (was: Re: keymap key SEARCH string)
	* main.c (goURL0): check relative or *url == '#'

2003-01-28  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03689] Re: fold patch
	* fm.h (BufferPos): add bpos
	* main.c (save_buffer_position): bpos initialize
		(resetPos): reset bpos

2003-01-26  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03686] Re: fold patch
	* buffer.c (writeBufferCache): rewrite
		(readBufferCache): rewrite
	* etc.c (calcPosition): short -> int realColumn
	* fm.h (Line): short -> int len,width,size,bpos,bwidth
		(BufferPoint): short->int pos
		(Buffer): short->int currentColumn,pos,visualpos
		(BufferPos): short->int currentColumn,pos
	* frame.h (frameset_queue): short->int pos,currentColumn
	* main.c (clear_mark): short->int pos
		(dispincsrch): short->int pos
		(backBf): short->int pos
		(set_buffer_environ): short->int prev_pos

2003-01-25  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03684] Re: fold patch
	* file.c (PSIZE): added
		(HTMLlineproc2body): outc,outp is created by NewAtom_N
			use PSIZE

2003-01-25  Fumitoshi UKAI  <ukai@debian.or.jp>

	* file.c (getNextPage): no need volatile for code

2003-01-25  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03683] interrupt in getNextPage()
	* file.c (getNextPage): trap SIGINT

2003-01-25  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03682] open null file on tab
	* display.c (displayBuffer): if empty, clear()

2003-01-25  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03681] Re: fold patch
	* buffer.c (reshapeBuffer): buf->pos, sbuf.currentLine fix
				FoldLine
	* display.c (arrangeCursor): buf->pos fix
		(restorePosition): buf->pos fix	

2003-01-24  Fumitoshi UKAI  <ukai@debian.or.jp>

	* NEWS: func: RESHAPE
		rc: fold_line

2003-01-24  Fumitoshi UKAI  <ukai@debian.or.jp>

	* fix compiler warnings
	* display.c (displayBuffer): fix suggest parentheses around && within ||
2003-01-24  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03667] fold patch
	* anchor.c (reAnchorPos): rewrite
		(reAnchorWord): delete reseq_anchor()
		(reAnchorAny): use l->size
				delete reseq_anchor()
	* backend.c (internal_get): pass TRUE to saveBuffer
	* buffer.c (newBuffer): delete n->linelen
		(reshapeBuffer): rewrite
	* display.c (displayBuffer): FoldLine
		(redrawLine): l->bpos
		(cursorUp0): added
		(cursorUp): rewrite
		(cursorDown0): added
		(cursowDown): rewrite
		(cursorRight): check l->next
				l->bwidth
		(cursorLeft): l->prev && l->bpos
				l->bwidth
		(arrangeCursor): buf->currentLine->bwidth
			buf->cursorX
	* etc.c (checkType): **oporp
				rewrite
		(calcPosition): realColumn allocated by New_reuse
	* file.c (addnewline): add nlines arg
		(propBuffer): deleted
		(colorBuffer): deleted
		(readHeader): propBuffer
			FOLD_BUFFER_WIDTH
		(HTMLlineproc2body): rewrite
		(addnewline2): added
		(addnewline): rewrite
		(loadBuffer): propBuffer, colorBuffer
		(saveBuffer): cont arg
		(getNextPage): rewrite
	* fm.h (LINELEN): 256
		(FNLEN): deleted
		(Line): add size, bpos, bwidth
		(Buffer): delete linelen
		(INIT_BUFFER_WIDTH): check showLineNum 
		(FOLD_BUFFER_WIDTH): added
		(FoldLine): added
	* funcname.tab (RESHAPE): added
	* main.c (do_dump): pass FALSE to saveBuffer
		(nscroll): rewrite
		(clear_mark): l->size
		(shiftvisualpos): rewrite
		(pipeBuf): pass TRUE to saveBuffer
		(linebeg): check line->prev && line->bpos
		(linend): check line->next, line->next->bpos
		(editScr): pass TRUE to saveBuffer
		(svBuf): pass TRUE to saveBuffer
		(vmSrc): pass TRUE to saveBuffer
		(reshape): added
		(curlno): rewrite
	* mimehead.c (LINELEN): deleted
	* proto.h (reshape): added
		(saveBuffer): add cont arg
		(cursorUp0): added
		(cursorDown0): added
		(checkType): change type oprop, ocolor, delete check_color, len
	* rc.c (CMT_FOLD_LINE): added
		(params1): add fold_line
		(sync_with_option): check PagerMax
	* search.c (set_mark): l->size
		(forwardSearch): rewrite
		(backwardSearch): rewrite
	* doc/README.func (RESHAPE): added
	* doc-jp/README.func (RESHAPE): added
	* scripts/w3mhelp.cgi.in (Buffer operation): add reshape

2003-01-24  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* etc.c (next_status): after = is R_ST_VALUE
			R_ST_VALUE > => R_ST_NORMAL
			R_ST_VALUE SP => R_ST_TAG
		(read_token): R_ST_VALUE
		(correct_irrtag): R_ST_VALUE
	* rm.h (R_ST_VALUE): added
		(ST_IS_REAL_TAG): rewrite
		(ST_IS_COMMENT): deleted
		(ST_IS_TAG): deleted
	* parsetagx.c (parse_tag): skip too long tagname
				skip too long attrname
				if attrvalue has quote char, need reconstruct
				if unknown attr, need reconstruct
	* table.c (visible_length): R_ST_VALUE

2003-01-24  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03680] showProgress() on fast system
	* file.c (showProgress): check line len, time

2003-01-24  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03679] Re: cleanup for pipe
	* etc.c (open_pipe_rw): check stdin, stdout
	* file.c (uncompress_stream): rewrite

2003-01-23  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03678] Re: config.param is clear when configure -help
	* configure: don't override config.param

2003-01-23  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03677] view source, edit source
	* buffer.c (discardBuffer): unlink header source
	* file.c (loadFile): delete skip header
	* fm.h (BP_SOURCE): deleted
		(SkipHeader): deleted
	* main (editBf): cleanup
		(vmSrc): cleanup

2003-01-23  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03676] cleanup for pipe
	* etc.c (open_pipe_rw): added
	* file.c (uncompress_stream): rewrite using open_pipe_rw
	* image.c (openImgdisplay): rewrite using open_pipe_rw
	* local.c (localcgi_popen_rw): deleted
		(localcgi_post): rewrite using open_pipe_rw
	* proto.h (open_pipe_rw): added
	* search.c (migemor): initialized to NULL
		(migemow): initialized to NULL
		(migemo_pid): initialized to 0
		(open_migemo): rewrite using open_pipe_rw

2003-01-23  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03675] x-face
	* file.c (xface2xpm): use getImage()
		(readHeader): check same file
		(loadImageBuffer): rewrite
		(lessopen_stream): shell_quote()

2003-01-23  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03674] -dump problem
	* file.c (loadGeneralFile): return NULL when dump
	* main.c (dump_source): deleted
		(dump_head): deleted
		(dupm_extra): deleted
		(do_dump): added
		(main): singal when dump

2003-01-23  Yoshinobu Sakane <sakane@d4.bsd.nes.nec.co.jp>

	* [w3m-dev 03671] Re: config.param is clear when configure -help
	* configure: test -f config.param

2003-01-22  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03665] imlib2 support (on X11)
	* configure: X11 inline image with Imlib2
		fix typo in fb/imlib2
	* w3mimg/x11/x11_w3mimg.c: USE_IMLIB2
		(x11_load_image): USE_IMLIB2
		(x11_show_image): USE_IMLIB2
		(x11_free_image): USE_IMLIB2
		(x11_get_image_size): USE_IMLIB2

2003-01-22  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03664] config.param is clear when configure -help
	* configure: config.param created after arg parsing

2003-01-21  Fumitoshi UKAI  <ukai@debian.or.jp>

	* map.c (follow_map_menu): if USE_IMAGE or MENU_MAP
	* proto.h (follow_map_menu): ditto

2003-01-21  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03660] Re: fputs -> Strfputs
	* Str.h (Strncmp_charp): paren
		(Strncasecmp_charp): ditto
		(Strinsert): ditto
		(Strshrinkfirst): ditto
	* display.c (disp_err_message): added
	* file.c (loadGeneralFile): don't put function in macro arg
		(saveBuffer): ditto
	* frame.c (createFrameFile): ditto
	* proto.h (disp_err_message): macro->function
	* table.c (pushdata): if data is NULL, use ""
		(suspend_or_pushdata): if line is NULL, use ""
	* textlist.h (pushText): don't use (s) twice in a macro

2003-01-21  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03659] Can't download from SSL.
	* istream.c (ISfileno): case IST_SSL

2003-01-21  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03658] Re: Other user can see local cookie.
	* fm.h (rc_dir): init(NULL)
	* rc.c (config_file): deleted
		(init_rc): use rc_dir

2003-01-21  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03657] fputs -> Strfputs
	* form.c (form_fputs_decode): use Strfputs()

2003-01-19  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03655] Re: file.c:image_source when undef USE_IMAGE
	* map.c (follow_map_menu): fix warnings

2003-01-19  WATANABE Katsuyuki <knabe@sannet.ne.jp>

	* [w3m-dev 03654] file.c:image_source when undef USE_IMAGE
	* file.c (readHeader): image_source ifdef USE_IMAGE
		(loadGeneralFile): ditto
		(uncompress_stream): ditto

2003-01-19  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03653] SourceForge.net: 576032 w3m https crashes with OpenSSL-0.9.7
	* istream.c (ssl_check_cert_ident): use sk_GENERAL_NAME_free()

2003-01-18  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03652] Re: Debian bug #176981
	* file.c (checkHeader): always remove_space
		(loadGeneralFile): no need remove_space

2003-01-18  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03651] Debian bug #176981
	* file.c (checkRedirection): added
		(loadGeneralFile): check redirection
				t_buf only is created when it is NULL
				remove_space

2003-01-18  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03647] expandName() and expandPath()
	* etc.c (openSecretFile): use expandPath
		(expandName): rewrite
		(file_to_url): use expandPath
	* file.c (_doFileCopy): use expandPath
		(doFileSave): use expandPath
	* indep.c (expandPath): rewrite
	* linein.c (inputLineHistSearch): use expandPath
		(next_dcompl): use expandPath
		(doComplete): use expandPath
	* local.c (set_cgi_environ): rewrite
	* mailcap.c (loadMailcap): use expandPath
	* main.c (svBuf): use expandPath
		(addDownloadList): use expandPath
	* rc.c (init_rc): use expandPath
		(rcFile): rewrite
		(auxbinFile): use expandPath
		(libFile): use expandPath
		(etcFile): use expandPath
		(helpFile): use expandPath
	* url.c (loadMimeTypes): use expandPath
		(loadURIMethods): use expandPath

2003-01-18  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03646] setup child process, local CGI
	* etc.c (reset_signals): static
				don't ignore SIGUSR1
		(close_all_fds_except): static
				DEV_NULL_PATH
		(setup_child): added
		(myExec): rewrite
		(mySystem): rewrite
	* file.c (readHeader): check image_source
		(loadGeneralFile): check image_source
		(doExternal): use setup_child
		(_doFileCopy): use setup_child
		(doFileSave): use setup_child
		(uncompress_stream): check image_source
				use setup_child
	* image.c (getCharSize): no need stderr redirect
		(openImgdisplay): use setup_child
		(loadImage): use setup_child
		(getImageSize): no need stderr redirect
	* local.c (writeLocalCookie): check Local_cookie_file
		(localcgi_popen_rw): added
		(localcgi_popen_r): deleted
		(localcgi_post): rewrite
		(localcgi_get): deleted
	* proto.h (localcgi_get): defined by localcgi_post
		(reset_signals): deleted
		(close_all_fds_except): deleted
		(close_all_fds): deleted
		(setup_child): added
	* search.c (open_migemo): use setup_child, myExec
	* w3mimgdisplay.c (main): use DEV_NULL_PATH

2003-01-16  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03644] Re: Other user can see local cookie.
	* cookie.c (save_cookies): return if no_rc_dir
	* etc.c (tmpf_base): add cookie
		(tmpfname): use tmp_dir instead of rc_dir
	* file.c (loadGeneralFile): cookie is not passed via URL
	* fm.h (TMPF_COOKIE): incl
		(MAX_TMPF_TYPE): incl
		(no_rc_dir): added
		(tmp_dir): added
		(config_file): added
	* local.c (Local_cookie_file): added
		(writeLocalCookie): added
		(setLocalCookie): dont set environment LOCAL_COOKIE
		(localcgi_post): writeLocalCookie
		(localcgi_get): writeLocalCookie
	* main.c (config_filename): deleted
		(cmd_loadURL): arg FormList
		(main): rewrite config_file, rc
		(ldhelp): no cookie in URL
		(cmd_loadURL): arg FormList
		(goURL0): cmd_loadURL change
		(cmd_loadBuffer): cmd_loadURL change
		(adBmark): cookie is posted
		(follow_map): cmd_loadURL change
		(linkMn): cmd_loadURL change
		(reinit): init_rc change
	* proto.h (create_option_search_table): deleted
		(init_rc): no args
	* rc.c (create_option_search_table): static
		(init_rc): no args
			rewrite
		(optionpanel_src1): rewrite
		(load_option_panel): html_quote
		(panel_set_option): no_rc_dir
	* w3mbookmark.c: rewrite
	* w3mhelperpanel.c: rewrite
	* scripts/dirlist.cgi.in: rewrite
	* scripts/w3mhelp.cgi.in: rewrite
	* scripts/w3mmail.cgi.in: rewrite
	* scripts/multipart/multipart.cgi.in: rewrite

2003-01-16  Fumitoshi UKAI  <ukai@debian.or.jp>

	* file.c (loadGopherDir): convertLine RAW_MODE
	* ftp.c (loadFTPDir): ditto

2003-01-16  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03642] Re: cleanup (don't close connection of news server)
	* local.c (localcgi_post): localcgi_popen_r first

2003-01-16  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03641] Re: cleanup (don't close connection of news server)
	* ftp.c (ftp_command): fix fwrite arg
	* news.c (news_command): fix fwrite arg

2003-01-16  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03640] Re: cleanup (don't close connection of news server)
	* anchor.c (_put_ahchor_news): always conv_str
		(_put_anchor_all): always conv_str
	* etc.c (close_all_fds): deleted
		(close_all_fds_except): added, except fd=f is left open
	* file.c (guess_filename): added
		(UFhalfclose): added
		(convertLine): cleanup_line if not raw mode
			check uf
		(readHeader): always convertLine
		(loadGeneralFile): rewrite
		(loadGopherDir): return Str, args change to ParsedURL and code
				rewrite
		(saveBuffer): always conv_str
		(_doFileCopy): close_all_fds
		(doFileSave): close_all_fds_except
		(uncompress_stream): dup, close_all_fds_except
	* form.c (form_fputs_decode): always conv_str
		(input_textarea): convertLine
	* frame.c (createFrameFile): convertLine
	* ftp.c (loadFTPDir): arg code
				rewrite
		(readFTPDir): convertLine
	* html.h (UFfileno): added
	* image.c (loadImage): close_all_fds
	* indep.h (RAW_MODE): added
	* local.c (loadLocalDir): return Str
		(dirBuffer): rewrite
		(localcgi_popen_r): close_all_fds
	* main.c (main): check SCM_LOCAL
			print err_msg
	* news.c (news_command): args cmd and arg
		(news_quit): news_command
		(openNewsStream): news_command
		(readNewsgroup): deleted
		(loadNewsgroup): added
		(closeNews): added
	* proto.h (loadGopherDir): update
		(conv_str): define for no JP_CHARSET
		(readFTPDir): deleted
		(loadFTPDir): added
		(readNewsgroup): deleted
		(loadNewsgroup): added
		(dirBuffer): deleted
		(loadLocalDir): added
		(close_all_fds): defined by close_all_fds_except
		(close_all_fds_except): added

2003-01-16  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03639] Re: smb.cgi
	* Bonus/2ch.cgi: change password handling
	* Bonus/README: update
	* Bonus/README.eng: ditto

2003-01-12  qhwt@myrealbox.com

	* [w3m-dev 03636] segfault in main.c
	* main.c (main): check newbuf->currentURL.file

2003-01-12  Fumitoshi UKAI  <ukai@debian.or.jp>

	* Bonus/README.eng: sync with Bonus/README

2003-01-12  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03635] 2ch.cgi
	* Bonus/2ch.cgi: added
	* Bonus/README: update

2003-01-12  Fumitoshi UKAI  <ukai@debian.or.jp>

	* Bonus/README.eng: sync with Bonus/README

2003-01-12  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03634] smb.cgi
	* Bonus/smb.cgi: added
	* Bonus/README: update

2003-01-12  Fumitoshi UKAI  <ukai@debian.or.jp>

	* ftp.c (ftp_pasv): ftp_command response
		(readFTPDir): masked declaration of realpathname

2003-01-12  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03633] Re: cleanup (don't close connection of news server)
	* file.c (FTPhalfclose): deleted
		(loadGeneralFile): closeFTP when doFileSave is done
		(_doFileCopy): return int
		(doFileMove): return int
		(doFileSave): return int
	* ftp.c: rewrite
	* main.c (w3m_exit): disconnectFTP
	* proto.h (_doFileCopy): return int
		(doFileMove): return int
		(doFileSave): return int
		(openFTP): deleted
		(openFTPStream): return InputStream
		(closeFTP): no arg
		(Ftpfclose): disconnectFTP
	* url.c (openFTPstream): deleted

2003-01-11  Fumitoshi UKAI  <ukai@debian.or.jp>

	* fix compiler warnings
	* html.h (UFclose): value computed but not used

2003-01-11  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03632] cleanup (don't close connection of news server)
	* file.c (loadSomething): remove UFclose nntp:,news:
		(loadFile): UFclose
		(loadGeneralFile): always UFclose
	* html.h (UFclose): only reset when ISclose ==0
	* istream.c (ISclose): return int
		(ISfileno): flag IST_UNCLOSE
	* istream.h (ISclose): return int
		(IST_UNCLOSE): added
	* news.c (news_close): reset IST_UNCLOSE
		(news_open): set IST_UNCLOSE

2003-01-11  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03631] display current form item
	* form.c (form2str): rewrite
	* istream.c (ssl_get_certificate): fix typo
	* map.c (follow_map_panel): valign=top
		(append_map_info): valign=top
		(append_link_info): valign=top
		(append_frame_info): <pre_int>
				html_quote ssl_certificate
		(page_info_panel): rewrite, html_quote

2003-01-11  Fumitoshi UKAI  <ukai@debian.or.jp>

	* doc/README.pre_form: update
	* doc-jp/README.pre_form: ditto

2003-01-11  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03630] improved pre_form
	* form.c (pre_form): add re_url, name
		(add_pre_form): add name
				rewrite
		(loadPreForm): add "form"
		(preFormUpdateBuffer): handle re_url

2003-01-11  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03629] delete tmp file
	* etc.c (tempfname): always file to delete
	* file.c (xface2xpm): no need fileToDelete
		(readHeader): ditto
		(loadGeneralFile): ditto
		(loadHTMLBuffer): ditto
		(loadHTMLString): ditto
		(loadGopherDir): ditto
		(loadImageBuffer): ditto
		(doExternal): rewrite
		(doFileSave): no need fileToDelete
		(uncompress_stream): ditto
	* fm.h (CurrentPid): added
	* image.c (getImage): cache->touch to delete
	* local.c (setLocalCookie): use CurrentPid
		(localcgi_post): fileToDelete
	* main.c (main): CurrentPid
		(pipeBuf): no need fileToDelete
		(query_from_followform): CurrentPid
		(vmSrc): no need fileToDelete

2003-01-11  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03628] Re: Error occured while reset
	* file.c (doExternal): bufp = NULL, return 1
		(uncompress_stream): tempfname fileToDelete

2003-01-11  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03626] Re: relative URL
	* url.c (parseURL2): copy if scheme is local or local-cgi

2003-01-11  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03625] keymap key SEARCH string
	* main.c (srch): accept command argument
		(reMark): accept command argument
	* Bonus/google.cgi: added

2003-01-11  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03622] Re: Error occured while reset
	* file.c (uncompress_stream): child process initialized
	* terms.c (close_tty): close unless stdin,out,err
		(reset_tty): flush_tty, close_tty
		(write1): flush_tty
		(refresh): flush_tty
		(flush_tty): check ttyf

2003-01-11  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03620] -m option and header
	* buffer.c (reshapeBuffer): fix reading from stdin
				fix -m option
	* display.c (redrawNLine): rewrite
		(redrawLine): return l instead of l->next
		(redrawLineImage): ditto
	* file.c (loadFile): read header even if skip header
		(loadGeneralFile): read header even if skip header
	* fm.h (SkipHeader): added
	* main.c (main): check whether reading from stdin
			SkipHeader

2003-01-10  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03619] Re: Error occured while reset
	* file.c (process_img): check image.ext
		(HTMLlineproc2body): check image.ext
		(loadImageBuffer): url, ext is in URLFile
	* frame.c (unloadFrame): no need to push to fileToDelete
		(copyFrame): no need to reset FB_TODELETE
		(resetFrameElement): f_body->source, buf->sourcefile
		(frame_download_source): buf->source
				buf->sourcefile reset
	* frame.h (FB_NOCACHE): deleted
		(FB_TODELETE): deleted
	* main.c (vmSrc): Currentbuf->sourcefile
			need_reshape if images exist

2003-01-09  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03617] sourcefile when Content-Encoding: is specified.
	* file.c (uncompress_stream): add src arg
		(examineFile): change uncompress_stream
		(loadGeneralFile): change uncompress_stream
		(doExternal): src
		(uncompress_stream): ext
				tmpfile with same ext

2003-01-09  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03616] Re: data: URL scheme
	* file.c (loadGeneralFile): check SCM_DATA
		(loadImageBuffer): newBuffer()
	* html.h (SCM_DATA): added
	* indep.c (url_unquote): deleted
		(Str_url_unquote): renamed from Str_form_unquote
				+ is decoded is_form only
	* indep.h (url_unquote): deleted
		(Str_url_unquote): added
		(Str_form_unquote): define by Str_url_unquote
	* main.c (followA): file_unquote
		(cmd_loadURL): file_unquote
	* url.c (DefaultPort): add for data:
		(schemetable): add "data"
		(DefaultFile): SCM_FTPDIR
		(parseURL): scheme copied from current
		(parseURL2): SCM_DATA
			check SCM_FTP, SCM_FTPDIR
		(_parsedURL2Str): add data in scheme_str
			handle SCM_DATA
			SCM_FTPDIR
		(openURL): file_unquote
			handle SCM_DATA

2003-01-08  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03611] relative URL
	* news.c (openNewsStream): don't skip '/' for nntp:
		(readNewsgroup): cleanup
	* url.c (parseURL): don't copy user & password
		(parseURL2): fix for group, don't copy user & password

2003-01-07  Fumitoshi UKAI  <ukai@debian.or.jp>

	* fix build warnings
	* url.c (parseURL2): fix comparison between pointer and integer
	* news.c (readNewsgroup): variable `scheme',`group',`list' might be clobbered by `longjmp' or `vfork'

2003-01-07  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03610] Re: news:<newsgroup>
	* anchor.c (_put_anchor_news): check '<'
		(reAnchorNewsheader): added
	* file.c (loadSomething): Subject: as buffername
		(checkHeader): check buf->document_header
		(loadGeneralFile): reAnchorNewsheader
	* html.h (SCM_NNTP_GROUP): added
	* main.c (main): delete USE_NNTP in switch (newbuf->real_scheme)
		(chkNMIDBuffer): lowercase in url_like_pat
	* news.c (add_news_message): add scheme, group as arg
		(openNewsStream): check SCM_NNTP_GROUP
				check current_news.host
		(readNewsgroup): rewrite to support nntp:,news: extension
	* proto.h (reAnchorNewsheader): added
	* url.c (DefaultPort): add 119 for nntp group
		(parseURL2): rewrite to support nntp:,news: extension
		(_parsedURL2Str): add for SCM_NNTP_GROUP
		(openURL): rewrite to support nntp:,news: extension

2002-12-28  Fumitoshi UKAI  <ukai@debian.or.jp>

	* fix build errors
	* display.c (make_lastline_message): fix error for undef JP_CHARSET
	* news.c (readNewsgroup: `code' always required

	* gcc -Wall -Werror clean
	* file.c (loadHTMLstream): unused variable `p'
	* news.c (news_command): unused variable `c'
		(news_open): unused variable `tmp'
		(readNewsgroup): volatile page, qgroup, flag, start, end
				uninitialized variable `page'
	* url.c (openURL): unused variable `fw', `r', `stream'

2002-12-28  Fumitoshi UKAI  <ukai@debian.or.jp>

	* rc: nntpserver, nntpmode, max_news

2002-12-28  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03608] news:<newsgroup>
	* XMakefile (LSRCS): add news.c
		(LOBJS): add news.o
	* file.c (loadSOmething): don't UFclose() for nntp/news
		(readHeader): remove . at beginning of line for news
			img link to file:
		(loadGeneralFile): add SCM_NEWS_GROUP
			don't UFclose() for nntp/news
		(loadHTMLstream): . line check for news
		(loadBuffer): . line check for news
	* fm.h (NNTP_server): added
		(NNTP_mode): added
		(MaxNewsMessage): added
	* html.h (SCM_NEWS_GROUP): added
	* main.c (main): NNTP_server or NNTPSERVER
			NNTP_mode or NNTPMODE
			add SCM_NEWS_GROUP
		(followA): remove news:..@.. check
		(cmd_loadURL): remove news:...@.. check
		(w3m_exit): disconnectNews
	* proto.h (openNewsStream): added
		(readNewsgroup): added
		(disconnectNews): added
	* rc.c (CMT_NNTP_SERVER): added
		(CMT_NNTP_MODE): added
		(CMT_MAX_NEWS): added
		(params9): add nntpserver, nntpmode, max_news
	* url.c (DefaultPort): add 119 for news group
		(parseURL2): news:..@... is SCM_NEWS_GROUP
		(_parsedURL2Str): add news for SCM_NEWS_GROUP
		(openURL): cleanup SCM_NEWS
			add SCM_NEWS_GROUP
	* news.c: added
	
2002-12-28  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03607] mymktime: time zone support
	* etc.c (get_zone): added
		(mymktime): parse timezone

2002-12-28  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03606] Re: clean up displayBuffer()
	* main.c (followA): B_FORCE_REDRAW
		(follow_map): ditto

2002-12-27  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03604] http response code and content-type
	* file.c (loadGeneralFile): don't guessContentType if http errors

2002-12-26  Hiroyuki Ito <hito@crl.go.jp>

	* [w3m-dev 03602] Re: w3mimgdisplay core dump
	* w3mimgdisplay.c (DrawImage): check load_image, imageBuf[n].pixmap
	* w3mimg/fb/fb_w3mimg.c (w3mfb_show_image): check img->pixmap
	* w3mimg/x11/x11_w3mimg.c (x11_show_image): check img->pixmap

2002-12-26  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03601] Re: meta refresh
	* main.c (LastEvent): added
		(pushEvent): add to LastEvent

2002-12-26  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03600] Re: meta refresh
	* main.c (main): move add_download_list

2002-12-25  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03598] restore cursor when download list panel is updated.
	* main.c (stopDownload): delete->replace
		(ldDL): use DownloadListBuffer()

2002-12-25  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03597] Re: meta refresh
	* main.c (Event): next, linked list
		(N_EVENT_QUEUE): deleted
		(eventQueue): deleted
		(n_event_queue): deleted
		(CurrentEvent): added
		(main): event processing, add CurrentEvent linked list
		(pushEvent): add Event to CurrentEvent
		(SigAlarm): Currentbuf->event
	* proto.h (pushEvent): rename args

2002-12-25  Hiroaki Shimotsu <shim@d5.bs1.fc.nec.co.jp>

	* [w3m-dev 03596] LIST
	* anchor.c (link_list_panel): check internal

2002-12-25  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03595] tolower, toupper
	* Str.c (Strlower): TOLOWER
		(Strupper): TOUPPER
	* backend.c: delete ctype.h
	* etc.c (gethtmlcmd): TOLOWER
	* file.c (readHeader): TOLOWER
		(checkOverWrite): TOLOWER
		(guess_charset): TOLOWER
	* ftp.c: delete ctype.h
	* indep.c (strcasecmp): TOLOWER
		(strncasecmp): TOLOWER
		(strcasematch): TOLOWER
	* istream.c: include myctype.h
		(ssl_get_certificate): TOLOWER
	* mailcap.c (mailcapMatch): TOLOWER
	* main.c (_quitfm): TOLOWER
	* menu.c (accesskey_menu): TOLOWER
	* mimehead.c: include myctype.h
		(decodeWord): TOUPPER
	* mktable.c: delete ctype.h, include myctype.h
		(main): IS_SPACE
	* myctype.h: delete ctype.h
		(TOLOWER): added
		(TOUPPER): added
	* parsetagx.c (parse_tag): TOLOWER
	* rc.c (str_to_bool): TOLOWER
		(str_to_color): TOLOWER
	* regex.c: delete ctype.h, include myctype.h
		(TOLOWER): added
		(TOUPPER): added
		(regmatch1): TOLOWER
		(matchWhich): TOLOWER, TOUPPER

2002-12-22  Fumitoshi UKAI  <ukai@debian.or.jp>

	* mimehead.c (decodeWord): don't use toupper() (requires ctype.h)

2002-12-22  ABE Yuji <cbo46560@pop12.odn.ne.jp>

	* [w3m-dev 03594] mime decode with encoding named 'b' & 'q'
	* mimehead.c (decodeWord): toupeer(method)

2002-12-22  Fumitoshi UKAI  <ukai@debian.or.jp>

	* file.c (discardline): not used

2002-12-22  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03593] Re: segmentation fault when <title> exist after <img>
	* file.c (cur_title): added
		(save_obuf): deleted
		(process_title): added
		(process_n_title): added
		(feed_title): added
		(HTMLtagproc1): rewrite HTML_TITLE, HTML_N_TITLE, 
				HTML_TITLE_ALT, HTML_N_HEAD, HTML_HEAD
		(HTMLlineproc0): check RB_TITLE
		(completeHTMLstream): add RB_TITLE
		(loadHTMLstream): initialize cur_title

2002-12-21  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03590] segmentation fault when <title> exist after <img>
	* file.c (save_line): deleted
		(save_prevchar): deleted
		(save_obuf): added
		(HTMLtagproc1): bcopy save_obuf

2002-12-20  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03588] include time.h in ftp.c
	* ftp.c: include <time.h>

2002-12-19  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03583] w3mman
	* scripts/w3mman/README: W3MMAN_W3M, W3MMAN_MAN
	* scripts/w3mman/w3mman.1.in: add ENVIRONMENT
	* scripts/w3mman/w3mman.in: $ENV{'W3MMAN_W3M'}, $ENV{'W3MMAN_MAN'}
	* scripts/w3mman/w3mman2html.cgi.in: $ENV{'W3MMAN_MAN'}
					hyphenation

2002-12-19  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03582] add config options graphic_char and use_proxy
	* NEWS: rc: graphic_char, use_proxy
	* fm.h (Do_no_use_proxy): macro using use_proxy
		(use_proxy): added
		(no_graphic_char): deleted
		(UseGraphicChar): added
	* main.c (main): UseGraphicChar, use_proxy
	* rc.c (CMT_GRAPHIC_CHAR): added
		(CMT_USE_PROXY): added
		(params1): graphic_char
		(params4): use_proxy
	* terms.c (graph_ok): UseGraphicChar

2002-12-19  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03581] MARK_URL, MARK_WORD
	* main.c (chkWORD): accept ()[]{}&|;*?$ as anchor

2002-12-19  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03580] Re: clean up displayBuffer()
	* main.c (main): force redraw

2002-12-19  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03579] Re: clean up displayBuffer()
	* display.c (displayBuffer): re calcTabPos() when force or image redraw
	* main.c (_mark): force redraw
		(reinit): redraw image
	* search.c (backwardSearch): found_last

2002-12-19  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03584] Re: meta refresh
	* main.c (DefaultAlarm): fix initialize value

2002-12-19  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03578] meta refresh
	* file.c (getMetaRefreshParam): do nothing if refresh_interval < 0
		(HTMLtagproc1): rewrite refresh
		(HTMLlineproc2body): add HTML_META
	* fm.h (BP_RELOAD): deleted
		(Buffer): add event
		(AL_IMPLICIT_DONE): deleted
		(AL_ONCE): deleted
		(AL_RESTORE): deleted
		(AlarmEvent): added
	* main.c (AlarmEvent): deleted
		(PrevAlarm): deleted
		(DefaultAlarm): added
		(CurrentAlarm): point to DefaultAlarm
		(main): CurrentKeyData, CurrentCmdData
			handle Currentbuf->event
		(SigAlarm): CurrentAlarm is pointer
		(copyAlarmEvent): deleted
		(setAlarm): setAlarmEvent pass &DefaultAlarm
		(setAlarmEvent): arg event
		(ldDL): no BP_RELOAD
	* proto.h (setAlarmEvent): arg event

2002-12-18  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03577] incorrect table width
	* table.c (dv2sv): fix move direction
		(set_integered_width): ditto
		(check_table_height): ditto
		(feed_table_tag): ditto

2002-12-17  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03576] Re: news support
	* anchor.c (_put_anchor_news): convert to document code and quote
		(_put_anchor_all): convert to document code
	* main.c (chkNMIDBuffer): change url_like_pat

2002-12-15  Fumitoshi UKAI  <ukai@debian.or.jp>

	* NEWS: rc: preserve_timestamp

2002-12-15  Takahashi Youichirou <nikuq@hk.airnet.ne.jp>

	* [w3m-dev 03574] Re: preserve timestamp
	* ftp.c (getFtpModtime): don't call localtime,gettime in same expr

2002-12-15  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03573] Re: Bug#172851: w3m: In form, takes hostname as baseref for relative URI action
	* url.c (parseURL): if empty is URL, base URL is used

2002-12-15  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03571] base=0 -> 10 in toNumber()
	* parsetagx.c (toNumber): strtol base=10

2002-12-15  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03570] meta tag in frame
	* frame.c (createFrameFile): fix meta equiv parse in frame

2002-12-15  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03569] Re: preserve timestamp
	* file.c (loadGeneralFile): PresetveTimestamp
		(_doFileCopy): is_pipe, PreserveTimestamp
		(doFileSave): PreserveTImestamp
	* fm.h (PreserveTimestamp): added
	* rc.c (CMT_PRESERVE_TIMESTAMP): added
		(params3): add preserve_timestamp

2002-12-15  Takahashi Youichirou <nikuq@hk.airnet.ne.jp>

	* [w3m-dev 03568] Re: preserve timestamp
	* etc.c (USE_COOKIE): moved
	* file.c (utime.h): include
		(setModtime): added
		(loadGeneralFile): set f.modtime
		(_doFileCopy): setModtime()
		(doFileSave): setModtime()
	* ftp.c (getFtpModtime): added
		(openFTP): pass URLFile, set modtime
	* html.h (URLFile): add modtime
	* proto.h (openFTP): arg URLFile *uf
		(mymktime): always
	* url.c (init_stream): initialize modtime
		(openFTPStream): pass URLFile 
		(openURL): openFTPStream
	
2002-12-13  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03567] default keybinding
	* doc-jp/keymap.default (C-q,C-t,(,),+,-,D,L,T,m,r,{,|,},
				M-c,M-k,M-l,M-m,M-o,M-t): assign
	* doc/keymap.default: ditto
	* keybind.c: ditto
	* doc-jp/keymap.lynx (C-q,C-t,C-u,(,),,,.,;,D,L,T,W,[,],
				m,r,w,{,|,},M-<,M->,M-W,M-c,M-g,
				M-k,M-l,M-m,M-n,M-o,M-p,M-t,M-w): assign
	* doc/keymap.lynx: ditto
	* keybind_lynx.c: ditto
	* doc-jp/menu.default (Main): Select,SelectTab,TAB_LINK
	* doc/menu.default: ditto

2002-12-13  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03566] configure prefix
	* configure: add X prefix for expr args

2002-12-13  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03564] clean up displayBuffer()
	* display.c (delayed_msg): static
		(drawAnchorCursor): static
		(redrawBuffer): define
		(redrawNLine): static
		(redrawLine): static
		(redrawLineRegion): static
		(do_effects): static
		(do_color): static
		(make_lastline_link): added
		(make_lastline_message): added
		(displayBuffer): rewrite with make_lastline_message()
		(drawAnchorCursor0): added
		(drawAnchorCursor): added
	* main.c (main): remove onA()
		(keyPressEventProc): remove onA()
		(disp_srchresult): static
			disp_message TRUE
		(isrch): remove onA()
		(srch): displayBuffer
			remove onA()
		(srch_nxtprv): remove onA()
		(pipeBuf): disp_message TRUE
		(pipesh): disp_message TRUE
		(readsh): disp_message TRUE
		(_mark): dispBuffer
		(_followForm): break, always dispBuffer
		(drawAnchorCursor0): deleted
		(drawAnchorCursor): deleted
		(onA): deleted
		(anchorMn): delete onA()
		(svBuf): displayBuffer B_NORMAL
		(reload): disp_err_message TRUE
			displayBuffer
		(rFrame): displayBuffer
		(invoke_browser): displayBuffer
		(extbrz): disp_err_message TRUE
		(process_mouse): onA -> displayBuffer
		(movMs): delete onA()
		(menuMs): onA -> displayBuffer
		(closeTMs): disp_message TRUE
		(wrapToggle): disp_message TRUE
		(execdict): disp_message TRUE
		(SigAlarm): displayBuffer, delete onA
		(reinit): displayBuffer
	* map.c (getCurrentMapLabel): deleted
		(retrieveCurrentMapArea): added
	* proto.h (redrawBuffer): deleted
		(redrawNLine): deleted
		(redrawLine): deleted
		(redrawLineRegion): deleted
		(do_effects): deleted
		(do_color): deleted
		(message_list): deleted
		(getCurrentMapLabel): deleted
		(retrieveCurrentMapArea): added

2002-12-13  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03563] Directory Traversal Vulnerabilities in FTP Clients
	* file.c (guess_save_name): pass guess_filename

2002-12-13  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03562] #undef BUFINFO
	* config.h.dist (BUFINFO): undef
	* configure (use_bufinfo): n
	* main.c (saveBufferInfo): ifdef USE_BUFINFO
	* proto.h (reloadBuffer): if 0
		(saveBufferInfo): ifdef USE_BUFINFO

2002-12-12  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03559] Re: use select instead of signal for loading images
	* fm.h (Buffer): add image_loaded
	* image.c (W3M_SIGIMG): deleted
		(image_lock): deleted
		(need_load_image): deleted
		(load_image_handler): deleted
		(load_image_next): deleted
		(getAllImage): check image_loaded
		(loadImage): delete image_lock
			delete IMG_FLAG_NEXT
	* main.c (main): check image_loaded
	* proto.h (sleep_till_anykey): return int
	* terms.c (sleep_till_anykey): return int

2002-12-12  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03558] long title is displayed over tab region
	* display.c (redrawNLine): check l < 0
				use addnstr

2002-12-11  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03554] Re: Undo/Redo
	* doc/README.func (REDO): added
			(UNDO): added
	* doc-jp/README.func (REDO): added
			(UNDO): added
	* scripts/w3mhelp.cgi.in: (Page/Cursor motion): add undoPos, redoPos

2002-12-11  Fumitoshi UKAI  <ukai@debian.or.jp>

	* NEWS: func: REDO, UNDO

2002-12-11  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03553] Undo/Redo
	* fm.h (Buffer): add undo
		(BufferPos): added
	* funcname.tab (REDO): added
			(UNDO): added
	* main.c (save_buffer_position): added
		(main): save_buffer_position
		(resetPos): added
		(undoPos): added
		(redoPos): added
	* proto.h (undoPos): added
		(redoPos): added

2002-12-11  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03552] Re: link list
	* menu.c (accesskey_menu): check hseq
		(list_menu): check hseq

2002-12-11  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03551] Re: External URI loader
	* file.c (loadGeneralFile): fix SCM_UNKNONWN

2002-12-10  Fumitoshi UKAI  <ukai@debian.or.jp>

	* NEWS: func: LIST, LIST_MENU, MOVE_LIST_MENU

2002-12-10  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03549] link list
	* anchor.c (addMultirowsImg): add a->slave
		(getAnchorText): arg AnchorList *al
		(link_list_panel): added
	* funcname.tab (LIST): added
		(LIST_MENU): added
		(MOVE_LIST_MENU): added
	* main.c (anchorMn): added
		(accessKey): use anchorMn()
		(listMn): added
		(movlistMn): added
		(linkLst): added
	* map.c (searchMapList): not static
	* menu.c (accesskey_menu): pass AnchorList to getAnchorText()
		(lmKeys): added
		(lmKeys2): added
		(nlmKeys): added
		(nlmKeys2): added
		(lmGoto): added
		(lmSelect): added
		(list_menu): added
	* proto.h (linkLst): added
		(listMn): added
		(movlistMn): added
		(list_menu): added
		(searchMapList): added
		(getAnchorText): arg AnchorList *al
		(link_list_panel): added
	* doc/README.func (LIST): added
		(LIST_MENU): added
		(MOVE_LIST_MENU): added
	* doc-jp/README.func (LINK_MENU): fix message
		(LIST): added
		(LIST_MENU): added
		(MOVE_LIST_MENU): added
	* scripts/w3mhelp.cgi.in (Page/Cursor motion): add movlistMn
		(Hyperlink operation): add linkLst linkMn

2002-12-10  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03548] close anchor before <img align=...>
	* file.c (process_img): use div_int
		(process_hr): use div_int
		(process_idattr): don't close_anchor
		(CLOSE_A): added
		(HTMLtagproc1): </p> close anchor
		  <dl>,<ul>,<ol>,<blockquote>,<li>,<dt>,<dd> close anchor
		  <noframes> close anchor
		  <pre> close anchor
		  <center> close anchor
		  <div> close anchor
		  add DIV_INT
		  <form> close anchor
	* html.c (TagMAP): add div_int
	* html.h (HTML_DIV_INT): added
		(HTML_N_DIV_INT): added
	* tagtable.tab (div_int): added
			(/div_int): added

2002-12-10  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03544] Can't display "1&2" in table
	* file.c (HTMLlineproc0): continue -> R_ST_NORMAL

2002-12-10  Fumitoshi UKAI  <ukai@debian.or.jp>

	* file.c (loadGeneralFile): missing `{', fix indent for SCM_UNKNOWN
	* main.c (set_buffer_environ): unused variables `prev_col'

2002-12-10  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03543] External URI loader (Debian closes: Bug#169962)
	* file.c (loadGeneralFile): rewrite SCM_UNKNOWN

2002-12-10  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03542] news support
	* file.c (loadGeneralFile): NNTP as well as NEWS
	* indep.c (url_unquote_char): check % hex hex
		(url_unquote): unquote except \0, \n, \r

2002-12-10  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03541] Re: W3M_LINE_NO / W3M_CURRENT_COLUMN
	* main.c (goLine): check searchKeyData()
		(set_buffer_environ): W3M_CURRENT_*

2002-12-07  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03536] <del>, <s>
	* file.c (HTMLtagproc1): <s>..</s> is [S:...:S]
		(HTMLtagproc0): <del> will delete <table>
	* fm.h (RB_S): added
	* html.c (TagMAP): <s>,</s>
			move <internal>, </internal>
	* html.h (HTML_S): added
		(HTML_N_S): added
		(HTML_INTERNAL): renumed
		(HTML_N_INTERNAL): ditto
		(MAX_HTMLTAG): add 2
	* rc.c (CMT_DISP_INS_DEL): update
	* table.c (feed_table_tag): add HTML_S, HTML_N_S
	* table.h (TBLM_S): added
		(TBLM_ANCHOR): renum
	* tagtable.tab: (strike, s): HTML_S
		(/strike, /s): HTML_N_S

2002-12-07  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03535] close anchor, quote <
	* file.c (HTMLtagproc1): close_anchor
	* frame.c (createFrameFile): quote <

2002-12-07  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03534] cleanup file.c
	* file.c (HTMLlineproc2body): cleanup

2002-12-06  Fumitoshi UKAI  <ukai@debian.or.jp>

	* version.c.in: w3m/0.3.2.2+cvs
	* NEWS: 0.3.2.2

2002-12-06  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* security fix
	* file.c (process_img): html_quote()

2002-12-06  Takahashi Youichirou <nikuq@hk.airnet.ne.jp>

	* [w3m-dev 03530] save history
	* history.c (saveHistory): save tmpfile and rename

2002-12-06  Fumitoshi UKAI  <ukai@debian.or.jp>

	* NEWS: func: ACCESSKEY, LINK_MENU

2002-12-06  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03529] Support of title, accesskey of anchor
	* anchor.c (putAnchor): arg title, key 
				initialize slave
		(registerHref): arg title, key
		(registerName): title = NULL, key = '\0'
		(registerForm): title = NULL, key = '\0'
		(_put_anchor_news): title = NULL, key = '\0'
		(_put_anchor_all): title = NULL, key = '\0'
		(addMultirowsImg): register title, accesskey
		(addMultirowsForm): title = NULL, key = '\0'
		(getAnchorText): added
	* display.c (displayBuffer): show title if any
	* file.c (set_breakpoint): use bcopy
		(back_to_breakpoint): use bcopy
		(flushline): s/anchor/anchor.url/
			     s/anchor_hseq/anchor.hseq/
			     s/anchor_target/anchor.target/
			     add anchor.*
		(close_effect0): s/anchor/anchor.url/
				s/anchor_hseq/anchor.hseq/
		(close_anchor): use bzero
		(process_img): ATTR_TITLE, 
		(HTMLtagproc1): s/anchor/anchor.url/
				target, referer, title, accesskey, hseq
		(HTMLlineproc2body): ATTR_TITLE, ATTR_ACCESSKEY
		(init_henv): use bzero
	* fm.h (Anchor): add title, accesskey, slave
		(Breakpoint): use Anchor
		(struct readbuffer): use Anchor
	* funcname.tab (ACCESSKEY): added
		(LINK_MENU): added
	* html.c (ALST_A): add ATTR_TITLE, ATTR_ACCESSKEY
		(ALST_IMG): add ATTR_TITLE
		(ALST_IMG_ALT): add ATTR_TITLE
		(AttrMAP): add accesskey, renum
	* html.h (ATTR_ACCESSKEY): added
		(ATTR_*): renum 50->60
	* main.c (linkMn): added
		(accessKey): added
	* menu.c (LinkMenu): deleted
		(LinkV): deleted
		(initLinkMenu): deleted
		(lmGoURL): deleted
		(popupMenu): delete initLinkMenu()
		(initMenu): delete Link
		(link_menu): added
		(accesskey_menu): added
	* proto.h (linkMn): added
		(link_menu): added
		(accessKey): added
		(accesskey_menu): added
		(putAnchor): arg title, key
		(registerHref): arg title, key
		(registerImg): arg title
		(getAnchorText): added
	* doc/README.func (ACCESSKEY): added
			(LINK_MENU): added
	* doc-jp/README.func (ACCESSKEY): added
			(LINK_MENU): added
	* scripts/w3mhelp.cgi.in (Hyperlink operation): add linkMn accessKey

2002-12-06  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03528] area without alt
	* map.c (getCurrentMapLabel): when a->alt is empty 

2002-12-06  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03527] fix frame.c
	* frame.c (createFrameFile): move need_reconstruct

2002-12-06  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03526] Re: fix doc*/README.func, w3mhelp.cgi.in
	* scripts/w3mhelp.cgi.in: (load_keymap): 
			always upcase ESC,SPC,TAB,DEL,UP,DOWN,RIGHT,LEFT

2002-12-05  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03525] Re: sync option
	* func.c (initKeymap): delete check force, keymap_initialized

2002-12-05  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03524] fix doc*/README.func, w3mhelp.cgi.in
	* doc/README.func (REINIT): added
	* doc-jp/README.func (REINIT): added
	* scripts/w3mhelp.cgi.in (Page/Cursor motion): 
				add moveR1 movL1 movD1 movU1 ldown1 lup1
		(File/Stream operation): add pipeBuf
		(Miscellany): add dispVer execCmd reinit
		(load_keymap): rewrite
		(norm_key): rewrite
	
2002-12-05  Fumitoshi UKAI  <ukai@debian.or.jp>

	* NEWS: rc: display_ins_del

2002-12-05  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03523] Re: del/ins
	* file.c (HTMLtagproc1): check displayInsDel, RB_DEL
	* fm.h (RB_DEL): added
		(displayInsDel): added
	* rc.c (CMT_DISP_INS_DEL): added
		(display_ins_del): added
	* table.c (feed_table_tag): check displayInsDel, TBLM_DEL
	* table.h (TBLM_DEL): added
		(TBLM_ANCHOR): renum
		(struct table_mode): unsigned int pre_mode

2002-12-05  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03522] newline around <pre>..</pre>
	* file.c (HTMLtagproc1): break before <pre>/after </pre> if necessary

2002-12-05  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03521] sync option
	* display.c (redrawNLine): calcTabPos()
	* func.c (initKeymap): return if keymap_initialized
	* main.c (calcTabPos): no more static
		(main): move sync_with_option, initCookie, setLocalCookie
			move backend
			move initKeymap, initMouseAction, initMenu
			remove calcTabPos
			add displayBuffer
		(numTab): static
		(deleteTab): delete calcTabPos
		(moveTab): delete calcTabPos
	* proto.h (calcTabPos): added
		
2002-12-05  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev-en 00841] Re: w3m segfaults if the terminal is not writable
	* terms.c (reset_tty): don't close stderr

2002-12-04  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03516] Re: 2 stroke keybinding
	* func.c (keymap_initialized): initialized to FALSE
		(setKeymap): push KeyData

2002-12-04  Fumitoshi UKAI  <ukai@debian.or.jp>

	* NEWS: 2 stroke keybinding
		func: MULTIMAP

2002-12-04  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03515] 2 stroke keybinding
	* func.c (setKeymap): add map
				K_MULTI support
		(getKey2): added
		(getKey): rewrite to use getKey2()
	* func.h (K_MULTI): added
		(MULTI_KEY): added
	* funcname.tab (MULTIMAP): added
	* main.c (escKeyProc): added
		(escmap): rewrite to use escKeyProc()
		(escbmap): rewrite to use escKeyProc()
		(escdmap): rewrite to use escKeyProc()
		(multimap): added
	* proto.h (multimap): added

2002-12-04  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03514] Effect of tab title
	* display.c (redrawNLine): rewrite, do without clrtoeolx()

2002-12-04  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03512] Re: HTML parser
	* table.c (feed_table_tag): HTML_N_SELECT, HTML_N_CAPTION

2002-12-04  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03510] waiting time when cookie was rejected.
	* file.c (readHeader): display cookie warnings for only 1 sec 

2002-12-04  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03509] HTML parser
	* file.c (close_textarea): delete
		(HTMLtagproc1): rewrite 
				delete HTML_EOL
				move HTML_LISTING, HTML_N_LISTING
				add HTML_PRE_PLAIN, HTML_N_PRE_PLAIN
				add HTML_PLAINTEXT
				end_tag
		(HTMLlineproc0): s/str/line/
				rewrite
		(completeHTMLstream): </textarea> if necessary
	* fm.h (struct readbuffer): delete ignore_tag
				add end_tag
		(RB_XMPMODE): deleted
		(RB_LSTMODE): deleted
		(RB_SCRIPT): added
		(RB_STYLE): added
		(RB_*): renumber
		(R_ST_EOL): added
		(R_ST_*): renumber
		(ST_IS_TAG): check R_ST_EOL
	* form.c (form_fputs_decode): remove <eol> handling
	* frame.c (newFrame): remove_space()
		(CASE_TABLE_TAG): added
		(createFrameFile): rewrite
	* html.c (TagMAP): delete eol
			add pre_plain, /pre_plain
	* html.h (HTML_EOL): deleted
		(HTML_PRE_PLAIN): added
		(HTML_N_PRE_PLAIN): added
	* table.c (visible_length): rewrite
		(visible_length_plain): added
		(maximum_visible_length_plain): added
		(do_refill): R_ST_EOL
		(table_close_select): end_tag
		(table_close_textarea): end_tag
		(TAG_ACTION_PLAIN): added
		(feed_table_tag): rewrite
		(feed_table): rewrite
	* table.h (TBLM_*) reassign
		(struct table_mode): delete ignore_tag
				add end_tag
	* tagtable.tab (eol): deleted
			(pre_plain): added
			(/pre_plain): added

2002-12-03  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03505] Re: coredump when ssl error
	* file.c (loadGeneralFile): term_raw(), SIGINT before retry

2002-12-03  AIDA Shinra <aida-s@jcom.home.ne.jp>

	* [w3m-dev 03504] coredump when ssl error
	* file.c (loadGeneralFile): term_raw, SIGINT

2002-12-03  Fumitoshi UKAI  <ukai@debian.or.jp>

	* remove ununsed variables
	* file.c (addLink): unused variable `t'
	* menu.c (lmGoURL): unused variable `pu'

2002-12-03  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03501] link tag support
	* buffer.c (reshapeBuffer): initialize formlist, linklist,
					maplist, hmarklist, imarklist
	* file.c (addLink): added
		(HTMLlineproc2body): add HTML_LINK
		(loadHTMLstream): use HTMLlineproc0 not in R_ST_NORMAL
		(reloadBuffer): initialize linklist, maplist, 
				hmarklist, imarklist
	* fm.h (LINK_TYPE_NONE): added
		(LINK_TYPE_REL): added
		(LINK_TYPE_REV): added
		(LinkList): added
		(Buffer): add linklist
	* html.c (ALST_LINK): added
		(TagMAP): add link
		(AtrMAP): add rel, rev, title
	* html.h (HTML_LINK): added
		(ATTR_REL): added
		(ATTR_REV): added
		(ATTR_TITLE): added
	* map.c (append_map_info): anchor
		(append_link_info): added
		(page_info_panel): append_link_info
	* menu.c (LinkMenu): added
		(linkV): added
		(initLinkMenu): added
		(lmGoURL): added
		(popupMenu): initLinkMenu()
		(initMenu): w3mMenuList new 4
				add "Link"
	* tagtable.tab (link): added

2002-11-29  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m bug] internal tag
	* display.c (loadHTMLstream): HTMLlineproc0 internal

2002-11-29  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03498] Re: parse <!-- ... --> in <script>
	* file.c (HTMLlineproc0): tag in textarea
	* frame.c (createFrameFile): fix comment processing in frame

2002-11-28  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03497] incorrect image size
	* image.c (getImageSize): invoke w3mimgdiplay -size instead of "5;..."
	* w3mimgdisplay.c (defined_size): added
			(main): if defined_size get_image_size()
			(GetOption): -size

2002-11-28  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03496] parse <!-- ... --> in <script>
	* etc.c (read_token): check <pre>
	* file.c (HTMLlineproc0): remove comment processing
			check pre mode
			comment processing move

2002-11-28  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03495] local CGI can't work
	* local.c: #include "hash.h"
		(set_environ): env string put in hash

2002-11-28  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03494] Number of line is few when pager mode.
	* display.c (redrawLine): buf->rootY

2002-11-28  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03493] scroll menu
	* menu.c (mLineU): added
		(mLineD): added
		(MenuKeymap): C-r, C-s, J, K
		(mouse_scroll_line): added
		(process_mMouse): drag
			BTN4, BTN5
	* doc-jp/README.menu: update

2002-11-27  Fumitoshi UKAI  <ukai@debian.or.jp>

	* version.c.in: w3m/0.3.2.1+cvs

2002-11-27  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03491] Re: case insensitive regexp search
	* regex.c (matchWhich): tolower

2002-11-27  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* use local_cookie for support local-cgi commands
	* file.c (loadGeneralFile): pass Local_cookie to DirBufferCommand
	* fm.h (Local_cookie): Str
	* local.c (setLocalCookie): Str, set_environ()
		(set_cgi_environ): remove LOCAL_COOKIE
	* main.c (ldhelp): pass Local_cookie
		(adBmark): ditto
	* rc.c (optionpanel_src1): cookie
		(load_option_panel): pass Local_cookie
	* w3mbookmark.c (main): check Local_cookie
	* w3mhelperpanel (main): ditto
	* scripts/dirlist.cgi.in: ditto
	* scripts/w3mhelp.cgi.in: ditto
	* scripts/multipart/multipart.cgi.in: ditto

2002-11-27  Fumitoshi UKAI  <ukai@debian.or.jp>

	* frame.c (createFrameFile): html_quote()

2002-11-27  Hiroyuki Ito <hito@crl.go.jp>

	* [w3m-dev 03488] meta refresh in frame
	* file.c (getMetaRefreshParam): added
		(HTMLtagproc1): use getMetaRefreshParam()
	* frame.c (createFrameFile): check meta refresh
	* proto.h (getMetaRefreshProgram): added

2002-11-27  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* w3m 0.3.2.1 security fix
	* frame.c (createFrameFile): html_quote()

2002-11-27  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03486] fix of displayLineInfo
	* display.c (displayBuffer): don't divide by 0

2002-11-26  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03485] fix mouse menu position
	* main.c (do_mouse_action): use anchor_map is no active_map
			check top left corner
		(FRAME_WIDTH): added
		(menuMs): adjust cursorX using FRAME_WIDTH

2002-11-26  Fumitoshi UKAI  <ukai@debian.or.jp>

	* NEWS: func: CLOSE_TAB_MOUSE, MENU_MOUSE, MOVE_MOUSE, TAB_MOUSE

2002-11-26  Fumitoshi UKAI  <ukai@debian.or.jp>

	* doc/README.mouse_menu: deleted
	* doc/README.mouse: added
	* doc-jp/README.mouse_menu: deleted
	* doc-jp/README.mouse: added

2002-11-26  Fumitoshi UKAI  <ukai@debian.or.jp>

	* map.c (follow_map_menu): MapArea *a is used ifdef MENU_MAP
	* func.c (initMouseAction): remove unsed variables: x, width, map

2002-11-26  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03478] mouse action configuration
	* display.c (displayBuffer): mouse_menu -> mouse_action.menu_str
				mouse_action.lastline_str
			(redrawNLine): mouse_menu -> mouse_action.menu_str
	* fm.h (MouseMenuMap): deleted
		(MouseActionMap): added
		(MouseAction): added
		(mouse_action): added
	* func.c (default_mouse_action): added
		(setMouseAction0): added
		(setMouseAction1): added
		(setMouseAction2): added
		(initMouseMenu): deleted
		(initMouseAction): added
	* funcname.tab (CLOSE_TAB_MOUSE): added
		(MENU_MOUSE): added
		(MOVE_MOUSE): added
		(TAB_MOUSE): added
	* main.c (main): initMouseMenu() -> initMouseAction()
			mouse_menu -> mouse_action
		(posTab): mouse_menu -> mouse_action
			check y > LastTab->y
		(mouse_menu_action): deleted
		(do_mouse_action): added
		(process_mouse): mouse_menu -> mouse_action
			do_mouse_action()
		(movMs): added
		(menuMs): added
		(tabMs): added
		(closeTMs): added
		(reinit): initMouseMenu() -> initMouseAction()
			resource: MOUSE_MENU -> MOUSE
		(calcTabPos): mouse_menu -> mouse_action
	* menu.c (mainMn): mouse_menu -> mouse_action
		(selMn): mouse_menu -> mouse_action
		(tabMn): mouse_menu -> mouse_action
		(initMenu): add SelectTag to w3mMenuList
	* proto.h (movMs): added
		(menuMs): added
		(tabMs): added
		(closeTMs): added
		(initMouseMenu): deleted
		(initMouseAction): added
	* rc.c (sync_with_option): initMouseMenu() -> initMouseAction()
	* doc/README.func (CLOSE_TAB_MOUSE): added
		(MENU_MOUSE): added
		(MOVE_MOUSE): added
		(TAB_MOUSE): added
	* doc-jp/README.func (CLOSE_TAB_MOUSE): added
		(MENU_MOUSE): added
		(MOVE_MOUSE): added
		(TAB_MOUSE): added

2002-11-26  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03476] Re: Bug#170506: w3m: Unable to use mozilla bugzilla
	* file.c (HTMLtagproc1): initialize ignore_tag in table_mode
		(HTMLtagproc0): check table_level
	* table.c (feed_table_tag): set mode->ignore_tag
	* table.h (struct table_mode): add ignore_tag

2002-11-25  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03471] Re: SETPGRP()
	* configure: SETPGRP() always defined
	* proto.h (close_all_fds): added
		(myExec): #ifdef HAVE_SETPGRP
	* etc.c (close_all_fds): added
		(myExec): #ifdef HAVE_SETPGRP
		(mySystem): #ifndef -> #ifdef
	* file.c (_doFileCopy): delete #ifdef HAVE_SETPGRP
		(doFileSave): ditto
	* image.c (openImgdisplay): delete #ifdef HAVE_SETPGRP
				use close_all_fds()
	* search.c (open_migemo): ditto

2002-11-23  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03466] Re: background download when external viewer
	* file.c (doExternal): UFclose(&uf);

2002-11-23  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03464] Re: case insensitive regexp search
	  (rewrite [w3m-dev 03462] by Hiroyuki Ito <hito@crl.go.jp>)
	* regex.c (matchWhich): add int
		(newRegex0): igncase
		(regmatch1): matchWhich with re->mode & RE_IGNCASE
		(matchWhich): add igncase

2002-11-23  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03459] background download when external viewer
	* etc.c (myExec): added
		(mySystem): rewrite to use myExec()
	* file.c (doExternal): run background if BackgroundExtViewer
	* proto.h (myExec): added

2002-11-23  Fumitoshi UKAI  <ukai@debian.or.jp>

	* doc/README.mouse_menu: delete column 10 limit
	* doc-jp/README.mouse_menu: ditto

2002-11-23  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03458] Re: mouse menu
	* display.c (displayBuffer): nTab2 -> nTab, mouse_menu
	* fm.h (nTab2): deleted
		(MouseMenuMap): added
		(MouseMenu): added
		(LIMIT_MOUSE_MENU): added
	* func.c (initMouseMenu): delete mouse_menu_map initialization
			conv_from_system
			mouse_menu->width
	* main.c (main): mouse_menu->in_action = FALSE
		(posTab): check mouse_menu
		(mouse_menu_action): add y arg
			mouse_menu_width check
		(process_mouse): nTab2 -> nTab, mouse_menu
		(nTabLine): deleted
		(calcTabPos): check mouse_menu
	* menu.c (mainMn): x, y
		(selMn): mouse_menu check
		(tabMn): mosue_menu check
	* proto.h (nTabLine): deleted

2002-11-22  Fumitoshi UKAI  <ukai@debian.or.jp>

	* NEWS: options: -N

2002-11-22  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03457] open URL of command line on each new tabs
	* main.c (delBuffer): static
		(fusage): -N
		(main): add open_new_tab for -N

2002-11-22  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03456] tiling of tab
	* display.c (displayBuffer): use LastTab->y
		(redrawNLine): fix column calculation
	* fm.h (TabBuffer): add x1, x2, y
	* main.c (calcTabPos): added
		(main): calcTabPos()
		(mouse_scroll_line): rewrite
		(process_mouse): use LastTab->y
		(_newT): calcTabPos()
		(calcTabPos): added
		(deleteTab): calcTabPos()
		(moveTab): calcTabPos()

2002-11-22  Fumitoshi UKAI  <ukai@debian.or.jp>

	* doc/README.mouse_menu: added
	* doc-jp/README.mouse_menu: added

2002-11-22  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03455] mouse menu
	* configure (config.h): MOUSE_FILE
	* display.c (displayBuffer): nTab -> nTab2, N_TAB -> nTabLine()
		(redrawNLine): nTab -> nTab2, N_TAB -> nTabLine()
				mouse_menu support
	* fm.h (nTab2): added
		(N_TAB): deleted
		(NO_TABBUFFER): added
		(struct _MouseMenu): added
		(mouse_menu_map): added
		(mouse_menu): added
	* func.c (initMouseMenu): added
	* main.c (main): initMouseMenu()
		(posTab): mouse_menu support
		(mouse_menu_action): added
		(process_mouse): mouse_menu support
		(reinit): initMouseMenu()
		(nTabLine): added
		(moveTab): check NO_TABBUFFER
	* proto.h (nTabLine): added
		(initMouseMenu): added
	* rc.c (sync_with_option): initMouseMenu()

2002-11-22  Fumitoshi UKAI  <ukai@debian.or.jp>

	* NEWS: func: NEXT, PREV

2002-11-22  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03454] next / previous buffer
	* funcname.tab (NEXT): added
			(PREV): added
	* main.c (nextBf): added
		(prevBf): added
	* proto.h (nextBf): added
		(prevBf): added
	* doc/README.func (NEXT): added
			(PREV): added
	* doc-jp/README.func (NEXT): added
			(PREV): added
	* scripts/w3mhelp.cgi.in (Buffer operation): nextBf prevBf

2002-11-20  Fumitoshi UKAI  <ukai@debian.or.jp>

	* NEWS: rc: image_map_list

2002-11-20  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03452] image map
	* display.c (displayBuffer): use getCurrentMapLabel()
	* fm.h (MapArea): delete ifdef MENU_MAP
		(image_map_list): added
	* main.c (followA): don't call retrieveCurrentImg() ifdef USE_IMAGE
		use retrieveCurrentMap() ifndef USE_IMAGE
		(_followForm): indent
		(drawAnchorCursor0): add AnchorList
		(drawAnchorCuror): pass AnchorList to drawAnchorCursor0
		(follow_map): follow_map_panel
	* map.c (searchMapList): added
		(nearestMapArea): n, min default value to -1
		(searchMapArea): added
		(getCurrentMapLabel): added
		(getMapXY): moved
		(retrieveCurrentMap): added
		(follow_map_menu): parsed_tagarg -> name
				rewrite to search map list/area
		(follow_map_panel): parsed_tagarg -> name
				rewrite to search map list/area
		(newMapArea): delete ifdef MENU_MAP
		(append_map_info): added
		(page_info_panel): append_map_info
	* proto.h (follow_map_menu): parsed_tagarg -> name
		(follow_map_panel): parsed_tagarg -> name
		(getCurrentMapLabel): added
		(retrieveCurrentMap): added
	* rc.c (CMT_IMAGE_MAP_LIST): added
		(image_map_list): added

2002-11-20  Yoshinobu Sakane <sakane@d4.bsd.nes.nec.co.jp>

	* [w3m-dev 03450] Re: cygwin console on Win9X
	* terms.c (mouse_init): ifdef __CYGWIN__
		(mouse_end): ditto

2002-11-19  Fumitoshi UKAI  <ukai@debian.or.jp>

	* ftp.c (ftp_fclose): void return 

2002-11-19  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>
	
	* [w3m-dev 03444] download from ftp.
	* file.c (FTPhalfclose: static
		(loadGeneralFile): UFclose
				FTPhalfclose for SCM_FTP
				UFclose before signal back
		(loadImageBuffer): UFclose before signal back
		(openGeneralPagerBuffer): UFclose
	* ftp.c (ftp_fclose): added
		(Ftpfclose): dont read response(), but ftp_fclose()
		(FtpBye): ftp_fclose()

2002-11-19  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03449] Add DOWNLOAD_LIST to doc*/README.func and scripts/w3mhelp.cgi.in
	* doc-jp/README.func (DOWNLOAD_LIST): added
	* doc/README.func (DOWNLOAD_LIST): added
	* scripts/w3mhelp.cgi.in (Miscellany): add ldDL

2002-11-19  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03448] Some fixes
	* url.c (KeyAbort): SIGNAL_RETURN
	* .cvsginore: delete w3mimgsize
	* scripts/.cvsignore: delete xface2xbm
	* scripts/xface2xbm.in: deleted

2002-11-19  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03447] Re: Open download list panel on new tab
	* main.c (download_action): buffer management deleted
		(ldDL): buffer management moved here

2002-11-19  Fumitoshi UKAI  <ukai@debian.or.jp>

	* NEWS: rc: open_tab_dl_list

2002-11-19  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03446] Open download list panel on new tab
	* fm.h (open_tab_dl_list): added
	* main.c (download_action): buffer delete when download done
		(ldDL): open buf in new tab if open_tab_dl_list
	* rc.c (CMT_OPEN_TAB_DL_LIST): added
		(open_tab_dl_list): added

2002-11-19  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03445] download list for "w3m foo.tar.gz"
	* main.c (main): display download list

2002-11-19  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03443] Can't display "echo only_one_line | w3m"
	* display.c (redrawNLine): check 1st line

2002-11-16  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03442] Re: setting form on loading
	* form.c (preFormUpdateBuffer): ifdef MENU_SELECT

2002-11-16  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03441] charset of save file
	* file.c (_doFileCopy): use conv_from_system()
		(doFileSave): conv_from_system()
	* main.c (DownloadListBuffer): conv_from_system()

2002-11-16  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03440] Re: restore alarm event
	* fm.h (BP_RELOAD): added
		(DOWNLOAD_LIST_TITLE): added
	* main.c (main): if BP_RELOAD, do reload
		(reload): if buffer is DOWNLOAD_LIST, ldDL()
		(DownloadListBuffer): rewrite with DOWNLOAD_LIST_TITLE
		(download_action): delete "update"
				don't delete prev buffer
		(ldDL): rewrite to do reload

2002-11-16  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03439] restore alarm event
	* fm.h (AL_RESTORE): added
	* main.c (alarm_sec): deleted
		(alarm_status): deleted
		(alarm_buffer): deleted
		(alarm_event): deleted
		(AlarmEvent): added
		(CurrentAlarm): added
		(PrevAlarm): added
		(main): rewrite with CurrentAlarm
		(SigAlarm): rewrite with CurrentAlarm
		(copyAlarmEvent): added
		(setAlarm): if AL_RESTORE, copy back from PrevAlarm
			rewrite with CurrentAlarm

2002-11-16  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03438] Re: segmentation fault by large complex table.
	* table.c (check_table_height): check MAXROWCELL
	* table.h (MAXROWCELL): added

2002-11-16  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03437] Re: Check image size
	* fm.h (MAX_IMAGE_SIZE): changed to 2048

2002-11-16  Hiroyuki Ito <hito@crl.go.jp>

	* [w3m-dev 03436] Check image size
	* file.c (process_img): check w > MAX_IMAGE_SIZE
		(HTMLlineproc2body): check w,h > MAX_IMAGE_SIZE
	* fm.h (MAX_IMAGE_SIZE): added
	* image.c (getImageSize): check w,h,width,height > MAX_IMAGE_SIZE

2002-11-16  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03435] save image with SAVE
	* buffer.c (discardBuffer): check image
	* file.c (loadImageBuffer): add st
			IMG_FLAG_DONE_REMOVE
			s/sourcefile/mailcap_source/
	* fm.h (IMG_FLAG_DONT_REMOVE): added
	* image.c (drawImage): & IMG_FLAG_LOADED
		(deleteImage): & IMG_FLAG_DONT_REMOVE
		(showImageProgress): & IMG_FLAG_LOADED
		(getImage): & IMG_FLAG_LOADED
		(getImageSize): & IMG_FLAG_LOADED
	* main.c (vmSrc): delete ifdef USE_IMAGE

2002-11-16  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03434] Re: cygwin console on Win9X
	* terms.c (cygwin_mouse_btn_swapped): ifdef USE_MOUSE
		(lastConMouse): deleted
		(check_win9x): static
		(read_win32_console): static
		(GetConsoleHwnd): static
		(cygwin_version): ifdef USE_MOUSE, static
		(check_cygwin_console): static
		(NEED_XTERM_ON): added
		(NEED_XTERM_OFF): added
		(NEED_CYGWIN_ON): added
		(NEED_CYGWIN_OFF): added
		(XTERM_TITLE): static char[]
		(SCREEN_TITLE): static char[]
		(CYGWIN_TITLE): static char[]
		(term_title): check title_str
	* terms.h (LASTLINE): added
		(is_xterm): deleted
		(enable_win9x_console_input): extern
		(disable_win9x_console_input): extern
		(NEED_XTERM_ON): deleted
		(NEED_XTERM_OFF): deleted

2002-11-16  WATANABE Katsuyuki <katsuyuki_1.watanabe@toppan.co.jp>

	* [w3m-dev 03433] cygwin console on Win9X
	* configure (config.h): SUPPORT_WIN9X_CONSOLE_MBCS
	* linein.c (inputLineHistSearch): enable_win9x_console_input()
					disable_win9x_console_input()
	* main.c (mouse): cygin_mouse_btn_swapped
	* terms.c (is_xterm): static
		(isLocalConsole): added
		(cygwin_mouse_btn_swapped): added
		(check_win32_console): deleted
		(check_win9x): added
		(init_win32_console_handle): check ttyslot()
		(enable_win9x_console_input): added
		(disable_win9x_console_input): added
		(read_win32_console_input): delete ifdef MOUSE
		(cmp_tv): deleted
		(subtract_tv): deleted
		(GetConsoleHwnd): added
		(cygwin_version): added
		(select_or_poll_win32_console): deleted
		(check_cygwin_console): added
		(select_win32_console): deleted
		(set_tty): check_cygin_console()
		(term_title): SetConsoleTitle()
		(CYGWIN_ON): added
		(CYGIN_OFF): added
		(mouse_init): NEED_CYGWIN_ON
		(mouse_end): NEED_CYGWIN_OFF
	* terms.h (cygwin_mouse_btn_swapped): added
		(enable_win9x_console_input): added
		(disable_win9x_console_input): added
		(NEED_CYGWIN_ON): added
		(NEED_CYGWIN_OFF): added

2002-11-16  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03432] Re: tab browser
	* display.c (displayBuffer): s/buf->LINES/LASTLINES/ in cygwin

2002-11-16  Fumitoshi UKAI  <ukai@debian.or.jp>

	* NEWS: func: DOWNLOAD_LIST

2002-11-16  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03431] save file by background process
	* file.c (loadGeneralFile): use _doFileCopy()
		(_doFileCopy): renamed from doFileCopy()
				lock
				fork & save
		(doFileSave): lock
				fork & save
	* fm.h (DownloadList): added
		(FirstDL): added
		(LastDL): added
	* form.c (struct internal_action): add download
	* funcname.tab (DOWNLOAD_LIST): added
	* html.h (URLFile): add url
	* main.c (dump_extra): add add_download_list
		(main): add_download_list, ldDL()
		(_quitfm): added
		(quitfm): rewrite with _quitfm()
		(qquitfm): ditto
		(w3m_exit): stopDownload()
		(addDownloadList): added
		(checkDownloadList): added
		(convert_size3): added
		(DownloadListBuffer): added
		(download_action): added
		(stopDownload): added
		(ldDL): added
	* proto.h (ldDL): added
		(convert_size): added
		(convert_size2): added
		(doFileCopy): deleted
		(_doFileCopy): added
		(addDownloadList): added
		(stopDownload): added
		(checkDownloadList): added
		(download_action): added
	* url.c (openURL): save url in uf

2002-11-15  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03430] disable display of alarm command
	* main.c (SigAlarm): remove display_message_nsec()
		(setAlarm): show sec

2002-11-15  Fumitoshi UKAI  <ukai@debian.or.jp>

	* NEWS: env,rc: https_proxy

2002-11-15  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03429] https proxy
	* fm.h (HTTPS_proxy): added
		(HTTPS_proxy_parsed): added
	* main.c (main): check https_proxy
	* rc.c (CMT_HTTPS_PROXY): added
		(https_proxy): added
		(parse_proxy): HTTPS_proxy
	* url.c (openURL): for HTTPS, use HTTPS_proxy
		(schemeToProxy): HTTPS_proxy_parsed

2002-11-14  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03428] install manual as w3m.exe.1 on Cygwin
	* XMakefile (MAN1_TARGET): added
		(HELP_TARGET): added
		(install): use MAN1_TARGET, HELP_TARGET
		(uninstall): use MAN1_TARGET, uninstall HELP_TARGET

2002-11-14  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03427] Re: Select the nearest map area as default.
	* map.c (newMapArea): accept sign chars
			if points is not enough, return as SHAPE_UNKNOWN

2002-11-14  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03425] charset of title
	* display.c (displayBuffer): buffername converted to system coding
					for term title

2002-11-14  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03424] Content length
	* file.c (loadGeneralFile): current_content_length before do_download
		(save2tmp): current_content_length move before return

2002-11-12  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03422] Re: setting form on loading
	* form.c (loadPreForm): initialize name
			check textarea, name for /textarea

2002-11-12  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03418] Re: tab browser
	* display.c (redrawNLine): s/clrtoeol/clrtoeolx/
				move rootY

2002-11-12  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03417] install_w3mimgdisplay
	* configure: define install_w3mimgdisplay 
			after use_w3mimg_fb determined

2002-11-12  Akira TAGOH <at@gclab.org>

	* [w3m-dev 03415] fix a build issue for 64bit arch
	* gcmain.c: deleted
	* main.c: no need gcmain.c
		s/MAIN/main/
	* mktable.c: ditto
	* w3mbookmark.c: ditto
	* w3mhelperpanel.c: ditto

2002-11-12  Fumitoshi UKAI  <ukai@debian.or.jp>

	* doc/w3m.1: update
	* doc-jp/w3m.1: update
	* NEWS: update: -show-option

2002-11-12  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03414] Re: show parameter
	* main.c (fusage): add -show-option
		(MAIN): check -show-option

2002-11-12  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03413] Re: setting form on loading
	* form.c (loadPreForm): add textarea
		(preFormUpdateBuffer): submit if value is matched as well
				case FORM_TEXTAREA
				case FORM_SELECT ifdef MENU_SELECT

2002-11-12  Yuji Abe <cbo46560@pop12.odn.ne.jp>

	* [w3m-dev 03411] do AUXBIN_TARGETS
	* scripts/Makefile (all): add AUXBIN_TARGETS
			(clean): add AUXBIN_TARGETS

2002-11-12  AIDA Shinra <aida-s@jcom.home.ne.jp>

	* [w3m-dev 03408] edit From in w3mail.cgi 
	* scripts/w3mmail.cgi.in: edit from as well

2002-11-12  AIDA Shinra <aida-s@jcom.home.ne.jp>

	* [w3m-dev 03408] fix Bug#87472
	    MOUSE_SCROLL_LINE should be a run-time option
	* fm.h (relative_wheel_scroll): added
		(fixed_wheel_scroll_count): added
		(relative_wheel_scroll_ratio): added
	* main.c (mouse_scroll_line): added
		(process_mouse): s/MOUSE_SCROLL_LINE/mouse_scroll_line()/
	* menu.c (MOUSE_SCROLL_LINE): deleted
	* terms.h (MOUSE_SCROLL_LINE): deleted
	* rc.c (CMT_RELATIVE_WHEEL_SCROLL): added
		(CMT_RELATIVE_WHEEL_SCROLL_RATIO): added
		(CMT_FIXED_WHEEL_SCROLL_COUNT): added
		(wheelmode): added
		(params3): add relative_wheel_scroll,
				relative_wheel_scroll_ratio,
				fixed_wheel_scroll_count
	* NEWS: updated

2002-11-12  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03407] char GlobalKeymap -> unsigned char GlobalKeymap
	* fm.h (GlobalKeymap): char->unsigned char
		(EscKeymap): ditto
		(EscBKeymap): ditto
		(EscDKeymap): ditto
		(PcKeymap): ditto
	* keybind.c: ditto
	* keybind_lynx.c: ditto

2002-11-12  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03406]
	* scripts/Makefile: add AUXBIN_DIR
			update LIB_DIR, HELP_DIR
			xface2xpm installed in AUXBIN_DIR
	* scripts/multipart/Makefile: update LIB_DIR
	* scripts/w3mman/Makefile: update LIB_DIR

2002-11-12  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03405] Re: tab browser
	* main.c (moveTab): B_FORCE_REDRAW

2002-11-10  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03401] w3mhelp.cgi
	* proto.h (tabMn): nulcmd ifndef USE_MENU
	* scripts/w3mhelp-funcdesc.en.pl.in: add LINEEDIT:EDITOR
	* scripts/w3mhelp-funcdesc.ja.pl.in: add LINEEDIT:EDITOR
					Tab operation
	* scripts/w3mhelp-funcname.pl.in: add LINEEDIT:EDITOR C-o
	* scripts/w3mhelp.cgi.in: add tabA in Hyperlink operation
				add tabURL, tabrURL in File/Stream operation
				add Tab operation
				add lineedit_editor in Line edit mode
	
2002-11-10  NOMIYA Masaru <nomiya@ttmy.ne.jp>

	* [w3m-dev 03399]
	* XMakefile: ;; -> ;

2002-11-10  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03398] auxbindir
	* XMakefile: EXT_TARGETS -> LIB_TARGETS, AUXBIN_TARGETS
	* config.h.dist: add AUXBIN_DIR
			LIB_DIR is cgi-bin
	* configure: add -auxbindir
			add AUXBIN_DIR
			LIB_DIR is cgi-bin
			EXT_TARGETS -> LIB_TARGETS, AUXBIN_TARGETS
	* file.c (compression_decoder): libfile_p -> auxbin_p
		(check_command): libfile_p -> auxbin_p
				use w3m_auxbin_dir() instead of w3m_lib_dir()
		(acceptableEncoding): libfile_p -> auxbin_p
		(xface2xpm): use auxbinFile() instead of libFile()
		(uncompress_stream): libfile_p -> auxbin_p
				use auxbinFile() instead of libFile()
	* image.c (getCharSize): use w3m_auxbin_dir() instead of w3m_lib_dir()
		(openImgdisplay): use w3m_auxbin_dir() instead of w3m_lib_dir()
	* indep.c (w3m_auxbin_dir): added
	* indep.h (w3m_auxbin_dir): added
	* proto.h (auxbinFile): added
	* rc.c (auxbinFile): added
		(libFile): #if 0, no longer used
		(helpFile): used only #ifndef USE_HELP_CGI
	* NEWS: separate auxbindir and libdir (local-CGI, file:///$LIB/)

2002-11-09  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03396] Re: meta refresh problem
	* main.c (MAIN): AL_IMPLICIT -> alarm_status
		(SigAlarm): AL_IMPLICIT -> alarm_status

2002-11-09  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03391] use editor when input at last line
	* linein.c (_editor): added

2002-11-09  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03390] some fixes related with form
	* form.c (input_textarea): goto input_end
			unlink(tmpf);
	* main.c (_followForm): s/TEXT/Password/

2002-11-09  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03388] meta refresh problem
	* fm.h (AL_IMPLICIT_DONE): 3->4
		(AL_ONCE): 8
		(AL_IMPLICIT_ONCE): (AL_IMPLICIT|AL_ONCE)
	* main.c (MAIN): & AL_IMPLICIT, & AL_IMPLICIT_DONE
		(SigAlarm): & AL_IMPLICIT, & AL_IMPLICIT_DONE, & AL_ONCE
		(setAlaramEvent): & AL_IMPLICIT

2002-11-09  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03387] Re: tab browser
	* buffer.c (newBuffer): buf->LINES initialize
		(gotoLine): use buf->LINES
		(gotoRealLine): use buf->LINES
	* display.c (displayBuffer): check by buf->LINES
		(redrawNLine): buf->LINES
		(redrawLine): buf->LINES
		(redrawLineImage): no need buf->rootY
		(cursorDown): buf->LINES
		(arrangeCursor): buf->LINES
	* etc.c (columnSkip): buf->LINES
		(lineSkip): buf->LINES
		(currentLineSkip): buf->LINES
	* fm.h (Buffer): add LINES
	* main.c (nscroll): Currentbuf->LINES
		(pgFore): Currentbuf->LINES
		(pgBack): Currentbuf->LINES
		(ctrCsrV): Currentbuf->LINES
		(movD): Currentbuf->LINES
		(movU): Currentbuf->LINES
		(_goLine): Currentbuf->LINES
		(drawAnchorCursor): Currentbuf->LINES
		(setOpt): B_REDRAW_IMAGE
		(newT): B_REDRAW_IMAGE
		(closeT): B_REDRAW_IMAGE
		(nextT): B_REDRAW_IMAGE
		(prevT): B_REDRAW_IMAGE
		(moveTab): B_NORMAL

2002-11-09  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03386] Re: Interrupt in no_proxy_check()
	* file.c (getAuthCookie): term_cbreak()
		(loadGeneralFile): term_cbreak()
				term_raw()
				preFormUpdateBuffer() before term_raw()
		(loadHTMLstream): term_raw()

2002-11-07  Katsumi@yamaoka.cc

	* [w3m-dev 03385] install-sh typo
	* install-sh: s/'/"/

2002-11-07  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03383] Select the nearest map area as default.
	* fm.h (MapArea): add center_x, center_y
	* map.c (nearestMapArea): added
		(follow_map_menu): initial by nearestMapArea()
		(newMapArea): set center_x, center_y

2002-11-07  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03382] Interrupt in no_proxy_check()
	* url.c (check_no_proxy): SIGINT trap by KeyAbort

2002-11-06  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03380] fix configure
	* configure: s/INSTALL_W3MIMGDISPLAY/install_w3mimgdisplay/
			already define
	* config.h.dist (INSTALL_W3MIMGDISPLAY): added

2002-11-06  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03379] setuid w3mimgdisplay and check console tty
	* XMakefile: w3mimgdisplay install by INSTALL_W3MIMGDISPLAY
	* configure: ask setuid w3mimgdisplay
		(w3mimgdisplay_setuid): added
		(INSTALL_W3MIMGDISPLAY): added
	* etc.c (mySystem): close until FOPEN_MAX
	* image.c (openImgdisplay): setenv W3M_TTY
			stderr to /dev/null
			close until FOPEN_MAX
	* install-sh: -o, -g for owner, group
	* proto.h (ttyname_tty): added
	* search.c (open_migemo): stderr to /dev/null
			close until FOPEN_MAX
	* terms.c (ttyname_tty): added
	* w3mimgdisplay.c: include <sys/types.h>, <unistd.h>
			W3MIMGDISPLAY_SETUID
			stderr to /dev/null
	* w3mimg/w3mimg.c: include <sys/types.h>, <unistd.h>
			W3MIMGDISPLAY_SETUID
	* w3mimg/fb/fb_w3mimg.c (check_tty_console): added
	
2002-11-06  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03377] sync_with_option
	* etc.c (loadPassword): reset passwords
	* form.c (loadPreForm): reset PreForm
	* main.c (option_assigned): deleted
		(parse_proxy): deleted
		(MAIN): move initCookie(), setLocalCookie() 
			  after sync_with_option()
			delete parseURL for *_proxy
			s/WrapSearch/WrapDefault/
			move initKeymap(), initMenu() after setupscreen()
			sync_with_option() after init_rc()
	* rc.c (pre_form_file): move in params9 (network settting)
		(sync_with_option): initKeymap(), initMenu() is done
				if fmInitialized
		(init_rc): delete sync_with_option()

2002-11-06  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03375] NULL check of CurrentTab
	* display.c (disp_message_nsec): check CurrentTab
	* file.c (doExternal): check CurrentTab
	* image.c (loadImage): check CurrentTab

2002-11-06  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03374] disable_secret_security_check
	* etc.c (openSecurityFile): disable_secret_security_check
	* fm.h (disable_secret_security_check): added
	* rc.c (CMT_DISABLE_SECRET_SECURITY_CHECK): added
		(disable_secret_security_check): added
	* NEWS: rc: disable_secret_security_check

2002-11-06  Fumitoshi UKAI  <ukai@debian.or.jp>

	* NEWS: update

2002-11-06  Fumitoshi UKAI  <ukai@debian.or.jp>

	* rc.c (CMT_PRE_FORM_FILE): added
		(pre_form_file): added

2002-11-06  Fumitoshi UKAI  <ukai@debian.or.jp>
	
	* doc-jp/README.tab: added [w3m-dev 03372]
	* doc/README.tab: brief translation

2002-11-06  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03372] tab browser
	* display.c (displayBuffer): add ny
				rootY offset by tab
				tab line
		(cursorDown): offset rootY
		(arrangeCursor): offset rootY
	* etc.c (columnSkip): offset rootY
		(lineSkip): offset rootY
		(currentLineSkip): offset rootY
	* file.c (HTMLlineproc2body): ATTR_TARGET
	* fm.h (MapArea): add target
		(Buffer): add rootY
		(TabBuffer): added
		(Currentbuf): comment out
		(Firstbuf): comment out
		(CurrentTab): added
		(FirstTab): added
		(LastTab): added
		(open_tab_blank): added
		(close_tab_back): added
		(nTab): added
		(TabCols): added
		(N_TAB): added
		(Currentbuf): CurrentTab->currentBuffer
		(Firstbuf): CurrentTab->firstBuffer
	* funcname.tab (CLOSE_TAB): added
		(NEW_TAB): added
		(NEXT_TAB): added
		(PREV_TAB): added
		(TAB_GOTO): added
		(TAB_GOTO_RELATIVE): added
		(TAB_LEFT): added
		(TAB_LINK): added
		(TAB_MENU): added
		(TAB_RIGHT): added
	* html.c (ALST_AREA): add ATTR_TARGET
	* image.c (showImageProgress): offset rootY
	* main.c (_newT): added
		(followTab): added
		(moveTab): added
		(check_target): added
		(MAIN): init tab related values
			buf => tab
		(nscroll): offset rootY
		(pgFore): offset rootY
		(pgBack): offset rootY
		(ctrCsrV): offset rootY
		(_movD): offset rootY
		(_movU): offset rootY
		(_goLine): offset rootY
		(_mark): offset rootY
		(followA): check target
		(_followForm): offset rootY
		(drawAnchorCursor0): offset rootY
		(drawAnchorCursor): offset rootY
		(backBf): check close_tab_back
		(follow_map): rewrite for tab, check target
		(posTab): added
		(process_mouse): tab operation
				offset rootY
		(deleteFiles): for all buffers in all tabs
		(newTab): added
		(newT): added
		(numTab): added
		(deleteTab): added
		(closeT): added
		(nextT): added
		(prevT): added
		(followTab): added
		(tabA): added
		(tabURL0): added
		(tabURL): added
		(tabrURL): added
		(moveTab): added
		(tabR): added
		(tabL): added
	* map.c (follow_map_menu): return MapArea
		(newMapArea): add target args
	* menu.c (SelTabMenu): added
		(SelTabV): added
		(initSelTabMenu): added
		(smChTab): added
		(smDelTab): added
		(MainMenuItem): add Select Tab
					on New Tab
		(popupMenu): add initSelTabMenu()
				offset rootY
		(mainMn): offset rootY
		(selMn): offset rootY
		(initSelectMenu): offset rootY
		(tabMn): added
	* proto.h (newT): added
		(closeT): added
		(nextT): added
		(prevT): added
		(tabA): added
		(tabURL): added
		(tabrURL): added
		(tabR): added
		(tabL): added
		(newTab): added
		(deleteTab): added
		(follow_map_menu): return MapArea
		(newMapArea): add target arg
		(tabMn): added
	* rc.c (CMT_OPEN_TAB_BLANK): added
		(CMT_CLOSE_TAB_BACK): added
		(open_tab_blank): added
		(close_tab_back): added
	* doc/README.func (CLOSE_TAB): added
		(NEW_TAB): added
		(NEXT_TAB): added
		(PREV_TAB): added
		(TAB_GOTO): added
		(TAB_GOTO_RELATIVE): added
		(TAB_LEFT): added
		(TAB_LINK): added
		(TAB_MENU): added
		(TAB_RIGHT): added
	* doc-jp/README.func: ditto doc/README.func

2002-11-06  Fumitoshi UKAI  <ukai@debian.or.jp>

	* doc-jp/README.pre_form: added [w3m-dev 03373]
	* doc/README.pre_form: brief translation

2002-11-06  Fumitoshi UKAI  <ukai@debian.or.jp>

	* etc.c (PASS_IS_READABLE_MSG): deleted
		(FILE_IS_READABLE_MSG): added
		(openPasswdFile): deleted
		(openSecretFile): delete error_msg arg
		(loadPasswd): use openSecretFile()
	* form.c (next_token): delete unused static decl
		(FILE_IS_READABLE_MSG): deleted
		(loadPreForm): no need pass error_msg
	* proto.h (openSecretFile): delete error_msg arg

2002-11-06  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03373] setting form on loading
	* config.h.dist (PRE_FORM_FILE): added
	* configure (PRE_FORM_FILE): added
	* etc.c (openPasswdFile): define by openSecretFile()
		(openSecretFile): renamed, not static
	* file.c (loadGeneralFile): preFOrmUpdateBuffer()
	* fm.h (Buffer): add submit
		(pre_form_file): added
	* form.c (struct pre_form_item): added
		(struct pre_form): added
		(next_token): added
		(PreForm): added
		(add_pre_form): added
		(add_pre_form_item): added
		(loadPreForm): added
		(preFormUpdateBuffer): added
	* frame.c (renderFrame): add preFormUpdateBuffer()
	* main.c (MAIN): buf->submit check
	* proto.h (preFormUpdateBuffer): added
		(openSecretFile): added
		(loadPreForm): added
	* rc.c (sync_with_option): add loadPreForm()
	
2002-11-06  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03371] segmentation fault by large complex table.
	* table.c (bsearch_2short): indexarry char to short
		(bsearch_double): ditto
		(dv2sv): ditto
		(table_rule_width): ditto
		(set_integrated_width): ditto
		(check_table_height): ditto
		(feed_table_tag): ditto
	* table.h (struct table_cell): index, eindex char to short

2002-11-05  Fumitoshi UKAI  <ukai@debian.or.jp>

	* w3m 0.3.2
	* version.c.in: update
	* doc/README: version 0.3.2, release date
	* doc-jp/README: ditto
	* NEWS: update

2002-11-05  Fumitoshi UKAI  <ukai@debian.or.jp>

	* scripts/w3mhelp.cgi.in: add chkWORD

2002-11-04  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev-en 00827] Re: w3m-cvs segfaults on news://<mid> URLs
	* url.c (openURL): check pu->file for news:

2002-10-31  Fumitoshi UKAI  <ukai@debian.or.jp>

	* fix compilation warnings
	* w3mimgdisplay.c: add #include <string.h> for strlen, strcmp
	* w3mimg/fb/fb.c: add #include <string.h> for memset
	* w3mimg/fb/fb_w3mimg.c: add #include <string.h> for memset

2002-10-31  Fumitoshi UKAI  <ukai@debian.or.jp>

	* 0.3.2 release candidate 4
	* version.c.in: update

2002-10-31  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03365] ~/.netrc support
	* etc.c (add_auth_pass_entry): add netrc arg
			add new entry to tail
		(find_auth_pass_entry): ent->host == NULL is "default"
		(loadPasswd): rewrite with next_token, parsePasswd, 
				openPasswdFile
				load ~/.netrc
		(next_token): added
		(parsePasswd): added
		(openPasswdFile): added
	* ftp.c (openFTP): use find_auth_user_passwd
	* NEWS: ~/.netrc

2002-10-31  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03363] refresh download
	* file.c (HTMLtagproc1): alarm is implicit once
	* fm.h (AL_IMPLICIT_ONCE): added
	* main.c (searchKeyData): reset CurrentKeyData, CurrentCmdData
		(SigAlarm): CurrentCmdData is saved to data
			message displayed on AL_EXPLICIT
			clear alarm when AL_IMPLICIT_ONCE
		(setAlarmEvent): AL_IMPLICIT_ONCE

2002-10-31  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03362] Re: support for http://user:pass@www.url.com
	* etc.c (loadPasswd): accept host, passwd

2002-10-31  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03359] support for http://user:pass@www.url.com
	* etc.c (find_auth_user_passwd): use ParsedURL for args
		use user and passwd if these are defined in ParsedURL
	* file.c (getAuthCookie): change find_auth_user_passwd()
	* proto.h (find_auth_user_passwd): change prototype
	* NOTE: http://user:pass@www.url.com is NOT RECOMMENDED
		for security reasons.

2002-10-30  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03357] tab in <pre> in <ul>,<ol>,...
	* file.c (HTMLlineproc2): check indent for tabstop

2002-10-30  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03354] display current line number
	* display.c (displayBuffer): %3d -> %d

2002-10-29  Fumitoshi UKAI  <ukai@debian.or.jp>

	* 0.3.2 release candidate 3
	* version.c.in: update

2002-10-29  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03352] w3mimgsize is not necessary.
	* XMakefile (IMGSIZE): removed
	* config.h.dist (IMGSIZE): removed
	* configure (imgtarget): remove IMGSIZE
		(config.h): remove IMGSIZE
	* rc.c (CMT_IMGSIZE): removed
	* doc/README.img: remove imgsize
	* w3mimgsize.c: removed

2002-10-28  Hironori SAKAMOTO <hsaka@mth.biglobe.ne.jp>

	* [w3m-dev 03351] w3m core dump
	* table.c (feed_table_tag): fix rendering problem (maybe security hole?)

2002-10-28  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev-en 00796]
	* configure: expand here. ($var in Makefile is $v + ar)
	* XMakefile: clean w3mimg/**/*.o

2002-10-28  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev-en 00795]
	* configure: IMLIB_CONFIG, IMLIB2_CONFIG, GDKPIXBUF_CONFIG
	* rc.c (CMT_DISP_IMAGE): need if not defined USE_IMAGE

2002-10-27  Fumitoshi UKAI  <ukai@debian.or.jp>

	* 0.3.2 release candidate 2
	* version.c.in: update

2002-10-26  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev-en 00788]
	* fm.h (displayImage): FALSE ifndef USE_IMAGE
	* rc.c (displayImage): display_image even if USE_IMAGE undefined
		(sync_with_options): display_image is forced to be FALSE 
				ifndef USE_IMAGE

2002-10-26  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev-en 00783] hsaka@mth.biglobe.ne.jp (Hironori SAKAMOTO)
	  add display_lineinfo option
	* display.c (displayBuffer): check displayLineInfo
	* fm.h (displayLineInfo): added
	* rc.c (CMT_DISPLINEINFO): added
		(display_lineinfo): added
	* NEWS (rc: display_lineinfo): add

2002-10-26  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev-en 00781] "Clemens Fischer" <ino-waiting@gmx.net>
	  zope doesn't recognize implied *LWS in accept-language
	* rc.c (sync_with_option): remove optional LWS

2002-10-26  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev-en 00780] "Carlo E. Prelz" <fluido@fluido.as>
	  always print on screen the relative position
	* display.c (displayBuffer): relative position

2002-10-26  Fumitoshi UKAI  <ukai@debian.or.jp>

	* 0.3.2 release candidate 1
	* version.c.in: update

2002-10-26  Gary Johnson <garyjohn@spk.agilent.com>

	* [w3m-dev-en 00777] patch to fix w3m-0.3.1 word break problem
	* file.c (is_period_char): 
		0x203A - SINGLE RIGHT-POINTING ANGLE QUOTATION MARK
		(is_beginning_char):
		0x2018 - LEFT SINGLE QUOTATION MARK
		0x2039 - SINGLE LEFT-POINTING ANGLE QUOTATION MARK
		(is_word_char): add several chars ifndef JP_CHARSET
			add ':' and '*'

2002-10-17  Hiroyuki Ito <hito@crl.go.jp>

	* [w3m-dev 03342]
	* doc/README.img: updated
	* doc-jp/README.img: updated

2002-10-17  Daiki Ueno <ueno@unixuser.org>

	* [w3m-dev 03341] white space is needed to close an empty-element tag
	* parsetagx.c (parse_tag): extract tagname until '/'

2002-10-11  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03339] Re: Debian Bug#164098 w3m: <sup> is not properly supported
	* file.c (HTMLtagproc1): HTML_SUP, HTML_N_SUP, HTML_SUB, HTML_N_SUB
	* html.c (TagMAP): sup, /sup, sub, /sub
	* html.c (HTML_SUP): added
		(HTML_N_SUP): added
		(HTML_SUB): added
		(HTML_N_SUB): added
	* table.c (feed_table_tag): HTML_SUP, HTML_N_SUP, HTML_SUB, HTML_N_SUB
	* tagtable.tab (sup): added
		(/sup): added
		(sub): added
		(/sub): added

2002-10-11  Hiroyuki Ito <hito@crl.go.jp>

	* [w3m-dev 03337] delete unused functions in fb.c etc. (Re: canna patch)
	* w3mimg/fb/fb.c (fb_image_rotate): delete
		(fb_frame_rotate): delete
		(fb_pset): delete
		(fb_get_color): delete
		(fb_clear): delete
		(fb_cmap_disp): delete
		(fb_fscrn_disp): delete
		(fb_vscrn_disp): delete
	* w3mimg/fb/fb.h (fb_image_rotate): delete
		(fb_frame_rotate): delete
		(fb_pset): delete
		(fb_get_color): delete
		(fb_clear): delete
		(fb_cmap_disp): delete
		(fb_fscrn_disp): delete
		(fb_vscrn_disp): delete
	* w3mimg/fb/fb_img.c (fb_image_draw_simple): delete
	* w3mimg/fb/fb_img.h (fb_image_draw_simple): delete

	* w3mimg/fb/license.txt: removed, follow w3m license

2002-10-09  AIDA Shinra <aida-s@jcom.home.ne.jp>

	* [w3m-dev 03336] proxy check for https authorization:
	* url.c (HTTPrequest): check CONNECT request for ssl

2002-10-06  Hiroyuki Ito <hito@crl.go.jp>

	* [w3m-dev 03333] x11 image animation
	* w3mimg/x11/x11_w3mimg.c (struct x11_image): added
		(x11_img_new): added
		(resize_image): added
		(x11_load_image): rewrite GdkPixbuf
		(x11_show_image): rewrite GdkPixbuf
		(x11_free_image): rewrite GdkPixbuf

2002-10-02  Yuji Abe <cbo46560@pop12.odn.ne.jp>

	* [w3m-dev 03332] Re: hang up when seeing web page that contains xbm file
	* w3mimg/x11/x11_w3mimg.c (x11_load_image): transparent support

2002-10-02  Yoshinobu Sakane <sakane@d4.bsd.nes.nec.co.jp>

	* [w3m-dev 03331] Re: hang up when seeing web page that contains	 xbm file
	* configure: check gdk-pixbuf-config existence

2002-10-01  Yuji Abe <cbo46560@pop12.odn.ne.jp>

	* [w3m-dev 03330] Re: hang up when seeing web page that contains xbm file
	* w3mimg/x11/x11_w3mimg.c (x11_load_image): scaling

2002-09-30  Yuji Abe <cbo46560@pop12.odn.ne.jp>

	* [w3m-dev 03327] gdk-pixbuf support for w3m-img/x11
	* configure (use_w3mimg_x11) Imlib1 or GdkPixbuf
		check gdkpixbuf
	* w3mimg/x11/x11_w3mimg.c (USE_GDKPIXBUF): added
		(x11_init): USE_GDKPIXBUF
		(x11_load_image): USE_GDKPIXBUF
		(x11_get_image_size): USE_GDKPIXBUF

2002-09-30  qhwt@myrealbox.com

	* [w3m-dev 03325] Re: hang up when seeing web page that contains xbm file
	* w3mimgdisplay.c (main): always return response 
				even if size is unknown

2002-09-29  Hiroaki Shimotsu <shim@d5.bs1.fc.nec.co.jp>

	* [w3m-dev 03323] EDITOR
	* main.c (MAIN): use not_null()

2002-09-29  AIDA Shinra <aida-s@jcom.home.ne.jp>

	* Re: [w3m-dev 03320] Re: Passwords
	* etc.c (dir_under): same path is ok
	* file.c (loadGeneralFile): if missing, return NULL
		ssl cert already checked
	* html.h (URLFILE): add ssl_certificate
	* istream.c (ssl_get_certificate): change args
	* istream.h (ssl_get_certificate): ditto
	* url.c (openSSLHandle): add p_cert
		ssl certificate check here
		(HTTPrequest): auth_cookie fix

2002-09-25  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03321] Bug#162104: file descriptors 1 and 2 are closed rather than reopened to /dev/null
	* etc.c (mySystem): fd 0,1,2 redirect /dev/null, close all other fds

2002-09-25  AIDA Shinra <aida-s@jcom.home.ne.jp>

	* [w3m-dev 03319] mailto
	* main.c (followA): mailto
	* main.c (cmd_loadURL): mailto
	* url.c (_parsedURL2Str): mailto: query

2002-09-25  AIDA Shinra <aida-s@jcom.home.ne.jp>

	* [w3m-dev 03318] Re: Passwords
	* etc.c (struct auth_path): added
		(passwords): added
		(dir_under): added
		(add_auth_pass_entry): added
		(find_auth_pass_entry): added
		(find_auth_user_passwd): added
		(loadPasswd): added
		(find_auth): dir_under()
		(add_auth_cookie): check file
	* file.c (find_auth_user_passwd): removed
		(getAuthCookie): use delText()
				check proxy
		(get_auth_cookie): removed
		(loadGeneralFile): auth_pu
	* proto.h (schemeToProxy): added
		(get_auth_cookie): removed
		(loadPasswd): added
		(find_auth_user_passwd): added
	* rc.c (sync_with_option): loadPasswd()
	* textlist.c (delValue): added
	* textlist.h (delValue): added
		(delText): added
	* url.c (HTTPrequest): seen_www_auth
		(schemeToProxy): added

2002-09-11  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03312] Re: Passwords
	* config.h.dist: PASSWD_FILE
	* file.c (find_auth_user_passwd): return if passwd_file == NULL

2002-09-11  Yuuichi Teranishi <teranisi@gohome.org>

	* [w3m-dev 03311] Re: Passwords
	* configure (config.h): default PASSWD_FILE
	* fm.h (passwd_file): default PASSWD_FILE

2002-09-11  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03307] add password_file support
	* file.c (find_auth_user_passwd): added
	* fm.h (passwd_file): added
	* rc.c (CMT_PASSWDFILE): added
		(passwdfile): added

2002-09-09  Hiroyuki Ito <hito@crl.go.jp>

	* [w3m-dev 03300] framebuffer: 8bit color support
	* w3mimg/fb/fb.c: support FB_VISUAL_PSEUDOCOLOR 256 colors

2002-09-09  Hironori SAKAMOTO <h-saka@lsi.nec.co.jp>

	* [w3m-dev 03299] remove file before copying (install-sh)
	* install-sh: remove file before copying

2002-09-09  Hironori SAKAMOTO <h-saka@lsi.nec.co.jp>

	* [w3m-dev 03298] [ -f instead of [ -e (configure)
	* configure: use test -f instead of test -e

2002-09-09  Hironori SAKAMOTO <h-saka@lsi.nec.co.jp>

	* [w3m-dev 03297] TERM=mlterm
	* terms.c (w3m_term_info_list): add mlterm

2002-09-09  Hironori SAKAMOTO <h-saka@lsi.nec.co.jp>

	* [w3m-dev 03296] fix configure (strtoq)
	* configure (strtoq): fix missing semicolon

2002-09-06  Fumitoshi UKAI  <ukai@debian.or.jp>

	* [w3m-dev 03292] Re: load file at cursor
	* anchor.c (reAnchorPos): added
		(reAnchorWord): added
		(reAnchorAny): rewrite to use reAnchorPos()
	* funcname.tab (MARK_WORD): added
	* keybind.c (;) MARK_WORD
	* main.c (getCurWord): added
		(chkWORD): added
		(is_wordchar): added
		(getCurWord): added
		(GetWord): rewrite to use getCurWord()
	* proto.h (chkWORD): added
		(reAnchorWord): added
	* doc/README.func: add MARK_WORD
	* doc/keymap.default: add MARK_WORD
	* doc-jp/README.func: add MARK_WORD
	* doc-jp/keymap.default: add MARK_WORD
	* NEWS: add MARK_WORD

2002-08-28  Kiyokazu SUTO <suto@ks-and-ks.ne.jp>

	* [w3m-dev 03291] parsetagx.c:toNumber()
